"""Mapping of GBD covariates.

This code is automatically generated by gbd_mapping_generator/covariate_builder.py

Any manual changes will be lost.
"""
from .id import cov_id
from .covariate_template import Covariate, Covariates


covariates = Covariates(**{
    'abortion_on_demand_illegal_binary': Covariate(
        name='abortion_on_demand_illegal_binary',
        kind='covariate',
        gbd_id=cov_id(1),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'legality_of_abortion': Covariate(
        name='legality_of_abortion',
        kind='covariate',
        gbd_id=cov_id(2),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'absolute_value_of_average_latitude': Covariate(
        name='absolute_value_of_average_latitude',
        kind='covariate',
        gbd_id=cov_id(3),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'average_cholera_cases_across_all_years_over_2010_population': Covariate(
        name='average_cholera_cases_across_all_years_over_2010_population',
        kind='covariate',
        gbd_id=cov_id(4),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'adult_hiv_death_rate': Covariate(
        name='adult_hiv_death_rate',
        kind='covariate',
        gbd_id=cov_id(5),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'alcohol_liters_per_capita': Covariate(
        name='alcohol_liters_per_capita',
        kind='covariate',
        gbd_id=cov_id(6),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'antenatal_care_1_visit_coverage_proportion': Covariate(
        name='antenatal_care_1_visit_coverage_proportion',
        kind='covariate',
        gbd_id=cov_id(7),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'antenatal_care_4_visits_coverage_proportion': Covariate(
        name='antenatal_care_4_visits_coverage_proportion',
        kind='covariate',
        gbd_id=cov_id(8),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'animal_fats_kcal_per_capita': Covariate(
        name='animal_fats_kcal_per_capita',
        kind='covariate',
        gbd_id=cov_id(9),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'arv_coverage_proportion': Covariate(
        name='arv_coverage_proportion',
        kind='covariate',
        gbd_id=cov_id(10),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'asbestos_production_binary': Covariate(
        name='asbestos_production_binary',
        kind='covariate',
        gbd_id=cov_id(11),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'asbestos_production_kg_per_capita': Covariate(
        name='asbestos_production_kg_per_capita',
        kind='covariate',
        gbd_id=cov_id(12),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_specific_fertility_rate': Covariate(
        name='age_specific_fertility_rate',
        kind='covariate',
        gbd_id=cov_id(13),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'tobacco_cigarettes_per_capita': Covariate(
        name='tobacco_cigarettes_per_capita',
        kind='covariate',
        gbd_id=cov_id(14),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'coal_production_per_capita': Covariate(
        name='coal_production_per_capita',
        kind='covariate',
        gbd_id=cov_id(15),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'coastal_population_within_10km_proportion': Covariate(
        name='coastal_population_within_10km_proportion',
        kind='covariate',
        gbd_id=cov_id(16),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'completeness_of_vital_registration': Covariate(
        name='completeness_of_vital_registration',
        kind='covariate',
        gbd_id=cov_id(17),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'contraception_modern_prevalence_proportion_by_age': Covariate(
        name='contraception_modern_prevalence_proportion_by_age',
        kind='covariate',
        gbd_id=cov_id(18),
        by_age=True,
        by_sex=False,
        dichotomous=False,
    ),
    'contraception_modern_prevalence_proportion': Covariate(
        name='contraception_modern_prevalence_proportion',
        kind='covariate',
        gbd_id=cov_id(19),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'contraception_total_prevalence_proportion_by_age': Covariate(
        name='contraception_total_prevalence_proportion_by_age',
        kind='covariate',
        gbd_id=cov_id(20),
        by_age=True,
        by_sex=False,
        dichotomous=False,
    ),
    'contraception_total_prevalence_proportion': Covariate(
        name='contraception_total_prevalence_proportion',
        kind='covariate',
        gbd_id=cov_id(21),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'contraception_traditional_prevalence_proportion_by_age': Covariate(
        name='contraception_traditional_prevalence_proportion_by_age',
        kind='covariate',
        gbd_id=cov_id(22),
        by_age=True,
        by_sex=False,
        dichotomous=False,
    ),
    'contraception_traditional_prevalence_proportion': Covariate(
        name='contraception_traditional_prevalence_proportion',
        kind='covariate',
        gbd_id=cov_id(23),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'cumulative_cigarettes_10_years': Covariate(
        name='cumulative_cigarettes_10_years',
        kind='covariate',
        gbd_id=cov_id(24),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'cumulative_cigarettes_15_years': Covariate(
        name='cumulative_cigarettes_15_years',
        kind='covariate',
        gbd_id=cov_id(25),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'cumulative_cigarettes_20_years': Covariate(
        name='cumulative_cigarettes_20_years',
        kind='covariate',
        gbd_id=cov_id(26),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'cumulative_cigarettes_5_years': Covariate(
        name='cumulative_cigarettes_5_years',
        kind='covariate',
        gbd_id=cov_id(27),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'diabetes_fasting_plasma_glucose_mmol_l_age_standardized_25_and_up': Covariate(
        name='diabetes_fasting_plasma_glucose_mmol_l_age_standardized_25_and_up',
        kind='covariate',
        gbd_id=cov_id(28),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'diabetes_age_standardized_prevalence_proportion': Covariate(
        name='diabetes_age_standardized_prevalence_proportion',
        kind='covariate',
        gbd_id=cov_id(29),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'diabetes_age_specific_prevalence_proportion': Covariate(
        name='diabetes_age_specific_prevalence_proportion',
        kind='covariate',
        gbd_id=cov_id(30),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'disaster_deaths_rate_per_1000': Covariate(
        name='disaster_deaths_rate_per_1000',
        kind='covariate',
        gbd_id=cov_id(31),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'dtp3_coverage_proportion': Covariate(
        name='dtp3_coverage_proportion',
        kind='covariate',
        gbd_id=cov_id(32),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'education_years_per_capita': Covariate(
        name='education_years_per_capita',
        kind='covariate',
        gbd_id=cov_id(33),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'famine_binary': Covariate(
        name='famine_binary',
        kind='covariate',
        gbd_id=cov_id(34),
        by_age=False,
        by_sex=False,
        dichotomous=True,
    ),
    'fao_composite_factor_1': Covariate(
        name='fao_composite_factor_1',
        kind='covariate',
        gbd_id=cov_id(35),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'fao_composite_factor_2': Covariate(
        name='fao_composite_factor_2',
        kind='covariate',
        gbd_id=cov_id(36),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'fao_composite_factor_3': Covariate(
        name='fao_composite_factor_3',
        kind='covariate',
        gbd_id=cov_id(37),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'fao_composite_factor_4': Covariate(
        name='fao_composite_factor_4',
        kind='covariate',
        gbd_id=cov_id(38),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'female_hiv_death_rate_per_1_for_ages_15_49': Covariate(
        name='female_hiv_death_rate_per_1_for_ages_15_49',
        kind='covariate',
        gbd_id=cov_id(39),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'fertility_15_19_year_olds': Covariate(
        name='fertility_15_19_year_olds',
        kind='covariate',
        gbd_id=cov_id(40),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'fruits_kcal_per_capita': Covariate(
        name='fruits_kcal_per_capita',
        kind='covariate',
        gbd_id=cov_id(41),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'gold_production_binary': Covariate(
        name='gold_production_binary',
        kind='covariate',
        gbd_id=cov_id(42),
        by_age=False,
        by_sex=False,
        dichotomous=True,
    ),
    'gold_production_kg_per_capita': Covariate(
        name='gold_production_kg_per_capita',
        kind='covariate',
        gbd_id=cov_id(43),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'health_system_access_unitless': Covariate(
        name='health_system_access_unitless',
        kind='covariate',
        gbd_id=cov_id(44),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'health_system_access_2_unitless': Covariate(
        name='health_system_access_2_unitless',
        kind='covariate',
        gbd_id=cov_id(45),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'proportion_of_households_using_iodized_salt_adjusted': Covariate(
        name='proportion_of_households_using_iodized_salt_adjusted',
        kind='covariate',
        gbd_id=cov_id(46),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'hib3_vaccine_coverage_proportion': Covariate(
        name='hib3_vaccine_coverage_proportion',
        kind='covariate',
        gbd_id=cov_id(47),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'hiv_prevalence_arv_adjusted_custom_lag__percent': Covariate(
        name='hiv_prevalence_arv_adjusted_custom_lag__percent',
        kind='covariate',
        gbd_id=cov_id(48),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'hiv_prevalence_unadjusted_proportion': Covariate(
        name='hiv_prevalence_unadjusted_proportion',
        kind='covariate',
        gbd_id=cov_id(49),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'hospital_beds_per_1000': Covariate(
        name='hospital_beds_per_1000',
        kind='covariate',
        gbd_id=cov_id(50),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'in_facility_delivery_proportion': Covariate(
        name='in_facility_delivery_proportion',
        kind='covariate',
        gbd_id=cov_id(51),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'saturated_fats_kcal_per_capita': Covariate(
        name='saturated_fats_kcal_per_capita',
        kind='covariate',
        gbd_id=cov_id(52),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'kcal_of_stimulants_per_capita_per_day': Covariate(
        name='kcal_of_stimulants_per_capita_per_day',
        kind='covariate',
        gbd_id=cov_id(53),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'sugar_kcal_per_capita': Covariate(
        name='sugar_kcal_per_capita',
        kind='covariate',
        gbd_id=cov_id(54),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'landlocked_nation_binary': Covariate(
        name='landlocked_nation_binary',
        kind='covariate',
        gbd_id=cov_id(55),
        by_age=False,
        by_sex=False,
        dichotomous=True,
    ),
    'average_latitude': Covariate(
        name='average_latitude',
        kind='covariate',
        gbd_id=cov_id(56),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'ldi_income_per_capita': Covariate(
        name='ldi_income_per_capita',
        kind='covariate',
        gbd_id=cov_id(57),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'lead_gas_outphase_binary': Covariate(
        name='lead_gas_outphase_binary',
        kind='covariate',
        gbd_id=cov_id(58),
        by_age=False,
        by_sex=False,
        dichotomous=True,
    ),
    'low_elevation_coastal_zone_under_10m_proportion': Covariate(
        name='low_elevation_coastal_zone_under_10m_proportion',
        kind='covariate',
        gbd_id=cov_id(59),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'live_births_thousands': Covariate(
        name='live_births_thousands',
        kind='covariate',
        gbd_id=cov_id(60),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'ln_kcals_of_fiber_consumed_per_capita_per_day': Covariate(
        name='ln_kcals_of_fiber_consumed_per_capita_per_day',
        kind='covariate',
        gbd_id=cov_id(61),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'ln_total_calories_consumed_as_hydrogenated_oil': Covariate(
        name='ln_total_calories_consumed_as_hydrogenated_oil',
        kind='covariate',
        gbd_id=cov_id(62),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'ln_percent_of_total_calories_consumed_as_eggs': Covariate(
        name='ln_percent_of_total_calories_consumed_as_eggs',
        kind='covariate',
        gbd_id=cov_id(63),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'ln_percent_of_total_calories_consumed_as_rape_and_mustard_seed_and_oil': Covariate(
        name='ln_percent_of_total_calories_consumed_as_rape_and_mustard_seed_and_oil',
        kind='covariate',
        gbd_id=cov_id(64),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'ln_percent_of_total_calories_consumed_as_soybean_and_soy_oil': Covariate(
        name='ln_percent_of_total_calories_consumed_as_soybean_and_soy_oil',
        kind='covariate',
        gbd_id=cov_id(65),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'underweight_proportion_less_than_2sd_weight_for_age_less_than_5_years': Covariate(
        name='underweight_proportion_less_than_2sd_weight_for_age_less_than_5_years',
        kind='covariate',
        gbd_id=cov_id(66),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'malnutrition_shock_binary': Covariate(
        name='malnutrition_shock_binary',
        kind='covariate',
        gbd_id=cov_id(67),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'mean_bmi': Covariate(
        name='mean_bmi',
        kind='covariate',
        gbd_id=cov_id(68),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'cholesterol_total_mean_per_capita': Covariate(
        name='cholesterol_total_mean_per_capita',
        kind='covariate',
        gbd_id=cov_id(69),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'systolic_blood_pressure_mmhg': Covariate(
        name='systolic_blood_pressure_mmhg',
        kind='covariate',
        gbd_id=cov_id(70),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'population_weighted_mean_temperature': Covariate(
        name='population_weighted_mean_temperature',
        kind='covariate',
        gbd_id=cov_id(71),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'measles_incidence_rate': Covariate(
        name='measles_incidence_rate',
        kind='covariate',
        gbd_id=cov_id(72),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'measles_natural_history_death_rate': Covariate(
        name='measles_natural_history_death_rate',
        kind='covariate',
        gbd_id=cov_id(73),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'measles_notification_rate': Covariate(
        name='measles_notification_rate',
        kind='covariate',
        gbd_id=cov_id(74),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'measles_vaccine_coverage_proportion': Covariate(
        name='measles_vaccine_coverage_proportion',
        kind='covariate',
        gbd_id=cov_id(75),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'measles_vaccine_supp_coverage_binary': Covariate(
        name='measles_vaccine_supp_coverage_binary',
        kind='covariate',
        gbd_id=cov_id(76),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'meningitis_belt_binary': Covariate(
        name='meningitis_belt_binary',
        kind='covariate',
        gbd_id=cov_id(77),
        by_age=False,
        by_sex=False,
        dichotomous=True,
    ),
    'ln_milk_kcal_per_capita': Covariate(
        name='ln_milk_kcal_per_capita',
        kind='covariate',
        gbd_id=cov_id(78),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'mortality_rate_due_to_death_shocks_in_last_10_years_per_1_person': Covariate(
        name='mortality_rate_due_to_death_shocks_in_last_10_years_per_1_person',
        kind='covariate',
        gbd_id=cov_id(79),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'mortality_rate_due_to_conflict_in_last_10_years_per_1_person': Covariate(
        name='mortality_rate_due_to_conflict_in_last_10_years_per_1_person',
        kind='covariate',
        gbd_id=cov_id(80),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'nuts_and_seeds_kcal_per_capita': Covariate(
        name='nuts_and_seeds_kcal_per_capita',
        kind='covariate',
        gbd_id=cov_id(81),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'opium_cultivation_binary': Covariate(
        name='opium_cultivation_binary',
        kind='covariate',
        gbd_id=cov_id(82),
        by_age=False,
        by_sex=False,
        dichotomous=True,
    ),
    'percent_of_total_calories_consumed_as_animal_fat': Covariate(
        name='percent_of_total_calories_consumed_as_animal_fat',
        kind='covariate',
        gbd_id=cov_id(83),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'live_births_35_and_up_proportion': Covariate(
        name='live_births_35_and_up_proportion',
        kind='covariate',
        gbd_id=cov_id(84),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'live_births_40_and_up_proportion': Covariate(
        name='live_births_40_and_up_proportion',
        kind='covariate',
        gbd_id=cov_id(85),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_of_total_calories_consumed_as_fruits': Covariate(
        name='percent_of_total_calories_consumed_as_fruits',
        kind='covariate',
        gbd_id=cov_id(86),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_of_total_calories_consumed_as_legumes': Covariate(
        name='percent_of_total_calories_consumed_as_legumes',
        kind='covariate',
        gbd_id=cov_id(87),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_of_total_calories_consumed_as_milk': Covariate(
        name='percent_of_total_calories_consumed_as_milk',
        kind='covariate',
        gbd_id=cov_id(88),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_of_total_calories_consumed_as_nuts_and_seeds': Covariate(
        name='percent_of_total_calories_consumed_as_nuts_and_seeds',
        kind='covariate',
        gbd_id=cov_id(89),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_of_total_calories_consumed_as_pig_meat': Covariate(
        name='percent_of_total_calories_consumed_as_pig_meat',
        kind='covariate',
        gbd_id=cov_id(90),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_of_total_calories_consumed_as_pufa': Covariate(
        name='percent_of_total_calories_consumed_as_pufa',
        kind='covariate',
        gbd_id=cov_id(91),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_of_total_calories_consumed_as_pufa3': Covariate(
        name='percent_of_total_calories_consumed_as_pufa3',
        kind='covariate',
        gbd_id=cov_id(92),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_of_total_calories_consumed_as_pufa6': Covariate(
        name='percent_of_total_calories_consumed_as_pufa6',
        kind='covariate',
        gbd_id=cov_id(93),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_of_total_calories_consumed_as_red_meat': Covariate(
        name='percent_of_total_calories_consumed_as_red_meat',
        kind='covariate',
        gbd_id=cov_id(94),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_of_total_calories_consumed_as_saturated_fat': Covariate(
        name='percent_of_total_calories_consumed_as_saturated_fat',
        kind='covariate',
        gbd_id=cov_id(95),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_of_total_calories_consumed_as_sugar': Covariate(
        name='percent_of_total_calories_consumed_as_sugar',
        kind='covariate',
        gbd_id=cov_id(96),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_of_total_calories_consumed_as_vegetables': Covariate(
        name='percent_of_total_calories_consumed_as_vegetables',
        kind='covariate',
        gbd_id=cov_id(97),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_of_total_calories_consumed_as_non_wheat_whole_grains': Covariate(
        name='percent_of_total_calories_consumed_as_non_wheat_whole_grains',
        kind='covariate',
        gbd_id=cov_id(98),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'pig_meat_kg_per_capita': Covariate(
        name='pig_meat_kg_per_capita',
        kind='covariate',
        gbd_id=cov_id(99),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'pigs_per_capita': Covariate(
        name='pigs_per_capita',
        kind='covariate',
        gbd_id=cov_id(100),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'coal_reserves_binary': Covariate(
        name='coal_reserves_binary',
        kind='covariate',
        gbd_id=cov_id(101),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'coal_reserves_teragrams_per_capita': Covariate(
        name='coal_reserves_teragrams_per_capita',
        kind='covariate',
        gbd_id=cov_id(102),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'indoor_air_pollution_biomass_cooking': Covariate(
        name='indoor_air_pollution_biomass_cooking',
        kind='covariate',
        gbd_id=cov_id(103),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'indoor_air_pollution_coal_cooking': Covariate(
        name='indoor_air_pollution_coal_cooking',
        kind='covariate',
        gbd_id=cov_id(104),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'indoor_air_pollution_all_cooking_fuels': Covariate(
        name='indoor_air_pollution_all_cooking_fuels',
        kind='covariate',
        gbd_id=cov_id(105),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'outdoor_air_pollution_pm_2_5': Covariate(
        name='outdoor_air_pollution_pm_2_5',
        kind='covariate',
        gbd_id=cov_id(106),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'latitude_under_15_proportion': Covariate(
        name='latitude_under_15_proportion',
        kind='covariate',
        gbd_id=cov_id(107),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'elevation_100_to_500m_proportion': Covariate(
        name='elevation_100_to_500m_proportion',
        kind='covariate',
        gbd_id=cov_id(108),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'elevation_over_1500m_proportion': Covariate(
        name='elevation_over_1500m_proportion',
        kind='covariate',
        gbd_id=cov_id(109),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'population_15_to_30_proportion': Covariate(
        name='population_15_to_30_proportion',
        kind='covariate',
        gbd_id=cov_id(110),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'latitude_15_to_30_proportion': Covariate(
        name='latitude_15_to_30_proportion',
        kind='covariate',
        gbd_id=cov_id(111),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'latitude_30_to_45_proportion': Covariate(
        name='latitude_30_to_45_proportion',
        kind='covariate',
        gbd_id=cov_id(112),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'latitude_over_45_proportion': Covariate(
        name='latitude_over_45_proportion',
        kind='covariate',
        gbd_id=cov_id(113),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'elevation_500_to_1500m_proportion': Covariate(
        name='elevation_500_to_1500m_proportion',
        kind='covariate',
        gbd_id=cov_id(114),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'population_density_150_300_ppl_sqkm_proportion': Covariate(
        name='population_density_150_300_ppl_sqkm_proportion',
        kind='covariate',
        gbd_id=cov_id(115),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'population_density_300_500_ppl_sqkm_proportion': Covariate(
        name='population_density_300_500_ppl_sqkm_proportion',
        kind='covariate',
        gbd_id=cov_id(116),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'population_density_500_1000_ppl_sqkm_proportion': Covariate(
        name='population_density_500_1000_ppl_sqkm_proportion',
        kind='covariate',
        gbd_id=cov_id(117),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'population_density_over_1000_ppl_sqkm_proportion': Covariate(
        name='population_density_over_1000_ppl_sqkm_proportion',
        kind='covariate',
        gbd_id=cov_id(118),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'population_density_under_150_ppl_sqkm_proportion': Covariate(
        name='population_density_under_150_ppl_sqkm_proportion',
        kind='covariate',
        gbd_id=cov_id(119),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'population_over_65_proportion': Covariate(
        name='population_over_65_proportion',
        kind='covariate',
        gbd_id=cov_id(120),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'elevation_under_100m_proportion': Covariate(
        name='elevation_under_100m_proportion',
        kind='covariate',
        gbd_id=cov_id(121),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'population_under_30_proportion': Covariate(
        name='population_under_30_proportion',
        kind='covariate',
        gbd_id=cov_id(122),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'pufa_kcal_per_capita': Covariate(
        name='pufa_kcal_per_capita',
        kind='covariate',
        gbd_id=cov_id(123),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'pufa_omega_3_seafood_kcal_per_capita': Covariate(
        name='pufa_omega_3_seafood_kcal_per_capita',
        kind='covariate',
        gbd_id=cov_id(124),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'pufa_omega_6_vegetable_oils_kcal_per_capita': Covariate(
        name='pufa_omega_6_vegetable_oils_kcal_per_capita',
        kind='covariate',
        gbd_id=cov_id(125),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'pulses_and_legumes_kcal_per_capita': Covariate(
        name='pulses_and_legumes_kcal_per_capita',
        kind='covariate',
        gbd_id=cov_id(126),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'rainfall_population_weighted_mm_yr': Covariate(
        name='rainfall_population_weighted_mm_yr',
        kind='covariate',
        gbd_id=cov_id(127),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'rainfall_quintiles_2_5': Covariate(
        name='rainfall_quintiles_2_5',
        kind='covariate',
        gbd_id=cov_id(128),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'rainfall_quintiles_3_5': Covariate(
        name='rainfall_quintiles_3_5',
        kind='covariate',
        gbd_id=cov_id(129),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'rainfall_quintiles_4_5': Covariate(
        name='rainfall_quintiles_4_5',
        kind='covariate',
        gbd_id=cov_id(130),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'rainfall_quintile_1_proportion': Covariate(
        name='rainfall_quintile_1_proportion',
        kind='covariate',
        gbd_id=cov_id(131),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'rainfall_quintile_2_proportion': Covariate(
        name='rainfall_quintile_2_proportion',
        kind='covariate',
        gbd_id=cov_id(132),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'rainfall_quintile_3_proportion': Covariate(
        name='rainfall_quintile_3_proportion',
        kind='covariate',
        gbd_id=cov_id(133),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'rainfall_quintile_4_proportion': Covariate(
        name='rainfall_quintile_4_proportion',
        kind='covariate',
        gbd_id=cov_id(134),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'rainfall_quintile_5_proportion': Covariate(
        name='rainfall_quintile_5_proportion',
        kind='covariate',
        gbd_id=cov_id(135),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'red_meat_kcal_per_capita': Covariate(
        name='red_meat_kcal_per_capita',
        kind='covariate',
        gbd_id=cov_id(136),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'religion_binary_greater_than_50_percent_muslim': Covariate(
        name='religion_binary_greater_than_50_percent_muslim',
        kind='covariate',
        gbd_id=cov_id(137),
        by_age=False,
        by_sex=False,
        dichotomous=True,
    ),
    '_percent_packaged_foods_sold_via_retail': Covariate(
        name='_percent_packaged_foods_sold_via_retail',
        kind='covariate',
        gbd_id=cov_id(138),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    '_percent_fats_oils_sold_via_retail': Covariate(
        name='_percent_fats_oils_sold_via_retail',
        kind='covariate',
        gbd_id=cov_id(139),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'rotavirus_vaccine_introduced_binary': Covariate(
        name='rotavirus_vaccine_introduced_binary',
        kind='covariate',
        gbd_id=cov_id(140),
        by_age=False,
        by_sex=False,
        dichotomous=True,
    ),
    'sahel_region_of_africa_binary': Covariate(
        name='sahel_region_of_africa_binary',
        kind='covariate',
        gbd_id=cov_id(141),
        by_age=False,
        by_sex=False,
        dichotomous=True,
    ),
    'sanitation_proportion_with_access': Covariate(
        name='sanitation_proportion_with_access',
        kind='covariate',
        gbd_id=cov_id(142),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'skilled_birth_attendance_proportion': Covariate(
        name='skilled_birth_attendance_proportion',
        kind='covariate',
        gbd_id=cov_id(143),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'sheep_per_capita': Covariate(
        name='sheep_per_capita',
        kind='covariate',
        gbd_id=cov_id(144),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'smoking_prevalence': Covariate(
        name='smoking_prevalence',
        kind='covariate',
        gbd_id=cov_id(145),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'smoking_prevalence_reproductive_age_standardized': Covariate(
        name='smoking_prevalence_reproductive_age_standardized',
        kind='covariate',
        gbd_id=cov_id(146),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'ninetieth_percentile_climatic_temperature_in_the_given_country_year': Covariate(
        name='ninetieth_percentile_climatic_temperature_in_the_given_country_year',
        kind='covariate',
        gbd_id=cov_id(147),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'tetanus_toxoid_coverage_smooth_proportion': Covariate(
        name='tetanus_toxoid_coverage_smooth_proportion',
        kind='covariate',
        gbd_id=cov_id(148),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'total_fertility_rate': Covariate(
        name='total_fertility_rate',
        kind='covariate',
        gbd_id=cov_id(149),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'total_calories_kcal_per_capita': Covariate(
        name='total_calories_kcal_per_capita',
        kind='covariate',
        gbd_id=cov_id(150),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'total_packaged_foods_sold_via_retail_tonnes_per_capita': Covariate(
        name='total_packaged_foods_sold_via_retail_tonnes_per_capita',
        kind='covariate',
        gbd_id=cov_id(151),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'total_fats_oils_sold_via_retail_tonnes_per_capita': Covariate(
        name='total_fats_oils_sold_via_retail_tonnes_per_capita',
        kind='covariate',
        gbd_id=cov_id(152),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'vegetables_kcal_per_capita': Covariate(
        name='vegetables_kcal_per_capita',
        kind='covariate',
        gbd_id=cov_id(153),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'vehicles_2_and_up4_wheels_per_capita': Covariate(
        name='vehicles_2_and_up4_wheels_per_capita',
        kind='covariate',
        gbd_id=cov_id(154),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'vehicles_2_wheels_per_capita': Covariate(
        name='vehicles_2_wheels_per_capita',
        kind='covariate',
        gbd_id=cov_id(155),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'vehicles_4_wheels_per_capita': Covariate(
        name='vehicles_4_wheels_per_capita',
        kind='covariate',
        gbd_id=cov_id(156),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'vehicles_2_wheels_fraction_proportion': Covariate(
        name='vehicles_2_wheels_fraction_proportion',
        kind='covariate',
        gbd_id=cov_id(157),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'vitamin_a_deficiency_prevalence_children_under_5': Covariate(
        name='vitamin_a_deficiency_prevalence_children_under_5',
        kind='covariate',
        gbd_id=cov_id(158),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'mortality_rate_due_to_war_shocks_per_1_person': Covariate(
        name='mortality_rate_due_to_war_shocks_per_1_person',
        kind='covariate',
        gbd_id=cov_id(159),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'improved_water_source_proportion_with_access': Covariate(
        name='improved_water_source_proportion_with_access',
        kind='covariate',
        gbd_id=cov_id(160),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'whole_grains_kcal_per_capita': Covariate(
        name='whole_grains_kcal_per_capita',
        kind='covariate',
        gbd_id=cov_id(161),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'non_wheat_whole_grains_kcal_per_capita': Covariate(
        name='non_wheat_whole_grains_kcal_per_capita',
        kind='covariate',
        gbd_id=cov_id(162),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'itn_adjusted_pfpr_rate': Covariate(
        name='itn_adjusted_pfpr_rate',
        kind='covariate',
        gbd_id=cov_id(163),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'itn_mortality_reduction_proportion': Covariate(
        name='itn_mortality_reduction_proportion',
        kind='covariate',
        gbd_id=cov_id(164),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'malaria_any_binary': Covariate(
        name='malaria_any_binary',
        kind='covariate',
        gbd_id=cov_id(165),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'malaria_chloroquine_resistance': Covariate(
        name='malaria_chloroquine_resistance',
        kind='covariate',
        gbd_id=cov_id(166),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'malaria_chloroquine_resistance_2': Covariate(
        name='malaria_chloroquine_resistance_2',
        kind='covariate',
        gbd_id=cov_id(167),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'malaria_endemicity_0_5_percent': Covariate(
        name='malaria_endemicity_0_5_percent',
        kind='covariate',
        gbd_id=cov_id(168),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'malaria_endemicity_5_40_percent': Covariate(
        name='malaria_endemicity_5_40_percent',
        kind='covariate',
        gbd_id=cov_id(169),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'malaria_endemicity_none': Covariate(
        name='malaria_endemicity_none',
        kind='covariate',
        gbd_id=cov_id(170),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'malaria_falciparum_binary': Covariate(
        name='malaria_falciparum_binary',
        kind='covariate',
        gbd_id=cov_id(171),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'malaria_lysenko_pfpr_2_hyperendemic': Covariate(
        name='malaria_lysenko_pfpr_2_hyperendemic',
        kind='covariate',
        gbd_id=cov_id(172),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'malaria_lysenko_pfpr_3_medoendemic': Covariate(
        name='malaria_lysenko_pfpr_3_medoendemic',
        kind='covariate',
        gbd_id=cov_id(173),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'malaria_lysenko_pfpr_4_hypoendemic': Covariate(
        name='malaria_lysenko_pfpr_4_hypoendemic',
        kind='covariate',
        gbd_id=cov_id(174),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'malaria_lysenko_pfpr_5_epidemic': Covariate(
        name='malaria_lysenko_pfpr_5_epidemic',
        kind='covariate',
        gbd_id=cov_id(175),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'map_malaria_mortality_reduction_proportion': Covariate(
        name='map_malaria_mortality_reduction_proportion',
        kind='covariate',
        gbd_id=cov_id(176),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'malaria_s_p_resistance': Covariate(
        name='malaria_s_p_resistance',
        kind='covariate',
        gbd_id=cov_id(177),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'malaria_s_p_resistance_2': Covariate(
        name='malaria_s_p_resistance_2',
        kind='covariate',
        gbd_id=cov_id(178),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'itn_coverage_proportion': Covariate(
        name='itn_coverage_proportion',
        kind='covariate',
        gbd_id=cov_id(179),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'malaria_endemicity_40_100_percent': Covariate(
        name='malaria_endemicity_40_100_percent',
        kind='covariate',
        gbd_id=cov_id(180),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'malaria_endemicity_5_100_percent': Covariate(
        name='malaria_endemicity_5_100_percent',
        kind='covariate',
        gbd_id=cov_id(181),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'malaria_indoor_residual_spraying_coverage': Covariate(
        name='malaria_indoor_residual_spraying_coverage',
        kind='covariate',
        gbd_id=cov_id(182),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'malaria_lysenko_pfpr_1_holoendemic': Covariate(
        name='malaria_lysenko_pfpr_1_holoendemic',
        kind='covariate',
        gbd_id=cov_id(183),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'malaria_lysenko_pfpr_2_highest_endemicity': Covariate(
        name='malaria_lysenko_pfpr_2_highest_endemicity',
        kind='covariate',
        gbd_id=cov_id(184),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'malaria_lysenko_pfpr_3_highest_endemicity': Covariate(
        name='malaria_lysenko_pfpr_3_highest_endemicity',
        kind='covariate',
        gbd_id=cov_id(185),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'malaria_lysenko_pfpr_4_highest_endemicity': Covariate(
        name='malaria_lysenko_pfpr_4_highest_endemicity',
        kind='covariate',
        gbd_id=cov_id(186),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'malaria_population_at_risk_proportion': Covariate(
        name='malaria_population_at_risk_proportion',
        kind='covariate',
        gbd_id=cov_id(187),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'malaria_pfpr_rate': Covariate(
        name='malaria_pfpr_rate',
        kind='covariate',
        gbd_id=cov_id(188),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'malaria_prevalence_weighted_resistance': Covariate(
        name='malaria_prevalence_weighted_resistance',
        kind='covariate',
        gbd_id=cov_id(189),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'malaria_vivax_binary': Covariate(
        name='malaria_vivax_binary',
        kind='covariate',
        gbd_id=cov_id(190),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'malaria_pfpr_with_itn_rate': Covariate(
        name='malaria_pfpr_with_itn_rate',
        kind='covariate',
        gbd_id=cov_id(191),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'significant_leishmaniasis_endemicity_binary': Covariate(
        name='significant_leishmaniasis_endemicity_binary',
        kind='covariate',
        gbd_id=cov_id(192),
        by_age=False,
        by_sex=False,
        dichotomous=True,
    ),
    'leprosy_endemic_binary': Covariate(
        name='leprosy_endemic_binary',
        kind='covariate',
        gbd_id=cov_id(193),
        by_age=False,
        by_sex=False,
        dichotomous=True,
    ),
    'yellow_fever_endemicity_binary': Covariate(
        name='yellow_fever_endemicity_binary',
        kind='covariate',
        gbd_id=cov_id(194),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'year': Covariate(
        name='year',
        kind='covariate',
        gbd_id=cov_id(195),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'chagas_population_at_risk_2_proportion': Covariate(
        name='chagas_population_at_risk_2_proportion',
        kind='covariate',
        gbd_id=cov_id(196),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'birth_prevalence_of_chd': Covariate(
        name='birth_prevalence_of_chd',
        kind='covariate',
        gbd_id=cov_id(197),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'birth_prevalence_of_congenital_chromosomal_anomalies': Covariate(
        name='birth_prevalence_of_congenital_chromosomal_anomalies',
        kind='covariate',
        gbd_id=cov_id(198),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'dengue_incidence_per_1000_v7': Covariate(
        name='dengue_incidence_per_1000_v7',
        kind='covariate',
        gbd_id=cov_id(199),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'hemoglobinopathies_prevalence_x_excess_mortality': Covariate(
        name='hemoglobinopathies_prevalence_x_excess_mortality',
        kind='covariate',
        gbd_id=cov_id(200),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'hepatitis_a_prevalence_proportion': Covariate(
        name='hepatitis_a_prevalence_proportion',
        kind='covariate',
        gbd_id=cov_id(201),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'hepatitis_b_prevalence_proportion': Covariate(
        name='hepatitis_b_prevalence_proportion',
        kind='covariate',
        gbd_id=cov_id(202),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'hepatitis_c_prevalence_proportion': Covariate(
        name='hepatitis_c_prevalence_proportion',
        kind='covariate',
        gbd_id=cov_id(203),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'hepatitis_e_prevalence_proportion': Covariate(
        name='hepatitis_e_prevalence_proportion',
        kind='covariate',
        gbd_id=cov_id(204),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardize_prevalence_of_severe_anemia': Covariate(
        name='age_standardize_prevalence_of_severe_anemia',
        kind='covariate',
        gbd_id=cov_id(205),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'schistosomiasis_prevalence_proportion': Covariate(
        name='schistosomiasis_prevalence_proportion',
        kind='covariate',
        gbd_id=cov_id(206),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'population_at_risk_of_trachoma_proportion': Covariate(
        name='population_at_risk_of_trachoma_proportion',
        kind='covariate',
        gbd_id=cov_id(207),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'maternal_care_and_immunization': Covariate(
        name='maternal_care_and_immunization',
        kind='covariate',
        gbd_id=cov_id(208),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'neonatal_mortality_rate_modeled_2_per_1000': Covariate(
        name='neonatal_mortality_rate_modeled_2_per_1000',
        kind='covariate',
        gbd_id=cov_id(209),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'pcv3_coverage_proportion': Covariate(
        name='pcv3_coverage_proportion',
        kind='covariate',
        gbd_id=cov_id(210),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'presence_of_leishmaniasis_binary': Covariate(
        name='presence_of_leishmaniasis_binary',
        kind='covariate',
        gbd_id=cov_id(211),
        by_age=False,
        by_sex=False,
        dichotomous=True,
    ),
    'potential_for_leishmaniasis_transmission_binary': Covariate(
        name='potential_for_leishmaniasis_transmission_binary',
        kind='covariate',
        gbd_id=cov_id(212),
        by_age=False,
        by_sex=False,
        dichotomous=True,
    ),
    'high_leishmaniasis_endemicity_binary': Covariate(
        name='high_leishmaniasis_endemicity_binary',
        kind='covariate',
        gbd_id=cov_id(213),
        by_age=False,
        by_sex=False,
        dichotomous=True,
    ),
    'under_5_hiv_death_rate': Covariate(
        name='under_5_hiv_death_rate',
        kind='covariate',
        gbd_id=cov_id(214),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'interaction_of_malaria_itn_and_pfpr_rate_covariates': Covariate(
        name='interaction_of_malaria_itn_and_pfpr_rate_covariates',
        kind='covariate',
        gbd_id=cov_id(215),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'interaction_of_malaria_itn_and_log_pfpr_covariates': Covariate(
        name='interaction_of_malaria_itn_and_log_pfpr_covariates',
        kind='covariate',
        gbd_id=cov_id(216),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'malaria_pfpr_adjusted_for_itn_and_irs_coverage': Covariate(
        name='malaria_pfpr_adjusted_for_itn_and_irs_coverage',
        kind='covariate',
        gbd_id=cov_id(217),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'syphilis_prevalence_proportion': Covariate(
        name='syphilis_prevalence_proportion',
        kind='covariate',
        gbd_id=cov_id(218),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'year_x_gbd_analytical_region_5': Covariate(
        name='year_x_gbd_analytical_region_5',
        kind='covariate',
        gbd_id=cov_id(219),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'year_x_gbd_analytical_region_9': Covariate(
        name='year_x_gbd_analytical_region_9',
        kind='covariate',
        gbd_id=cov_id(220),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'year_x_gbd_analytical_region_21': Covariate(
        name='year_x_gbd_analytical_region_21',
        kind='covariate',
        gbd_id=cov_id(221),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'year_x_gbd_analytical_region_32': Covariate(
        name='year_x_gbd_analytical_region_32',
        kind='covariate',
        gbd_id=cov_id(222),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'year_x_gbd_analytical_region_42': Covariate(
        name='year_x_gbd_analytical_region_42',
        kind='covariate',
        gbd_id=cov_id(223),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'year_x_gbd_analytical_region_56': Covariate(
        name='year_x_gbd_analytical_region_56',
        kind='covariate',
        gbd_id=cov_id(224),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'year_x_gbd_analytical_region_65': Covariate(
        name='year_x_gbd_analytical_region_65',
        kind='covariate',
        gbd_id=cov_id(225),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'year_x_gbd_analytical_region_70': Covariate(
        name='year_x_gbd_analytical_region_70',
        kind='covariate',
        gbd_id=cov_id(226),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'year_x_gbd_analytical_region_73': Covariate(
        name='year_x_gbd_analytical_region_73',
        kind='covariate',
        gbd_id=cov_id(227),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'year_x_gbd_analytical_region_96': Covariate(
        name='year_x_gbd_analytical_region_96',
        kind='covariate',
        gbd_id=cov_id(228),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'year_x_gbd_analytical_region_100': Covariate(
        name='year_x_gbd_analytical_region_100',
        kind='covariate',
        gbd_id=cov_id(229),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'year_x_gbd_analytical_region_104': Covariate(
        name='year_x_gbd_analytical_region_104',
        kind='covariate',
        gbd_id=cov_id(230),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'year_x_gbd_analytical_region_120': Covariate(
        name='year_x_gbd_analytical_region_120',
        kind='covariate',
        gbd_id=cov_id(231),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'year_x_gbd_analytical_region_124': Covariate(
        name='year_x_gbd_analytical_region_124',
        kind='covariate',
        gbd_id=cov_id(232),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'year_x_gbd_analytical_region_134': Covariate(
        name='year_x_gbd_analytical_region_134',
        kind='covariate',
        gbd_id=cov_id(233),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'year_x_gbd_analytical_region_138': Covariate(
        name='year_x_gbd_analytical_region_138',
        kind='covariate',
        gbd_id=cov_id(234),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'year_x_gbd_analytical_region_159': Covariate(
        name='year_x_gbd_analytical_region_159',
        kind='covariate',
        gbd_id=cov_id(235),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'year_x_gbd_analytical_region_167': Covariate(
        name='year_x_gbd_analytical_region_167',
        kind='covariate',
        gbd_id=cov_id(236),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'year_x_gbd_analytical_region_174': Covariate(
        name='year_x_gbd_analytical_region_174',
        kind='covariate',
        gbd_id=cov_id(237),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'year_x_gbd_analytical_region_192': Covariate(
        name='year_x_gbd_analytical_region_192',
        kind='covariate',
        gbd_id=cov_id(238),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'year_x_gbd_analytical_region_199': Covariate(
        name='year_x_gbd_analytical_region_199',
        kind='covariate',
        gbd_id=cov_id(239),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'year_x_gbd_analytical_superregion_4': Covariate(
        name='year_x_gbd_analytical_superregion_4',
        kind='covariate',
        gbd_id=cov_id(240),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'year_x_gbd_analytical_superregion_31': Covariate(
        name='year_x_gbd_analytical_superregion_31',
        kind='covariate',
        gbd_id=cov_id(241),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'year_x_gbd_analytical_superregion_64': Covariate(
        name='year_x_gbd_analytical_superregion_64',
        kind='covariate',
        gbd_id=cov_id(242),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'year_x_gbd_analytical_superregion_103': Covariate(
        name='year_x_gbd_analytical_superregion_103',
        kind='covariate',
        gbd_id=cov_id(243),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'year_x_gbd_analytical_superregion_137': Covariate(
        name='year_x_gbd_analytical_superregion_137',
        kind='covariate',
        gbd_id=cov_id(244),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'year_x_gbd_analytical_superregion_158': Covariate(
        name='year_x_gbd_analytical_superregion_158',
        kind='covariate',
        gbd_id=cov_id(245),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'year_x_gbd_analytical_superregion_166': Covariate(
        name='year_x_gbd_analytical_superregion_166',
        kind='covariate',
        gbd_id=cov_id(246),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'population_weighted_probability_of_dengue_transmission': Covariate(
        name='population_weighted_probability_of_dengue_transmission',
        kind='covariate',
        gbd_id=cov_id(247),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'dengue_outbreaks_binary': Covariate(
        name='dengue_outbreaks_binary',
        kind='covariate',
        gbd_id=cov_id(248),
        by_age=False,
        by_sex=False,
        dichotomous=True,
    ),
    'exponentiated_version_of_dengue_anomalies': Covariate(
        name='exponentiated_version_of_dengue_anomalies',
        kind='covariate',
        gbd_id=cov_id(249),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'proportion_of_the_population_living_in_the_classic_monsoon_region': Covariate(
        name='proportion_of_the_population_living_in_the_classic_monsoon_region',
        kind='covariate',
        gbd_id=cov_id(250),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'proportion_of_the_population_living_in_the_classic_monsoon_region_low_income_countries': Covariate(
        name='proportion_of_the_population_living_in_the_classic_monsoon_region_low_income_countries',
        kind='covariate',
        gbd_id=cov_id(251),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'dengue_anomalies_deviation_from_mean_dengue_incidence_rate': Covariate(
        name='dengue_anomalies_deviation_from_mean_dengue_incidence_rate',
        kind='covariate',
        gbd_id=cov_id(252),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'population_at_risk_for_lf_infection': Covariate(
        name='population_at_risk_for_lf_infection',
        kind='covariate',
        gbd_id=cov_id(253),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'pc_treatments_per_person_at_risk_for_lf_infection': Covariate(
        name='pc_treatments_per_person_at_risk_for_lf_infection',
        kind='covariate',
        gbd_id=cov_id(254),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'total_pc_treatments_per_person_at_risk_for_lf_infection_1999_2012': Covariate(
        name='total_pc_treatments_per_person_at_risk_for_lf_infection_1999_2012',
        kind='covariate',
        gbd_id=cov_id(255),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'smoking_prevalence_age_standardized_females': Covariate(
        name='smoking_prevalence_age_standardized_females',
        kind='covariate',
        gbd_id=cov_id(256),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'smoking_prevalence_age_standardized_males': Covariate(
        name='smoking_prevalence_age_standardized_males',
        kind='covariate',
        gbd_id=cov_id(257),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'hiv_prevalence_during_pregnancy_by_age': Covariate(
        name='hiv_prevalence_during_pregnancy_by_age',
        kind='covariate',
        gbd_id=cov_id(258),
        by_age=True,
        by_sex=False,
        dichotomous=False,
    ),
    'cumulative_to_date_pc_treatment_per_person_at_risk_1999_2012': Covariate(
        name='cumulative_to_date_pc_treatment_per_person_at_risk_1999_2012',
        kind='covariate',
        gbd_id=cov_id(259),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'indicator_for_high_income_superregion_location_id_64': Covariate(
        name='indicator_for_high_income_superregion_location_id_64',
        kind='covariate',
        gbd_id=cov_id(260),
        by_age=False,
        by_sex=False,
        dichotomous=True,
    ),
    'vitamin_a_supplementation_coverage_rate': Covariate(
        name='vitamin_a_supplementation_coverage_rate',
        kind='covariate',
        gbd_id=cov_id(261),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'hemoglobinopathies_prevalence_x_excess_mortality_excluding_g6pd_deficiency': Covariate(
        name='hemoglobinopathies_prevalence_x_excess_mortality_excluding_g6pd_deficiency',
        kind='covariate',
        gbd_id=cov_id(262),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'hepatitis_c_prevalence_proportion_capped': Covariate(
        name='hepatitis_c_prevalence_proportion_capped',
        kind='covariate',
        gbd_id=cov_id(263),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'hepatitis_b_prevalence_based_on_gbd_2013_dismod_models': Covariate(
        name='hepatitis_b_prevalence_based_on_gbd_2013_dismod_models',
        kind='covariate',
        gbd_id=cov_id(264),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'hepatitis_c_prevalence_based_on_gbd_2013_dismod_models': Covariate(
        name='hepatitis_c_prevalence_based_on_gbd_2013_dismod_models',
        kind='covariate',
        gbd_id=cov_id(265),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'indicator_for_southeast_asia_east_asia_and_oceania_superregion_location_id_4': Covariate(
        name='indicator_for_southeast_asia_east_asia_and_oceania_superregion_location_id_4',
        kind='covariate',
        gbd_id=cov_id(266),
        by_age=False,
        by_sex=False,
        dichotomous=True,
    ),
    'indicator_for_central_europe_eastern_europe_and_central_asia_superregion_location_id_31': Covariate(
        name='indicator_for_central_europe_eastern_europe_and_central_asia_superregion_location_id_31',
        kind='covariate',
        gbd_id=cov_id(267),
        by_age=False,
        by_sex=False,
        dichotomous=True,
    ),
    'indicator_for_latin_america_and_caribbean_superregion_location_id_103': Covariate(
        name='indicator_for_latin_america_and_caribbean_superregion_location_id_103',
        kind='covariate',
        gbd_id=cov_id(268),
        by_age=False,
        by_sex=False,
        dichotomous=True,
    ),
    'indicator_for_north_africa_and_middle_east_superregion_location_id_137': Covariate(
        name='indicator_for_north_africa_and_middle_east_superregion_location_id_137',
        kind='covariate',
        gbd_id=cov_id(269),
        by_age=False,
        by_sex=False,
        dichotomous=True,
    ),
    'indicator_for_south_asia_superregion_location_id_158': Covariate(
        name='indicator_for_south_asia_superregion_location_id_158',
        kind='covariate',
        gbd_id=cov_id(270),
        by_age=False,
        by_sex=False,
        dichotomous=True,
    ),
    'indicator_for_sub_saharan_africa_superregion_location_id_166': Covariate(
        name='indicator_for_sub_saharan_africa_superregion_location_id_166',
        kind='covariate',
        gbd_id=cov_id(271),
        by_age=False,
        by_sex=False,
        dichotomous=True,
    ),
    'patterns_of_drinking_score_who': Covariate(
        name='patterns_of_drinking_score_who',
        kind='covariate',
        gbd_id=cov_id(272),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'alcohol_binge_drinker_proportion_age_standardized': Covariate(
        name='alcohol_binge_drinker_proportion_age_standardized',
        kind='covariate',
        gbd_id=cov_id(273),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'patterns_of_drinking_score_who__indicator_for_score_1': Covariate(
        name='patterns_of_drinking_score_who__indicator_for_score_1',
        kind='covariate',
        gbd_id=cov_id(274),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'patterns_of_drinking_score_who__indicator_for_score_2': Covariate(
        name='patterns_of_drinking_score_who__indicator_for_score_2',
        kind='covariate',
        gbd_id=cov_id(275),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'patterns_of_drinking_score_who__indicator_for_score_3': Covariate(
        name='patterns_of_drinking_score_who__indicator_for_score_3',
        kind='covariate',
        gbd_id=cov_id(276),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'patterns_of_drinking_score_who__indicator_for_score_4': Covariate(
        name='patterns_of_drinking_score_who__indicator_for_score_4',
        kind='covariate',
        gbd_id=cov_id(277),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'patterns_of_drinking_score_who__indicator_for_score_5': Covariate(
        name='patterns_of_drinking_score_who__indicator_for_score_5',
        kind='covariate',
        gbd_id=cov_id(278),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    '_improved_water_source_proportion_with_access_based_on_gbd_2010_definition': Covariate(
        name='_improved_water_source_proportion_with_access_based_on_gbd_2010_definition',
        kind='covariate',
        gbd_id=cov_id(279),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'pre_control_prevalence_of_infection_with_lymphatic_filariasis_within_endemic_areas': Covariate(
        name='pre_control_prevalence_of_infection_with_lymphatic_filariasis_within_endemic_areas',
        kind='covariate',
        gbd_id=cov_id(280),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'seroprevalence_of_varicella': Covariate(
        name='seroprevalence_of_varicella',
        kind='covariate',
        gbd_id=cov_id(281),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'smoking_prevalence_age_standardized_both_sexes': Covariate(
        name='smoking_prevalence_age_standardized_both_sexes',
        kind='covariate',
        gbd_id=cov_id(282),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'mortality_rate_due_to_war_and_disaster_greater_than_1_10000_binary': Covariate(
        name='mortality_rate_due_to_war_and_disaster_greater_than_1_10000_binary',
        kind='covariate',
        gbd_id=cov_id(283),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'mortality_rate_due_to_war_and_disaster_greater_than_1_10000_in_last_ten_years_binary': Covariate(
        name='mortality_rate_due_to_war_and_disaster_greater_than_1_10000_in_last_ten_years_binary',
        kind='covariate',
        gbd_id=cov_id(284),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'animal_fats_kcal_per_capita_interaction_term_for_eap_super_region': Covariate(
        name='animal_fats_kcal_per_capita_interaction_term_for_eap_super_region',
        kind='covariate',
        gbd_id=cov_id(350),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'ln_total_calories_consumed_as_hydrogenated_oil_interaction_term_for_eap_super_region': Covariate(
        name='ln_total_calories_consumed_as_hydrogenated_oil_interaction_term_for_eap_super_region',
        kind='covariate',
        gbd_id=cov_id(351),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_of_total_calories_consumed_as_fruits_interaction_term_for_eap_super_region': Covariate(
        name='percent_of_total_calories_consumed_as_fruits_interaction_term_for_eap_super_region',
        kind='covariate',
        gbd_id=cov_id(352),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_of_total_calories_consumed_as_legumes_interaction_term_for_eap_super_region': Covariate(
        name='percent_of_total_calories_consumed_as_legumes_interaction_term_for_eap_super_region',
        kind='covariate',
        gbd_id=cov_id(353),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_of_total_calories_consumed_as_nuts_and_seeds_interaction_term_for_eap_super_region': Covariate(
        name='percent_of_total_calories_consumed_as_nuts_and_seeds_interaction_term_for_eap_super_region',
        kind='covariate',
        gbd_id=cov_id(354),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_of_total_calories_consumed_as_pufa3_interaction_term_for_eap_super_region': Covariate(
        name='percent_of_total_calories_consumed_as_pufa3_interaction_term_for_eap_super_region',
        kind='covariate',
        gbd_id=cov_id(355),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_of_total_calories_consumed_as_saturated_fat_interaction_term_for_eap_super_region': Covariate(
        name='percent_of_total_calories_consumed_as_saturated_fat_interaction_term_for_eap_super_region',
        kind='covariate',
        gbd_id=cov_id(356),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_of_total_calories_consumed_as_sugar_interaction_term_for_eap_super_region': Covariate(
        name='percent_of_total_calories_consumed_as_sugar_interaction_term_for_eap_super_region',
        kind='covariate',
        gbd_id=cov_id(357),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_of_total_calories_consumed_as_non_wheat_whole_grains_interaction_term_for_eap_super_region': Covariate(
        name='percent_of_total_calories_consumed_as_non_wheat_whole_grains_interaction_term_for_eap_super_region',
        kind='covariate',
        gbd_id=cov_id(358),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'pig_meat_kg_per_capita_interaction_term_for_eap_super_region': Covariate(
        name='pig_meat_kg_per_capita_interaction_term_for_eap_super_region',
        kind='covariate',
        gbd_id=cov_id(359),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'pufa_kcal_per_capita_interaction_term_for_eap_super_region': Covariate(
        name='pufa_kcal_per_capita_interaction_term_for_eap_super_region',
        kind='covariate',
        gbd_id=cov_id(360),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'red_meat_kcal_per_capita_interaction_term_for_eap_super_region': Covariate(
        name='red_meat_kcal_per_capita_interaction_term_for_eap_super_region',
        kind='covariate',
        gbd_id=cov_id(361),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'animal_fats_kcal_per_capita_interaction_term_for_eeca_super_region': Covariate(
        name='animal_fats_kcal_per_capita_interaction_term_for_eeca_super_region',
        kind='covariate',
        gbd_id=cov_id(362),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'ln_total_calories_consumed_as_hydrogenated_oil_interaction_term_for_eeca_super_region': Covariate(
        name='ln_total_calories_consumed_as_hydrogenated_oil_interaction_term_for_eeca_super_region',
        kind='covariate',
        gbd_id=cov_id(363),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_of_total_calories_consumed_as_fruits_interaction_term_for_eeca_super_region': Covariate(
        name='percent_of_total_calories_consumed_as_fruits_interaction_term_for_eeca_super_region',
        kind='covariate',
        gbd_id=cov_id(364),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_of_total_calories_consumed_as_legumes_interaction_term_for_eeca_super_region': Covariate(
        name='percent_of_total_calories_consumed_as_legumes_interaction_term_for_eeca_super_region',
        kind='covariate',
        gbd_id=cov_id(365),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_of_total_calories_consumed_as_nuts_and_seeds_interaction_term_for_eeca_super_region': Covariate(
        name='percent_of_total_calories_consumed_as_nuts_and_seeds_interaction_term_for_eeca_super_region',
        kind='covariate',
        gbd_id=cov_id(366),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_of_total_calories_consumed_as_pufa3_interaction_term_for_eeca_super_region': Covariate(
        name='percent_of_total_calories_consumed_as_pufa3_interaction_term_for_eeca_super_region',
        kind='covariate',
        gbd_id=cov_id(367),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_of_total_calories_consumed_as_saturated_fat_interaction_term_for_eeca_super_region': Covariate(
        name='percent_of_total_calories_consumed_as_saturated_fat_interaction_term_for_eeca_super_region',
        kind='covariate',
        gbd_id=cov_id(368),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_of_total_calories_consumed_as_sugar_interaction_term_for_eeca_super_region': Covariate(
        name='percent_of_total_calories_consumed_as_sugar_interaction_term_for_eeca_super_region',
        kind='covariate',
        gbd_id=cov_id(369),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_of_total_calories_consumed_as_non_wheat_whole_grains_interaction_term_for_eeca_super_region': Covariate(
        name='percent_of_total_calories_consumed_as_non_wheat_whole_grains_interaction_term_for_eeca_super_region',
        kind='covariate',
        gbd_id=cov_id(370),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'pig_meat_kg_per_capita_interaction_term_for_eeca_super_region': Covariate(
        name='pig_meat_kg_per_capita_interaction_term_for_eeca_super_region',
        kind='covariate',
        gbd_id=cov_id(371),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'pufa_kcal_per_capita_interaction_term_for_eeca_super_region': Covariate(
        name='pufa_kcal_per_capita_interaction_term_for_eeca_super_region',
        kind='covariate',
        gbd_id=cov_id(372),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'red_meat_kcal_per_capita_interaction_term_for_eeca_super_region': Covariate(
        name='red_meat_kcal_per_capita_interaction_term_for_eeca_super_region',
        kind='covariate',
        gbd_id=cov_id(373),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'animal_fats_kcal_per_capita_interaction_term_for_hi_super_region': Covariate(
        name='animal_fats_kcal_per_capita_interaction_term_for_hi_super_region',
        kind='covariate',
        gbd_id=cov_id(374),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'ln_total_calories_consumed_as_hydrogenated_oil_interaction_term_for_hi_super_region': Covariate(
        name='ln_total_calories_consumed_as_hydrogenated_oil_interaction_term_for_hi_super_region',
        kind='covariate',
        gbd_id=cov_id(375),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_of_total_calories_consumed_as_fruits_interaction_term_for_hi_super_region': Covariate(
        name='percent_of_total_calories_consumed_as_fruits_interaction_term_for_hi_super_region',
        kind='covariate',
        gbd_id=cov_id(376),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_of_total_calories_consumed_as_legumes_interaction_term_for_hi_super_region': Covariate(
        name='percent_of_total_calories_consumed_as_legumes_interaction_term_for_hi_super_region',
        kind='covariate',
        gbd_id=cov_id(377),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_of_total_calories_consumed_as_nuts_and_seeds_interaction_term_for_hi_super_region': Covariate(
        name='percent_of_total_calories_consumed_as_nuts_and_seeds_interaction_term_for_hi_super_region',
        kind='covariate',
        gbd_id=cov_id(378),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_of_total_calories_consumed_as_pufa3_interaction_term_for_hi_super_region': Covariate(
        name='percent_of_total_calories_consumed_as_pufa3_interaction_term_for_hi_super_region',
        kind='covariate',
        gbd_id=cov_id(379),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_of_total_calories_consumed_as_saturated_fat_interaction_term_for_hi_super_region': Covariate(
        name='percent_of_total_calories_consumed_as_saturated_fat_interaction_term_for_hi_super_region',
        kind='covariate',
        gbd_id=cov_id(380),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_of_total_calories_consumed_as_sugar_interaction_term_for_hi_super_region': Covariate(
        name='percent_of_total_calories_consumed_as_sugar_interaction_term_for_hi_super_region',
        kind='covariate',
        gbd_id=cov_id(381),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_of_total_calories_consumed_as_non_wheat_whole_grains_interaction_term_for_hi_super_region': Covariate(
        name='percent_of_total_calories_consumed_as_non_wheat_whole_grains_interaction_term_for_hi_super_region',
        kind='covariate',
        gbd_id=cov_id(382),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'pig_meat_kg_per_capita_interaction_term_for_hi_super_region': Covariate(
        name='pig_meat_kg_per_capita_interaction_term_for_hi_super_region',
        kind='covariate',
        gbd_id=cov_id(383),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'pufa_kcal_per_capita_interaction_term_for_hi_super_region': Covariate(
        name='pufa_kcal_per_capita_interaction_term_for_hi_super_region',
        kind='covariate',
        gbd_id=cov_id(384),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'red_meat_kcal_per_capita_interaction_term_for_hi_super_region': Covariate(
        name='red_meat_kcal_per_capita_interaction_term_for_hi_super_region',
        kind='covariate',
        gbd_id=cov_id(385),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'animal_fats_kcal_per_capita_interaction_term_for_lac_super_region': Covariate(
        name='animal_fats_kcal_per_capita_interaction_term_for_lac_super_region',
        kind='covariate',
        gbd_id=cov_id(386),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'ln_total_calories_consumed_as_hydrogenated_oil_interaction_term_for_lac_super_region': Covariate(
        name='ln_total_calories_consumed_as_hydrogenated_oil_interaction_term_for_lac_super_region',
        kind='covariate',
        gbd_id=cov_id(387),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_of_total_calories_consumed_as_fruits_interaction_term_for_lac_super_region': Covariate(
        name='percent_of_total_calories_consumed_as_fruits_interaction_term_for_lac_super_region',
        kind='covariate',
        gbd_id=cov_id(388),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_of_total_calories_consumed_as_legumes_interaction_term_for_lac_super_region': Covariate(
        name='percent_of_total_calories_consumed_as_legumes_interaction_term_for_lac_super_region',
        kind='covariate',
        gbd_id=cov_id(389),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_of_total_calories_consumed_as_nuts_and_seeds_interaction_term_for_lac_super_region': Covariate(
        name='percent_of_total_calories_consumed_as_nuts_and_seeds_interaction_term_for_lac_super_region',
        kind='covariate',
        gbd_id=cov_id(390),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_of_total_calories_consumed_as_pufa3_interaction_term_for_lac_super_region': Covariate(
        name='percent_of_total_calories_consumed_as_pufa3_interaction_term_for_lac_super_region',
        kind='covariate',
        gbd_id=cov_id(391),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_of_total_calories_consumed_as_saturated_fat_interaction_term_for_lac_super_region': Covariate(
        name='percent_of_total_calories_consumed_as_saturated_fat_interaction_term_for_lac_super_region',
        kind='covariate',
        gbd_id=cov_id(392),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_of_total_calories_consumed_as_sugar_interaction_term_for_lac_super_region': Covariate(
        name='percent_of_total_calories_consumed_as_sugar_interaction_term_for_lac_super_region',
        kind='covariate',
        gbd_id=cov_id(393),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_of_total_calories_consumed_as_non_wheat_whole_grains_interaction_term_for_lac_super_region': Covariate(
        name='percent_of_total_calories_consumed_as_non_wheat_whole_grains_interaction_term_for_lac_super_region',
        kind='covariate',
        gbd_id=cov_id(394),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'pig_meat_kg_per_capita_interaction_term_for_lac_super_region': Covariate(
        name='pig_meat_kg_per_capita_interaction_term_for_lac_super_region',
        kind='covariate',
        gbd_id=cov_id(395),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'pufa_kcal_per_capita_interaction_term_for_lac_super_region': Covariate(
        name='pufa_kcal_per_capita_interaction_term_for_lac_super_region',
        kind='covariate',
        gbd_id=cov_id(396),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'red_meat_kcal_per_capita_interaction_term_for_lac_super_region': Covariate(
        name='red_meat_kcal_per_capita_interaction_term_for_lac_super_region',
        kind='covariate',
        gbd_id=cov_id(397),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'animal_fats_kcal_per_capita_interaction_term_for_name_super_region': Covariate(
        name='animal_fats_kcal_per_capita_interaction_term_for_name_super_region',
        kind='covariate',
        gbd_id=cov_id(398),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'ln_total_calories_consumed_as_hydrogenated_oil_interaction_term_for_name_super_region': Covariate(
        name='ln_total_calories_consumed_as_hydrogenated_oil_interaction_term_for_name_super_region',
        kind='covariate',
        gbd_id=cov_id(399),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_of_total_calories_consumed_as_fruits_interaction_term_for_name_super_region': Covariate(
        name='percent_of_total_calories_consumed_as_fruits_interaction_term_for_name_super_region',
        kind='covariate',
        gbd_id=cov_id(400),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_of_total_calories_consumed_as_legumes_interaction_term_for_name_super_region': Covariate(
        name='percent_of_total_calories_consumed_as_legumes_interaction_term_for_name_super_region',
        kind='covariate',
        gbd_id=cov_id(401),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_of_total_calories_consumed_as_nuts_and_seeds_interaction_term_for_name_super_region': Covariate(
        name='percent_of_total_calories_consumed_as_nuts_and_seeds_interaction_term_for_name_super_region',
        kind='covariate',
        gbd_id=cov_id(402),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_of_total_calories_consumed_as_pufa3_interaction_term_for_name_super_region': Covariate(
        name='percent_of_total_calories_consumed_as_pufa3_interaction_term_for_name_super_region',
        kind='covariate',
        gbd_id=cov_id(403),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_of_total_calories_consumed_as_saturated_fat_interaction_term_for_name_super_region': Covariate(
        name='percent_of_total_calories_consumed_as_saturated_fat_interaction_term_for_name_super_region',
        kind='covariate',
        gbd_id=cov_id(404),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_of_total_calories_consumed_as_sugar_interaction_term_for_name_super_region': Covariate(
        name='percent_of_total_calories_consumed_as_sugar_interaction_term_for_name_super_region',
        kind='covariate',
        gbd_id=cov_id(405),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_of_total_calories_consumed_as_non_wheat_whole_grains_interaction_term_for_name_super_region': Covariate(
        name='percent_of_total_calories_consumed_as_non_wheat_whole_grains_interaction_term_for_name_super_region',
        kind='covariate',
        gbd_id=cov_id(406),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'pig_meat_kg_per_capita_interaction_term_for_name_super_region': Covariate(
        name='pig_meat_kg_per_capita_interaction_term_for_name_super_region',
        kind='covariate',
        gbd_id=cov_id(407),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'pufa_kcal_per_capita_interaction_term_for_name_super_region': Covariate(
        name='pufa_kcal_per_capita_interaction_term_for_name_super_region',
        kind='covariate',
        gbd_id=cov_id(408),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'red_meat_kcal_per_capita_interaction_term_for_name_super_region': Covariate(
        name='red_meat_kcal_per_capita_interaction_term_for_name_super_region',
        kind='covariate',
        gbd_id=cov_id(409),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'animal_fats_kcal_per_capita_interaction_term_for_sa_super_region': Covariate(
        name='animal_fats_kcal_per_capita_interaction_term_for_sa_super_region',
        kind='covariate',
        gbd_id=cov_id(410),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'ln_total_calories_consumed_as_hydrogenated_oil_interaction_term_for_sa_super_region': Covariate(
        name='ln_total_calories_consumed_as_hydrogenated_oil_interaction_term_for_sa_super_region',
        kind='covariate',
        gbd_id=cov_id(411),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_of_total_calories_consumed_as_fruits_interaction_term_for_sa_super_region': Covariate(
        name='percent_of_total_calories_consumed_as_fruits_interaction_term_for_sa_super_region',
        kind='covariate',
        gbd_id=cov_id(412),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_of_total_calories_consumed_as_legumes_interaction_term_for_sa_super_region': Covariate(
        name='percent_of_total_calories_consumed_as_legumes_interaction_term_for_sa_super_region',
        kind='covariate',
        gbd_id=cov_id(413),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_of_total_calories_consumed_as_nuts_and_seeds_interaction_term_for_sa_super_region': Covariate(
        name='percent_of_total_calories_consumed_as_nuts_and_seeds_interaction_term_for_sa_super_region',
        kind='covariate',
        gbd_id=cov_id(414),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_of_total_calories_consumed_as_pufa3_interaction_term_for_sa_super_region': Covariate(
        name='percent_of_total_calories_consumed_as_pufa3_interaction_term_for_sa_super_region',
        kind='covariate',
        gbd_id=cov_id(415),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_of_total_calories_consumed_as_saturated_fat_interaction_term_for_sa_super_region': Covariate(
        name='percent_of_total_calories_consumed_as_saturated_fat_interaction_term_for_sa_super_region',
        kind='covariate',
        gbd_id=cov_id(416),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_of_total_calories_consumed_as_sugar_interaction_term_for_sa_super_region': Covariate(
        name='percent_of_total_calories_consumed_as_sugar_interaction_term_for_sa_super_region',
        kind='covariate',
        gbd_id=cov_id(417),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_of_total_calories_consumed_as_non_wheat_whole_grains_interaction_term_for_sa_super_region': Covariate(
        name='percent_of_total_calories_consumed_as_non_wheat_whole_grains_interaction_term_for_sa_super_region',
        kind='covariate',
        gbd_id=cov_id(418),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'pig_meat_kg_per_capita_interaction_term_for_sa_super_region': Covariate(
        name='pig_meat_kg_per_capita_interaction_term_for_sa_super_region',
        kind='covariate',
        gbd_id=cov_id(419),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'pufa_kcal_per_capita_interaction_term_for_sa_super_region': Covariate(
        name='pufa_kcal_per_capita_interaction_term_for_sa_super_region',
        kind='covariate',
        gbd_id=cov_id(420),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'red_meat_kcal_per_capita_interaction_term_for_sa_super_region': Covariate(
        name='red_meat_kcal_per_capita_interaction_term_for_sa_super_region',
        kind='covariate',
        gbd_id=cov_id(421),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'animal_fats_kcal_per_capita_interaction_term_for_ssa_super_region': Covariate(
        name='animal_fats_kcal_per_capita_interaction_term_for_ssa_super_region',
        kind='covariate',
        gbd_id=cov_id(422),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'ln_total_calories_consumed_as_hydrogenated_oil_interaction_term_for_ssa_super_region': Covariate(
        name='ln_total_calories_consumed_as_hydrogenated_oil_interaction_term_for_ssa_super_region',
        kind='covariate',
        gbd_id=cov_id(423),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_of_total_calories_consumed_as_fruits_interaction_term_for_ssa_super_region': Covariate(
        name='percent_of_total_calories_consumed_as_fruits_interaction_term_for_ssa_super_region',
        kind='covariate',
        gbd_id=cov_id(424),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_of_total_calories_consumed_as_legumes_interaction_term_for_ssa_super_region': Covariate(
        name='percent_of_total_calories_consumed_as_legumes_interaction_term_for_ssa_super_region',
        kind='covariate',
        gbd_id=cov_id(425),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_of_total_calories_consumed_as_nuts_and_seeds_interaction_term_for_ssa_super_region': Covariate(
        name='percent_of_total_calories_consumed_as_nuts_and_seeds_interaction_term_for_ssa_super_region',
        kind='covariate',
        gbd_id=cov_id(426),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_of_total_calories_consumed_as_pufa3_interaction_term_for_ssa_super_region': Covariate(
        name='percent_of_total_calories_consumed_as_pufa3_interaction_term_for_ssa_super_region',
        kind='covariate',
        gbd_id=cov_id(427),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_of_total_calories_consumed_as_saturated_fat_interaction_term_for_ssa_super_region': Covariate(
        name='percent_of_total_calories_consumed_as_saturated_fat_interaction_term_for_ssa_super_region',
        kind='covariate',
        gbd_id=cov_id(428),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_of_total_calories_consumed_as_sugar_interaction_term_for_ssa_super_region': Covariate(
        name='percent_of_total_calories_consumed_as_sugar_interaction_term_for_ssa_super_region',
        kind='covariate',
        gbd_id=cov_id(429),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_of_total_calories_consumed_as_non_wheat_whole_grains_interaction_term_for_ssa_super_region': Covariate(
        name='percent_of_total_calories_consumed_as_non_wheat_whole_grains_interaction_term_for_ssa_super_region',
        kind='covariate',
        gbd_id=cov_id(430),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'pig_meat_kg_per_capita_interaction_term_for_ssa_super_region': Covariate(
        name='pig_meat_kg_per_capita_interaction_term_for_ssa_super_region',
        kind='covariate',
        gbd_id=cov_id(431),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'pufa_kcal_per_capita_interaction_term_for_ssa_super_region': Covariate(
        name='pufa_kcal_per_capita_interaction_term_for_ssa_super_region',
        kind='covariate',
        gbd_id=cov_id(432),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'red_meat_kcal_per_capita_interaction_term_for_ssa_super_region': Covariate(
        name='red_meat_kcal_per_capita_interaction_term_for_ssa_super_region',
        kind='covariate',
        gbd_id=cov_id(433),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_standardized_death_rate_for_endocrince_metabolic_blood_and_immune_disorders': Covariate(
        name='age_standardized_death_rate_for_endocrince_metabolic_blood_and_immune_disorders',
        kind='covariate',
        gbd_id=cov_id(434),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_age_standardized_melanoma_incidence': Covariate(
        name='log_age_standardized_melanoma_incidence',
        kind='covariate',
        gbd_id=cov_id(435),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'chagas_specific_mortality_rate_among_the_at_risk_population_ten_year_lag': Covariate(
        name='chagas_specific_mortality_rate_among_the_at_risk_population_ten_year_lag',
        kind='covariate',
        gbd_id=cov_id(436),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'asbestos_production_per_capita_offset_by_non_zero_minimum': Covariate(
        name='asbestos_production_per_capita_offset_by_non_zero_minimum',
        kind='covariate',
        gbd_id=cov_id(437),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'coal_production_per_capita_offset_by_non_zero_minimum': Covariate(
        name='coal_production_per_capita_offset_by_non_zero_minimum',
        kind='covariate',
        gbd_id=cov_id(438),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'gold_production_per_capita_offset_by_non_zero_minimum': Covariate(
        name='gold_production_per_capita_offset_by_non_zero_minimum',
        kind='covariate',
        gbd_id=cov_id(440),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'proportion_of_the_population_living_in_the_indian_ocean_monsoon_belt': Covariate(
        name='proportion_of_the_population_living_in_the_indian_ocean_monsoon_belt',
        kind='covariate',
        gbd_id=cov_id(441),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'vitamin_a_deficiency_prevalence_age_standardized': Covariate(
        name='vitamin_a_deficiency_prevalence_age_standardized',
        kind='covariate',
        gbd_id=cov_id(442),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'population_at_risk_of_trachoma_modeled_proportion': Covariate(
        name='population_at_risk_of_trachoma_modeled_proportion',
        kind='covariate',
        gbd_id=cov_id(443),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'saturated_fats_and_animal_fats_kcal_per_capita': Covariate(
        name='saturated_fats_and_animal_fats_kcal_per_capita',
        kind='covariate',
        gbd_id=cov_id(444),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_of_total_calories_consumed_as_saturated_and_animal_fats': Covariate(
        name='percent_of_total_calories_consumed_as_saturated_and_animal_fats',
        kind='covariate',
        gbd_id=cov_id(445),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_of_total_calories_consumed_as_saturated_and_animal_fats_interaction_term_for_eap_super_region': Covariate(
        name='percent_of_total_calories_consumed_as_saturated_and_animal_fats_interaction_term_for_eap_super_region',
        kind='covariate',
        gbd_id=cov_id(446),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_of_total_calories_consumed_as_saturated_and_animal_fats_interaction_term_for_eeca_super_region': Covariate(
        name='percent_of_total_calories_consumed_as_saturated_and_animal_fats_interaction_term_for_eeca_super_region',
        kind='covariate',
        gbd_id=cov_id(447),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_of_total_calories_consumed_as_saturated_and_animal_fats_interaction_term_for_hi_super_region': Covariate(
        name='percent_of_total_calories_consumed_as_saturated_and_animal_fats_interaction_term_for_hi_super_region',
        kind='covariate',
        gbd_id=cov_id(448),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_of_total_calories_consumed_as_saturated_and_animal_fats_interaction_term_for_lac_super_region': Covariate(
        name='percent_of_total_calories_consumed_as_saturated_and_animal_fats_interaction_term_for_lac_super_region',
        kind='covariate',
        gbd_id=cov_id(449),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_of_total_calories_consumed_as_saturated_and_animal_fats_interaction_term_for_name_super_region': Covariate(
        name='percent_of_total_calories_consumed_as_saturated_and_animal_fats_interaction_term_for_name_super_region',
        kind='covariate',
        gbd_id=cov_id(450),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_of_total_calories_consumed_as_saturated_and_animal_fats_interaction_term_for_sa_super_region': Covariate(
        name='percent_of_total_calories_consumed_as_saturated_and_animal_fats_interaction_term_for_sa_super_region',
        kind='covariate',
        gbd_id=cov_id(451),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_of_total_calories_consumed_as_saturated_and_animal_fats_interaction_term_for_ssa_super_region': Covariate(
        name='percent_of_total_calories_consumed_as_saturated_and_animal_fats_interaction_term_for_ssa_super_region',
        kind='covariate',
        gbd_id=cov_id(452),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'prevalence_of_obesity': Covariate(
        name='prevalence_of_obesity',
        kind='covariate',
        gbd_id=cov_id(453),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'prevalence_of_overweight_and_obesity': Covariate(
        name='prevalence_of_overweight_and_obesity',
        kind='covariate',
        gbd_id=cov_id(454),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'prevalence_of_obesity_age_standardized': Covariate(
        name='prevalence_of_obesity_age_standardized',
        kind='covariate',
        gbd_id=cov_id(455),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_prevalence_of_ckd_stage_3': Covariate(
        name='age_standardized_prevalence_of_ckd_stage_3',
        kind='covariate',
        gbd_id=cov_id(456),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_standardized_prevalence_of_ckd_stage_4_dismod_model_33304': Covariate(
        name='age_standardized_prevalence_of_ckd_stage_4_dismod_model_33304',
        kind='covariate',
        gbd_id=cov_id(457),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_standardized_prevalence_of_ckd_stage_4_dismod_model_33309': Covariate(
        name='age_standardized_prevalence_of_ckd_stage_4_dismod_model_33309',
        kind='covariate',
        gbd_id=cov_id(458),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_standardized_prevalence_of_ckd_stage_4_dismod_model_33314': Covariate(
        name='age_standardized_prevalence_of_ckd_stage_4_dismod_model_33314',
        kind='covariate',
        gbd_id=cov_id(459),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_standardized_prevalence_of_ckd_stage_4': Covariate(
        name='age_standardized_prevalence_of_ckd_stage_4',
        kind='covariate',
        gbd_id=cov_id(460),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'red_meat_w_o_pig_meat_kcal_per_capita': Covariate(
        name='red_meat_w_o_pig_meat_kcal_per_capita',
        kind='covariate',
        gbd_id=cov_id(461),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_of_total_calories_consumed_as_red_meat_w_o_pig_meat': Covariate(
        name='percent_of_total_calories_consumed_as_red_meat_w_o_pig_meat',
        kind='covariate',
        gbd_id=cov_id(462),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'maternal_education_years_per_capita': Covariate(
        name='maternal_education_years_per_capita',
        kind='covariate',
        gbd_id=cov_id(463),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'scaled_adult_hiv_rate': Covariate(
        name='scaled_adult_hiv_rate',
        kind='covariate',
        gbd_id=cov_id(464),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'chagasprevpaho': Covariate(
        name='chagasprevpaho',
        kind='covariate',
        gbd_id=cov_id(467),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'proportion_of_the_land_with_altitude_between_1000_2500_meters_above_sea_level': Covariate(
        name='proportion_of_the_land_with_altitude_between_1000_2500_meters_above_sea_level',
        kind='covariate',
        gbd_id=cov_id(470),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'clay_fraction_in_the_soil_mean': Covariate(
        name='clay_fraction_in_the_soil_mean',
        kind='covariate',
        gbd_id=cov_id(473),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'silt_fraction_in_the_soil_mean': Covariate(
        name='silt_fraction_in_the_soil_mean',
        kind='covariate',
        gbd_id=cov_id(476),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'enhanced_vegetation_index_long_term_average_2000_2012_mean': Covariate(
        name='enhanced_vegetation_index_long_term_average_2000_2012_mean',
        kind='covariate',
        gbd_id=cov_id(479),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'slope_of_the_land_in_degrees_terrain_steepness_mean': Covariate(
        name='slope_of_the_land_in_degrees_terrain_steepness_mean',
        kind='covariate',
        gbd_id=cov_id(482),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_tb': Covariate(
        name='log_transformed_sev_scalar_tb',
        kind='covariate',
        gbd_id=cov_id(483),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_hiv_myco': Covariate(
        name='deprecated_log_transformed_sev_scalar_hiv_myco',
        kind='covariate',
        gbd_id=cov_id(484),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_oth_hiv': Covariate(
        name='log_transformed_sev_scalar_oth_hiv',
        kind='covariate',
        gbd_id=cov_id(485),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_diarrhea': Covariate(
        name='log_transformed_sev_scalar_diarrhea',
        kind='covariate',
        gbd_id=cov_id(486),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_intest_inf': Covariate(
        name='deprecated_log_transformed_sev_scalar_intest_inf',
        kind='covariate',
        gbd_id=cov_id(487),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_typhoid': Covariate(
        name='deprecated_log_transformed_sev_scalar_typhoid',
        kind='covariate',
        gbd_id=cov_id(488),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_paratyph': Covariate(
        name='deprecated_log_transformed_sev_scalar_paratyph',
        kind='covariate',
        gbd_id=cov_id(489),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_oth_intest': Covariate(
        name='deprecated_log_transformed_sev_scalar_oth_intest',
        kind='covariate',
        gbd_id=cov_id(490),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_lri': Covariate(
        name='log_transformed_sev_scalar_lri',
        kind='covariate',
        gbd_id=cov_id(491),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_uri': Covariate(
        name='log_transformed_sev_scalar_uri',
        kind='covariate',
        gbd_id=cov_id(492),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_otitis': Covariate(
        name='log_transformed_sev_scalar_otitis',
        kind='covariate',
        gbd_id=cov_id(493),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_meningitis': Covariate(
        name='log_transformed_sev_scalar_meningitis',
        kind='covariate',
        gbd_id=cov_id(494),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_mng_pne': Covariate(
        name='deprecated_log_transformed_sev_scalar_mng_pne',
        kind='covariate',
        gbd_id=cov_id(495),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_mng_hib': Covariate(
        name='deprecated_log_transformed_sev_scalar_mng_hib',
        kind='covariate',
        gbd_id=cov_id(496),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_mng_men': Covariate(
        name='deprecated_log_transformed_sev_scalar_mng_men',
        kind='covariate',
        gbd_id=cov_id(497),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_oth_mng': Covariate(
        name='deprecated_log_transformed_sev_scalar_oth_mng',
        kind='covariate',
        gbd_id=cov_id(498),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_encepha': Covariate(
        name='deprecated_log_transformed_sev_scalar_encepha',
        kind='covariate',
        gbd_id=cov_id(499),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_diphtheria': Covariate(
        name='deprecated_log_transformed_sev_scalar_diphtheria',
        kind='covariate',
        gbd_id=cov_id(500),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_whooping': Covariate(
        name='deprecated_log_transformed_sev_scalar_whooping',
        kind='covariate',
        gbd_id=cov_id(501),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_tetanus': Covariate(
        name='deprecated_log_transformed_sev_scalar_tetanus',
        kind='covariate',
        gbd_id=cov_id(502),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_measles': Covariate(
        name='log_transformed_sev_scalar_measles',
        kind='covariate',
        gbd_id=cov_id(503),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_varicella': Covariate(
        name='deprecated_log_transformed_sev_scalar_varicella',
        kind='covariate',
        gbd_id=cov_id(504),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_malaria': Covariate(
        name='deprecated_log_transformed_sev_scalar_malaria',
        kind='covariate',
        gbd_id=cov_id(505),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_chagas': Covariate(
        name='deprecated_log_transformed_sev_scalar_chagas',
        kind='covariate',
        gbd_id=cov_id(506),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_leish': Covariate(
        name='deprecated_log_transformed_sev_scalar_leish',
        kind='covariate',
        gbd_id=cov_id(507),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_vis_leish': Covariate(
        name='deprecated_log_transformed_sev_scalar_vis_leish',
        kind='covariate',
        gbd_id=cov_id(508),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_cut_leish': Covariate(
        name='deprecated_log_transformed_sev_scalar_cut_leish',
        kind='covariate',
        gbd_id=cov_id(509),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_afr_tryp': Covariate(
        name='deprecated_log_transformed_sev_scalar_afr_tryp',
        kind='covariate',
        gbd_id=cov_id(510),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_schisto': Covariate(
        name='deprecated_log_transformed_sev_scalar_schisto',
        kind='covariate',
        gbd_id=cov_id(511),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_cysticer': Covariate(
        name='deprecated_log_transformed_sev_scalar_cysticer',
        kind='covariate',
        gbd_id=cov_id(512),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_echino': Covariate(
        name='deprecated_log_transformed_sev_scalar_echino',
        kind='covariate',
        gbd_id=cov_id(513),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_lf': Covariate(
        name='deprecated_log_transformed_sev_scalar_lf',
        kind='covariate',
        gbd_id=cov_id(514),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_oncho': Covariate(
        name='deprecated_log_transformed_sev_scalar_oncho',
        kind='covariate',
        gbd_id=cov_id(515),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_trachoma': Covariate(
        name='deprecated_log_transformed_sev_scalar_trachoma',
        kind='covariate',
        gbd_id=cov_id(516),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_dengue': Covariate(
        name='deprecated_log_transformed_sev_scalar_dengue',
        kind='covariate',
        gbd_id=cov_id(517),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_yellow_fev': Covariate(
        name='deprecated_log_transformed_sev_scalar_yellow_fev',
        kind='covariate',
        gbd_id=cov_id(518),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_rabies': Covariate(
        name='deprecated_log_transformed_sev_scalar_rabies',
        kind='covariate',
        gbd_id=cov_id(519),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_nematode': Covariate(
        name='deprecated_log_transformed_sev_scalar_nematode',
        kind='covariate',
        gbd_id=cov_id(520),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_ascaria': Covariate(
        name='deprecated_log_transformed_sev_scalar_ascaria',
        kind='covariate',
        gbd_id=cov_id(521),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_trichuria': Covariate(
        name='deprecated_log_transformed_sev_scalar_trichuria',
        kind='covariate',
        gbd_id=cov_id(522),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_hookworm': Covariate(
        name='deprecated_log_transformed_sev_scalar_hookworm',
        kind='covariate',
        gbd_id=cov_id(523),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_fb_trema': Covariate(
        name='deprecated_log_transformed_sev_scalar_fb_trema',
        kind='covariate',
        gbd_id=cov_id(524),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_oth_ntd': Covariate(
        name='deprecated_log_transformed_sev_scalar_oth_ntd',
        kind='covariate',
        gbd_id=cov_id(525),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_mat_hem': Covariate(
        name='log_transformed_sev_scalar_mat_hem',
        kind='covariate',
        gbd_id=cov_id(526),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_mat_sepsis': Covariate(
        name='log_transformed_sev_scalar_mat_sepsis',
        kind='covariate',
        gbd_id=cov_id(527),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_mat_htn': Covariate(
        name='log_transformed_sev_scalar_mat_htn',
        kind='covariate',
        gbd_id=cov_id(528),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_mat_obst': Covariate(
        name='deprecated_log_transformed_sev_scalar_mat_obst',
        kind='covariate',
        gbd_id=cov_id(529),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_comp_abort': Covariate(
        name='log_transformed_sev_scalar_comp_abort',
        kind='covariate',
        gbd_id=cov_id(530),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_mat_indir': Covariate(
        name='log_transformed_sev_scalar_mat_indir',
        kind='covariate',
        gbd_id=cov_id(531),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_mat_late': Covariate(
        name='log_transformed_sev_scalar_mat_late',
        kind='covariate',
        gbd_id=cov_id(532),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_oth_mat': Covariate(
        name='log_transformed_sev_scalar_oth_mat',
        kind='covariate',
        gbd_id=cov_id(533),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_nn_preterm': Covariate(
        name='deprecated_log_transformed_sev_scalar_nn_preterm',
        kind='covariate',
        gbd_id=cov_id(534),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_nn_enceph': Covariate(
        name='deprecated_log_transformed_sev_scalar_nn_enceph',
        kind='covariate',
        gbd_id=cov_id(535),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_nn_sepsis': Covariate(
        name='deprecated_log_transformed_sev_scalar_nn_sepsis',
        kind='covariate',
        gbd_id=cov_id(536),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_nn_hemol': Covariate(
        name='deprecated_log_transformed_sev_scalar_nn_hemol',
        kind='covariate',
        gbd_id=cov_id(537),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_oth_nn': Covariate(
        name='deprecated_log_transformed_sev_scalar_oth_nn',
        kind='covariate',
        gbd_id=cov_id(538),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_iodine': Covariate(
        name='deprecated_log_transformed_sev_scalar_iodine',
        kind='covariate',
        gbd_id=cov_id(539),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_oth_nutr': Covariate(
        name='deprecated_log_transformed_sev_scalar_oth_nutr',
        kind='covariate',
        gbd_id=cov_id(540),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_hep': Covariate(
        name='log_transformed_sev_scalar_hep',
        kind='covariate',
        gbd_id=cov_id(541),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_hep_a': Covariate(
        name='deprecated_log_transformed_sev_scalar_hep_a',
        kind='covariate',
        gbd_id=cov_id(542),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_hep_b': Covariate(
        name='log_transformed_sev_scalar_hep_b',
        kind='covariate',
        gbd_id=cov_id(543),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_hep_c': Covariate(
        name='log_transformed_sev_scalar_hep_c',
        kind='covariate',
        gbd_id=cov_id(544),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_hep_e': Covariate(
        name='deprecated_log_transformed_sev_scalar_hep_e',
        kind='covariate',
        gbd_id=cov_id(545),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_leprosy': Covariate(
        name='deprecated_log_transformed_sev_scalar_leprosy',
        kind='covariate',
        gbd_id=cov_id(546),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_oth_inf': Covariate(
        name='deprecated_log_transformed_sev_scalar_oth_inf',
        kind='covariate',
        gbd_id=cov_id(547),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_esophag_c': Covariate(
        name='log_transformed_sev_scalar_esophag_c',
        kind='covariate',
        gbd_id=cov_id(548),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_stomach_c': Covariate(
        name='log_transformed_sev_scalar_stomach_c',
        kind='covariate',
        gbd_id=cov_id(549),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_liver_c': Covariate(
        name='log_transformed_sev_scalar_liver_c',
        kind='covariate',
        gbd_id=cov_id(550),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_liver_c_hepb': Covariate(
        name='log_transformed_sev_scalar_liver_c_hepb',
        kind='covariate',
        gbd_id=cov_id(551),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_liver_c_hepc': Covariate(
        name='log_transformed_sev_scalar_liver_c_hepc',
        kind='covariate',
        gbd_id=cov_id(552),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_oth_liver_c': Covariate(
        name='log_transformed_sev_scalar_oth_liver_c',
        kind='covariate',
        gbd_id=cov_id(553),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_larynx_c': Covariate(
        name='log_transformed_sev_scalar_larynx_c',
        kind='covariate',
        gbd_id=cov_id(554),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_lung_c': Covariate(
        name='log_transformed_sev_scalar_lung_c',
        kind='covariate',
        gbd_id=cov_id(555),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_breast_c': Covariate(
        name='log_transformed_sev_scalar_breast_c',
        kind='covariate',
        gbd_id=cov_id(556),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_uterus_c': Covariate(
        name='log_transformed_sev_scalar_uterus_c',
        kind='covariate',
        gbd_id=cov_id(557),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_prostate_c': Covariate(
        name='log_transformed_sev_scalar_prostate_c',
        kind='covariate',
        gbd_id=cov_id(558),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_colorect_c': Covariate(
        name='log_transformed_sev_scalar_colorect_c',
        kind='covariate',
        gbd_id=cov_id(559),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_lip_oral_c': Covariate(
        name='log_transformed_sev_scalar_lip_oral_c',
        kind='covariate',
        gbd_id=cov_id(560),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_nasoph_c': Covariate(
        name='log_transformed_sev_scalar_nasoph_c',
        kind='covariate',
        gbd_id=cov_id(561),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_oth_phar_c': Covariate(
        name='log_transformed_sev_scalar_oth_phar_c',
        kind='covariate',
        gbd_id=cov_id(562),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_gallblad_c': Covariate(
        name='log_transformed_sev_scalar_gallblad_c',
        kind='covariate',
        gbd_id=cov_id(563),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_pancreas_c': Covariate(
        name='log_transformed_sev_scalar_pancreas_c',
        kind='covariate',
        gbd_id=cov_id(564),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_melanoma': Covariate(
        name='deprecated_log_transformed_sev_scalar_melanoma',
        kind='covariate',
        gbd_id=cov_id(565),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_skin_c': Covariate(
        name='deprecated_log_transformed_sev_scalar_skin_c',
        kind='covariate',
        gbd_id=cov_id(566),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_ovary_c': Covariate(
        name='log_transformed_sev_scalar_ovary_c',
        kind='covariate',
        gbd_id=cov_id(567),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_testis_c': Covariate(
        name='deprecated_log_transformed_sev_scalar_testis_c',
        kind='covariate',
        gbd_id=cov_id(568),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_kidney_c': Covariate(
        name='log_transformed_sev_scalar_kidney_c',
        kind='covariate',
        gbd_id=cov_id(569),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_bladder_c': Covariate(
        name='log_transformed_sev_scalar_bladder_c',
        kind='covariate',
        gbd_id=cov_id(570),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_brain_c': Covariate(
        name='deprecated_log_transformed_sev_scalar_brain_c',
        kind='covariate',
        gbd_id=cov_id(571),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_thyroid_c': Covariate(
        name='log_transformed_sev_scalar_thyroid_c',
        kind='covariate',
        gbd_id=cov_id(572),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_mesothel': Covariate(
        name='log_transformed_sev_scalar_mesothel',
        kind='covariate',
        gbd_id=cov_id(573),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_hodgkin': Covariate(
        name='deprecated_log_transformed_sev_scalar_hodgkin',
        kind='covariate',
        gbd_id=cov_id(574),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_lymphoma': Covariate(
        name='deprecated_log_transformed_sev_scalar_lymphoma',
        kind='covariate',
        gbd_id=cov_id(575),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_myeloma': Covariate(
        name='deprecated_log_transformed_sev_scalar_myeloma',
        kind='covariate',
        gbd_id=cov_id(576),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_leukemia': Covariate(
        name='log_transformed_sev_scalar_leukemia',
        kind='covariate',
        gbd_id=cov_id(577),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_oth_neopla': Covariate(
        name='deprecated_log_transformed_sev_scalar_oth_neopla',
        kind='covariate',
        gbd_id=cov_id(578),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_rhd': Covariate(
        name='log_transformed_sev_scalar_rhd',
        kind='covariate',
        gbd_id=cov_id(579),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_ihd': Covariate(
        name='log_transformed_sev_scalar_ihd',
        kind='covariate',
        gbd_id=cov_id(580),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_stroke': Covariate(
        name='log_transformed_sev_scalar_stroke',
        kind='covariate',
        gbd_id=cov_id(581),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_isch_stroke': Covariate(
        name='log_transformed_sev_scalar_isch_stroke',
        kind='covariate',
        gbd_id=cov_id(582),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_intrahem_stroke': Covariate(
        name='log_transformed_sev_scalar_intrahem_stroke',
        kind='covariate',
        gbd_id=cov_id(583),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_cmp': Covariate(
        name='log_transformed_sev_scalar_cmp',
        kind='covariate',
        gbd_id=cov_id(584),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_a_fib': Covariate(
        name='log_transformed_sev_scalar_a_fib',
        kind='covariate',
        gbd_id=cov_id(585),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_aort_an': Covariate(
        name='log_transformed_sev_scalar_aort_an',
        kind='covariate',
        gbd_id=cov_id(586),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_pad': Covariate(
        name='log_transformed_sev_scalar_pad',
        kind='covariate',
        gbd_id=cov_id(587),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_endocar': Covariate(
        name='log_transformed_sev_scalar_endocar',
        kind='covariate',
        gbd_id=cov_id(588),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_oth_cardio': Covariate(
        name='log_transformed_sev_scalar_oth_cardio',
        kind='covariate',
        gbd_id=cov_id(589),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_copd': Covariate(
        name='log_transformed_sev_scalar_copd',
        kind='covariate',
        gbd_id=cov_id(590),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_pneumocon': Covariate(
        name='deprecated_log_transformed_sev_scalar_pneumocon',
        kind='covariate',
        gbd_id=cov_id(591),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_silicosis': Covariate(
        name='deprecated_log_transformed_sev_scalar_silicosis',
        kind='covariate',
        gbd_id=cov_id(592),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_asbestosis': Covariate(
        name='deprecated_log_transformed_sev_scalar_asbestosis',
        kind='covariate',
        gbd_id=cov_id(593),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_coal_w': Covariate(
        name='deprecated_log_transformed_sev_scalar_coal_w',
        kind='covariate',
        gbd_id=cov_id(594),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_oth_pneum': Covariate(
        name='deprecated_log_transformed_sev_scalar_oth_pneum',
        kind='covariate',
        gbd_id=cov_id(595),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_asthma': Covariate(
        name='log_transformed_sev_scalar_asthma',
        kind='covariate',
        gbd_id=cov_id(596),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_ild': Covariate(
        name='log_transformed_sev_scalar_ild',
        kind='covariate',
        gbd_id=cov_id(597),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_oth_resp': Covariate(
        name='log_transformed_sev_scalar_oth_resp',
        kind='covariate',
        gbd_id=cov_id(598),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_cirr_hepb': Covariate(
        name='log_transformed_sev_scalar_cirr_hepb',
        kind='covariate',
        gbd_id=cov_id(599),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_cirr_hepc': Covariate(
        name='log_transformed_sev_scalar_cirr_hepc',
        kind='covariate',
        gbd_id=cov_id(600),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_oth_cirr': Covariate(
        name='deprecated_log_transformed_sev_scalar_oth_cirr',
        kind='covariate',
        gbd_id=cov_id(601),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_pud': Covariate(
        name='deprecated_log_transformed_sev_scalar_pud',
        kind='covariate',
        gbd_id=cov_id(602),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_gastritis': Covariate(
        name='deprecated_log_transformed_sev_scalar_gastritis',
        kind='covariate',
        gbd_id=cov_id(603),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_appendicit': Covariate(
        name='deprecated_log_transformed_sev_scalar_appendicit',
        kind='covariate',
        gbd_id=cov_id(604),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_ileus': Covariate(
        name='deprecated_log_transformed_sev_scalar_ileus',
        kind='covariate',
        gbd_id=cov_id(605),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_hernia': Covariate(
        name='deprecated_log_transformed_sev_scalar_hernia',
        kind='covariate',
        gbd_id=cov_id(606),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_ibd': Covariate(
        name='deprecated_log_transformed_sev_scalar_ibd',
        kind='covariate',
        gbd_id=cov_id(607),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_vasc_intest': Covariate(
        name='deprecated_log_transformed_sev_scalar_vasc_intest',
        kind='covariate',
        gbd_id=cov_id(608),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_gall_bile': Covariate(
        name='deprecated_log_transformed_sev_scalar_gall_bile',
        kind='covariate',
        gbd_id=cov_id(609),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_pancreatit': Covariate(
        name='log_transformed_sev_scalar_pancreatit',
        kind='covariate',
        gbd_id=cov_id(610),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_oth_digest': Covariate(
        name='deprecated_log_transformed_sev_scalar_oth_digest',
        kind='covariate',
        gbd_id=cov_id(611),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_alzheimer': Covariate(
        name='deprecated_log_transformed_sev_scalar_alzheimer',
        kind='covariate',
        gbd_id=cov_id(612),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_parkinson': Covariate(
        name='deprecated_log_transformed_sev_scalar_parkinson',
        kind='covariate',
        gbd_id=cov_id(613),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_idiopathic_epilepsy': Covariate(
        name='log_transformed_sev_scalar_idiopathic_epilepsy',
        kind='covariate',
        gbd_id=cov_id(614),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_ms': Covariate(
        name='deprecated_log_transformed_sev_scalar_ms',
        kind='covariate',
        gbd_id=cov_id(615),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_migraine': Covariate(
        name='deprecated_log_transformed_sev_scalar_migraine',
        kind='covariate',
        gbd_id=cov_id(616),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_tens_head': Covariate(
        name='deprecated_log_transformed_sev_scalar_tens_head',
        kind='covariate',
        gbd_id=cov_id(617),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_med_head': Covariate(
        name='deprecated_log_transformed_sev_scalar_med_head',
        kind='covariate',
        gbd_id=cov_id(618),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_oth_neuro': Covariate(
        name='deprecated_log_transformed_sev_scalar_oth_neuro',
        kind='covariate',
        gbd_id=cov_id(619),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_schizo': Covariate(
        name='deprecated_log_transformed_sev_scalar_schizo',
        kind='covariate',
        gbd_id=cov_id(620),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_depression': Covariate(
        name='log_transformed_sev_scalar_depression',
        kind='covariate',
        gbd_id=cov_id(621),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_mdd': Covariate(
        name='log_transformed_sev_scalar_mdd',
        kind='covariate',
        gbd_id=cov_id(622),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_dysthymia': Covariate(
        name='deprecated_log_transformed_sev_scalar_dysthymia',
        kind='covariate',
        gbd_id=cov_id(623),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_bipolar': Covariate(
        name='deprecated_log_transformed_sev_scalar_bipolar',
        kind='covariate',
        gbd_id=cov_id(624),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_anxiety': Covariate(
        name='log_transformed_sev_scalar_anxiety',
        kind='covariate',
        gbd_id=cov_id(625),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_eating': Covariate(
        name='deprecated_log_transformed_sev_scalar_eating',
        kind='covariate',
        gbd_id=cov_id(626),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_anorexia': Covariate(
        name='deprecated_log_transformed_sev_scalar_anorexia',
        kind='covariate',
        gbd_id=cov_id(627),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_bulimia': Covariate(
        name='deprecated_log_transformed_sev_scalar_bulimia',
        kind='covariate',
        gbd_id=cov_id(628),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_asd': Covariate(
        name='deprecated_log_transformed_sev_scalar_asd',
        kind='covariate',
        gbd_id=cov_id(629),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_autism': Covariate(
        name='deprecated_log_transformed_sev_scalar_autism',
        kind='covariate',
        gbd_id=cov_id(630),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_asperger': Covariate(
        name='deprecated_log_transformed_sev_scalar_asperger',
        kind='covariate',
        gbd_id=cov_id(631),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_adhd': Covariate(
        name='deprecated_log_transformed_sev_scalar_adhd',
        kind='covariate',
        gbd_id=cov_id(632),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_conduct': Covariate(
        name='deprecated_log_transformed_sev_scalar_conduct',
        kind='covariate',
        gbd_id=cov_id(633),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_id': Covariate(
        name='log_transformed_sev_scalar_id',
        kind='covariate',
        gbd_id=cov_id(634),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_oth_ment': Covariate(
        name='deprecated_log_transformed_sev_scalar_oth_ment',
        kind='covariate',
        gbd_id=cov_id(635),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_agn': Covariate(
        name='deprecated_log_transformed_sev_scalar_agn',
        kind='covariate',
        gbd_id=cov_id(636),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_urinary': Covariate(
        name='deprecated_log_transformed_sev_scalar_urinary',
        kind='covariate',
        gbd_id=cov_id(637),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_int_neph': Covariate(
        name='deprecated_log_transformed_sev_scalar_int_neph',
        kind='covariate',
        gbd_id=cov_id(638),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_urolith': Covariate(
        name='deprecated_log_transformed_sev_scalar_urolith',
        kind='covariate',
        gbd_id=cov_id(639),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_bph': Covariate(
        name='deprecated_log_transformed_sev_scalar_bph',
        kind='covariate',
        gbd_id=cov_id(640),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_infert_m': Covariate(
        name='deprecated_log_transformed_sev_scalar_infert_m',
        kind='covariate',
        gbd_id=cov_id(641),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_oth_urin': Covariate(
        name='deprecated_log_transformed_sev_scalar_oth_urin',
        kind='covariate',
        gbd_id=cov_id(642),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_gyne': Covariate(
        name='deprecated_log_transformed_sev_scalar_gyne',
        kind='covariate',
        gbd_id=cov_id(643),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_fibroids': Covariate(
        name='deprecated_log_transformed_sev_scalar_fibroids',
        kind='covariate',
        gbd_id=cov_id(644),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_pcos': Covariate(
        name='deprecated_log_transformed_sev_scalar_pcos',
        kind='covariate',
        gbd_id=cov_id(645),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_infert_f': Covariate(
        name='deprecated_log_transformed_sev_scalar_infert_f',
        kind='covariate',
        gbd_id=cov_id(646),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_endomet': Covariate(
        name='deprecated_log_transformed_sev_scalar_endomet',
        kind='covariate',
        gbd_id=cov_id(647),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_prolapse': Covariate(
        name='deprecated_log_transformed_sev_scalar_prolapse',
        kind='covariate',
        gbd_id=cov_id(648),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_pms': Covariate(
        name='deprecated_log_transformed_sev_scalar_pms',
        kind='covariate',
        gbd_id=cov_id(649),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_oth_gyne': Covariate(
        name='deprecated_log_transformed_sev_scalar_oth_gyne',
        kind='covariate',
        gbd_id=cov_id(650),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_hemog': Covariate(
        name='deprecated_log_transformed_sev_scalar_hemog',
        kind='covariate',
        gbd_id=cov_id(651),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_thalass': Covariate(
        name='deprecated_log_transformed_sev_scalar_thalass',
        kind='covariate',
        gbd_id=cov_id(652),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_sickle': Covariate(
        name='deprecated_log_transformed_sev_scalar_sickle',
        kind='covariate',
        gbd_id=cov_id(653),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_g6pd': Covariate(
        name='deprecated_log_transformed_sev_scalar_g6pd',
        kind='covariate',
        gbd_id=cov_id(654),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_oth_hem': Covariate(
        name='deprecated_log_transformed_sev_scalar_oth_hem',
        kind='covariate',
        gbd_id=cov_id(655),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_endocrine': Covariate(
        name='deprecated_log_transformed_sev_scalar_endocrine',
        kind='covariate',
        gbd_id=cov_id(656),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_rheu_arth': Covariate(
        name='deprecated_log_transformed_sev_scalar_rheu_arth',
        kind='covariate',
        gbd_id=cov_id(657),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_osteoarth': Covariate(
        name='log_transformed_sev_scalar_osteoarth',
        kind='covariate',
        gbd_id=cov_id(658),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_back_and_upneck': Covariate(
        name='log_transformed_sev_scalar_back_and_upneck',
        kind='covariate',
        gbd_id=cov_id(659),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_back_pain': Covariate(
        name='log_transformed_sev_scalar_back_pain',
        kind='covariate',
        gbd_id=cov_id(660),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_neck_pain': Covariate(
        name='deprecated_log_transformed_sev_scalar_neck_pain',
        kind='covariate',
        gbd_id=cov_id(661),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_gout': Covariate(
        name='log_transformed_sev_scalar_gout',
        kind='covariate',
        gbd_id=cov_id(662),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_oth_msk': Covariate(
        name='deprecated_log_transformed_sev_scalar_oth_msk',
        kind='covariate',
        gbd_id=cov_id(663),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_congenital': Covariate(
        name='deprecated_log_transformed_sev_scalar_congenital',
        kind='covariate',
        gbd_id=cov_id(664),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_neur_tube': Covariate(
        name='deprecated_log_transformed_sev_scalar_neur_tube',
        kind='covariate',
        gbd_id=cov_id(665),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_cong_heart': Covariate(
        name='deprecated_log_transformed_sev_scalar_cong_heart',
        kind='covariate',
        gbd_id=cov_id(666),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_cleft': Covariate(
        name='deprecated_log_transformed_sev_scalar_cleft',
        kind='covariate',
        gbd_id=cov_id(667),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_down': Covariate(
        name='deprecated_log_transformed_sev_scalar_down',
        kind='covariate',
        gbd_id=cov_id(668),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_turner': Covariate(
        name='deprecated_log_transformed_sev_scalar_turner',
        kind='covariate',
        gbd_id=cov_id(669),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_klinefelter': Covariate(
        name='deprecated_log_transformed_sev_scalar_klinefelter',
        kind='covariate',
        gbd_id=cov_id(670),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_chrom_unb': Covariate(
        name='deprecated_log_transformed_sev_scalar_chrom_unb',
        kind='covariate',
        gbd_id=cov_id(671),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_oth_cong': Covariate(
        name='deprecated_log_transformed_sev_scalar_oth_cong',
        kind='covariate',
        gbd_id=cov_id(672),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_skin': Covariate(
        name='deprecated_log_transformed_sev_scalar_skin',
        kind='covariate',
        gbd_id=cov_id(673),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_dermatitis': Covariate(
        name='deprecated_log_transformed_sev_scalar_dermatitis',
        kind='covariate',
        gbd_id=cov_id(674),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_psoriasis': Covariate(
        name='deprecated_log_transformed_sev_scalar_psoriasis',
        kind='covariate',
        gbd_id=cov_id(675),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_cellulitis': Covariate(
        name='deprecated_log_transformed_sev_scalar_cellulitis',
        kind='covariate',
        gbd_id=cov_id(676),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_pyoderma': Covariate(
        name='deprecated_log_transformed_sev_scalar_pyoderma',
        kind='covariate',
        gbd_id=cov_id(677),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_scabies': Covariate(
        name='deprecated_log_transformed_sev_scalar_scabies',
        kind='covariate',
        gbd_id=cov_id(678),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_skin_fung': Covariate(
        name='deprecated_log_transformed_sev_scalar_skin_fung',
        kind='covariate',
        gbd_id=cov_id(679),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_skin_viral': Covariate(
        name='deprecated_log_transformed_sev_scalar_skin_viral',
        kind='covariate',
        gbd_id=cov_id(680),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_acne': Covariate(
        name='deprecated_log_transformed_sev_scalar_acne',
        kind='covariate',
        gbd_id=cov_id(681),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_alopecia': Covariate(
        name='deprecated_log_transformed_sev_scalar_alopecia',
        kind='covariate',
        gbd_id=cov_id(682),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_pruritus': Covariate(
        name='deprecated_log_transformed_sev_scalar_pruritus',
        kind='covariate',
        gbd_id=cov_id(683),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_urticaria': Covariate(
        name='deprecated_log_transformed_sev_scalar_urticaria',
        kind='covariate',
        gbd_id=cov_id(684),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_decubitus': Covariate(
        name='deprecated_log_transformed_sev_scalar_decubitus',
        kind='covariate',
        gbd_id=cov_id(685),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_oth_skin': Covariate(
        name='deprecated_log_transformed_sev_scalar_oth_skin',
        kind='covariate',
        gbd_id=cov_id(686),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_sense': Covariate(
        name='log_transformed_sev_scalar_sense',
        kind='covariate',
        gbd_id=cov_id(687),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_glaucoma': Covariate(
        name='deprecated_log_transformed_sev_scalar_glaucoma',
        kind='covariate',
        gbd_id=cov_id(688),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_cataract': Covariate(
        name='log_transformed_sev_scalar_cataract',
        kind='covariate',
        gbd_id=cov_id(689),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_macular': Covariate(
        name='deprecated_log_transformed_sev_scalar_macular',
        kind='covariate',
        gbd_id=cov_id(690),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_refraction': Covariate(
        name='deprecated_log_transformed_sev_scalar_refraction',
        kind='covariate',
        gbd_id=cov_id(691),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_hearing': Covariate(
        name='log_transformed_sev_scalar_hearing',
        kind='covariate',
        gbd_id=cov_id(692),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_oth_vision': Covariate(
        name='deprecated_log_transformed_sev_scalar_oth_vision',
        kind='covariate',
        gbd_id=cov_id(693),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_oth_sense': Covariate(
        name='deprecated_log_transformed_sev_scalar_oth_sense',
        kind='covariate',
        gbd_id=cov_id(694),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_oral': Covariate(
        name='deprecated_log_transformed_sev_scalar_oral',
        kind='covariate',
        gbd_id=cov_id(695),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_dec_caries': Covariate(
        name='deprecated_log_transformed_sev_scalar_dec_caries',
        kind='covariate',
        gbd_id=cov_id(696),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_per_caries': Covariate(
        name='deprecated_log_transformed_sev_scalar_per_caries',
        kind='covariate',
        gbd_id=cov_id(697),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_period': Covariate(
        name='deprecated_log_transformed_sev_scalar_period',
        kind='covariate',
        gbd_id=cov_id(698),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_edentul': Covariate(
        name='deprecated_log_transformed_sev_scalar_edentul',
        kind='covariate',
        gbd_id=cov_id(699),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_oth_oral': Covariate(
        name='deprecated_log_transformed_sev_scalar_oth_oral',
        kind='covariate',
        gbd_id=cov_id(700),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_sids': Covariate(
        name='log_transformed_sev_scalar_sids',
        kind='covariate',
        gbd_id=cov_id(701),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_road_inj': Covariate(
        name='log_transformed_sev_scalar_road_inj',
        kind='covariate',
        gbd_id=cov_id(702),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_pedest': Covariate(
        name='log_transformed_sev_scalar_pedest',
        kind='covariate',
        gbd_id=cov_id(703),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_cyclist': Covariate(
        name='log_transformed_sev_scalar_cyclist',
        kind='covariate',
        gbd_id=cov_id(704),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_mot_cyc': Covariate(
        name='log_transformed_sev_scalar_mot_cyc',
        kind='covariate',
        gbd_id=cov_id(705),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_mot_veh': Covariate(
        name='log_transformed_sev_scalar_mot_veh',
        kind='covariate',
        gbd_id=cov_id(706),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_oth_road': Covariate(
        name='log_transformed_sev_scalar_oth_road',
        kind='covariate',
        gbd_id=cov_id(707),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_oth_trans': Covariate(
        name='log_transformed_sev_scalar_oth_trans',
        kind='covariate',
        gbd_id=cov_id(708),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_falls': Covariate(
        name='log_transformed_sev_scalar_falls',
        kind='covariate',
        gbd_id=cov_id(709),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_drown': Covariate(
        name='log_transformed_sev_scalar_drown',
        kind='covariate',
        gbd_id=cov_id(710),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_fire': Covariate(
        name='log_transformed_sev_scalar_fire',
        kind='covariate',
        gbd_id=cov_id(711),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_poison': Covariate(
        name='log_transformed_sev_scalar_poison',
        kind='covariate',
        gbd_id=cov_id(712),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_mech': Covariate(
        name='log_transformed_sev_scalar_mech',
        kind='covariate',
        gbd_id=cov_id(713),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_mech_gun': Covariate(
        name='log_transformed_sev_scalar_mech_gun',
        kind='covariate',
        gbd_id=cov_id(714),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_mech_suff': Covariate(
        name='log_transformed_sev_scalar_mech_suff',
        kind='covariate',
        gbd_id=cov_id(715),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_oth_mech': Covariate(
        name='log_transformed_sev_scalar_oth_mech',
        kind='covariate',
        gbd_id=cov_id(716),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_med_treat': Covariate(
        name='deprecated_log_transformed_sev_scalar_med_treat',
        kind='covariate',
        gbd_id=cov_id(717),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_animal': Covariate(
        name='log_transformed_sev_scalar_animal',
        kind='covariate',
        gbd_id=cov_id(718),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_venom': Covariate(
        name='log_transformed_sev_scalar_venom',
        kind='covariate',
        gbd_id=cov_id(719),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_non_ven': Covariate(
        name='log_transformed_sev_scalar_non_ven',
        kind='covariate',
        gbd_id=cov_id(720),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_f_body': Covariate(
        name='log_transformed_sev_scalar_f_body',
        kind='covariate',
        gbd_id=cov_id(721),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_f_body_asp': Covariate(
        name='log_transformed_sev_scalar_f_body_asp',
        kind='covariate',
        gbd_id=cov_id(722),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_f_body_eye': Covariate(
        name='log_transformed_sev_scalar_f_body_eye',
        kind='covariate',
        gbd_id=cov_id(723),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_oth_f_body': Covariate(
        name='log_transformed_sev_scalar_oth_f_body',
        kind='covariate',
        gbd_id=cov_id(724),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_oth_unint': Covariate(
        name='log_transformed_sev_scalar_oth_unint',
        kind='covariate',
        gbd_id=cov_id(725),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_self_harm': Covariate(
        name='log_transformed_sev_scalar_self_harm',
        kind='covariate',
        gbd_id=cov_id(726),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_violence': Covariate(
        name='log_transformed_sev_scalar_violence',
        kind='covariate',
        gbd_id=cov_id(727),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_viol_gun': Covariate(
        name='log_transformed_sev_scalar_viol_gun',
        kind='covariate',
        gbd_id=cov_id(728),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_viol_knife': Covariate(
        name='log_transformed_sev_scalar_viol_knife',
        kind='covariate',
        gbd_id=cov_id(729),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_oth_viol': Covariate(
        name='log_transformed_sev_scalar_oth_viol',
        kind='covariate',
        gbd_id=cov_id(730),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_disaster': Covariate(
        name='log_transformed_sev_scalar_disaster',
        kind='covariate',
        gbd_id=cov_id(731),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_war': Covariate(
        name='deprecated_log_transformed_sev_scalar_war',
        kind='covariate',
        gbd_id=cov_id(732),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_mat_hiv': Covariate(
        name='log_transformed_sev_scalar_mat_hiv',
        kind='covariate',
        gbd_id=cov_id(733),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_thalass_trait': Covariate(
        name='deprecated_log_transformed_sev_scalar_thalass_trait',
        kind='covariate',
        gbd_id=cov_id(734),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_sickle_trait': Covariate(
        name='deprecated_log_transformed_sev_scalar_sickle_trait',
        kind='covariate',
        gbd_id=cov_id(735),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_g6pd_trait': Covariate(
        name='deprecated_log_transformed_sev_scalar_g6pd_trait',
        kind='covariate',
        gbd_id=cov_id(736),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_tb': Covariate(
        name='log_transformed_age_standardized_sev_scalar_tb',
        kind='covariate',
        gbd_id=cov_id(737),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_age_standardized_sev_scalar_hiv_myco': Covariate(
        name='deprecated_log_transformed_age_standardized_sev_scalar_hiv_myco',
        kind='covariate',
        gbd_id=cov_id(738),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_oth_hiv': Covariate(
        name='log_transformed_age_standardized_sev_scalar_oth_hiv',
        kind='covariate',
        gbd_id=cov_id(739),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_diarrhea': Covariate(
        name='log_transformed_age_standardized_sev_scalar_diarrhea',
        kind='covariate',
        gbd_id=cov_id(740),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_age_standardized_sev_scalar_intest_inf': Covariate(
        name='deprecated_log_transformed_age_standardized_sev_scalar_intest_inf',
        kind='covariate',
        gbd_id=cov_id(741),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_age_standardized_sev_scalar_typhoid': Covariate(
        name='deprecated_log_transformed_age_standardized_sev_scalar_typhoid',
        kind='covariate',
        gbd_id=cov_id(742),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_age_standardized_sev_scalar_paratyph': Covariate(
        name='deprecated_log_transformed_age_standardized_sev_scalar_paratyph',
        kind='covariate',
        gbd_id=cov_id(743),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_lri': Covariate(
        name='log_transformed_age_standardized_sev_scalar_lri',
        kind='covariate',
        gbd_id=cov_id(744),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_uri': Covariate(
        name='log_transformed_age_standardized_sev_scalar_uri',
        kind='covariate',
        gbd_id=cov_id(745),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_otitis': Covariate(
        name='log_transformed_age_standardized_sev_scalar_otitis',
        kind='covariate',
        gbd_id=cov_id(746),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_measles': Covariate(
        name='log_transformed_age_standardized_sev_scalar_measles',
        kind='covariate',
        gbd_id=cov_id(747),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_mat_hem': Covariate(
        name='log_transformed_age_standardized_sev_scalar_mat_hem',
        kind='covariate',
        gbd_id=cov_id(748),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_mat_sepsis': Covariate(
        name='log_transformed_age_standardized_sev_scalar_mat_sepsis',
        kind='covariate',
        gbd_id=cov_id(749),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_comp_abort': Covariate(
        name='log_transformed_age_standardized_sev_scalar_comp_abort',
        kind='covariate',
        gbd_id=cov_id(750),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_hep': Covariate(
        name='log_transformed_age_standardized_sev_scalar_hep',
        kind='covariate',
        gbd_id=cov_id(751),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_hep_b': Covariate(
        name='log_transformed_age_standardized_sev_scalar_hep_b',
        kind='covariate',
        gbd_id=cov_id(752),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_hep_c': Covariate(
        name='log_transformed_age_standardized_sev_scalar_hep_c',
        kind='covariate',
        gbd_id=cov_id(753),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_esophag_c': Covariate(
        name='log_transformed_age_standardized_sev_scalar_esophag_c',
        kind='covariate',
        gbd_id=cov_id(754),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_stomach_c': Covariate(
        name='log_transformed_age_standardized_sev_scalar_stomach_c',
        kind='covariate',
        gbd_id=cov_id(755),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_liver_c': Covariate(
        name='log_transformed_age_standardized_sev_scalar_liver_c',
        kind='covariate',
        gbd_id=cov_id(756),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_liver_c_hepb': Covariate(
        name='log_transformed_age_standardized_sev_scalar_liver_c_hepb',
        kind='covariate',
        gbd_id=cov_id(757),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_liver_c_hepc': Covariate(
        name='log_transformed_age_standardized_sev_scalar_liver_c_hepc',
        kind='covariate',
        gbd_id=cov_id(758),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_oth_liver_c': Covariate(
        name='log_transformed_age_standardized_sev_scalar_oth_liver_c',
        kind='covariate',
        gbd_id=cov_id(759),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_larynx_c': Covariate(
        name='log_transformed_age_standardized_sev_scalar_larynx_c',
        kind='covariate',
        gbd_id=cov_id(760),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_lung_c': Covariate(
        name='log_transformed_age_standardized_sev_scalar_lung_c',
        kind='covariate',
        gbd_id=cov_id(761),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_breast_c': Covariate(
        name='log_transformed_age_standardized_sev_scalar_breast_c',
        kind='covariate',
        gbd_id=cov_id(762),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_uterus_c': Covariate(
        name='log_transformed_age_standardized_sev_scalar_uterus_c',
        kind='covariate',
        gbd_id=cov_id(763),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_prostate_c': Covariate(
        name='log_transformed_age_standardized_sev_scalar_prostate_c',
        kind='covariate',
        gbd_id=cov_id(764),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_colorect_c': Covariate(
        name='log_transformed_age_standardized_sev_scalar_colorect_c',
        kind='covariate',
        gbd_id=cov_id(765),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_lip_oral_c': Covariate(
        name='log_transformed_age_standardized_sev_scalar_lip_oral_c',
        kind='covariate',
        gbd_id=cov_id(766),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_nasoph_c': Covariate(
        name='log_transformed_age_standardized_sev_scalar_nasoph_c',
        kind='covariate',
        gbd_id=cov_id(767),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_oth_phar_c': Covariate(
        name='log_transformed_age_standardized_sev_scalar_oth_phar_c',
        kind='covariate',
        gbd_id=cov_id(768),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_gallblad_c': Covariate(
        name='log_transformed_age_standardized_sev_scalar_gallblad_c',
        kind='covariate',
        gbd_id=cov_id(769),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_pancreas_c': Covariate(
        name='log_transformed_age_standardized_sev_scalar_pancreas_c',
        kind='covariate',
        gbd_id=cov_id(770),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_ovary_c': Covariate(
        name='log_transformed_age_standardized_sev_scalar_ovary_c',
        kind='covariate',
        gbd_id=cov_id(771),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_kidney_c': Covariate(
        name='log_transformed_age_standardized_sev_scalar_kidney_c',
        kind='covariate',
        gbd_id=cov_id(772),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_bladder_c': Covariate(
        name='log_transformed_age_standardized_sev_scalar_bladder_c',
        kind='covariate',
        gbd_id=cov_id(773),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_thyroid_c': Covariate(
        name='log_transformed_age_standardized_sev_scalar_thyroid_c',
        kind='covariate',
        gbd_id=cov_id(774),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_mesothel': Covariate(
        name='log_transformed_age_standardized_sev_scalar_mesothel',
        kind='covariate',
        gbd_id=cov_id(775),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_leukemia': Covariate(
        name='log_transformed_age_standardized_sev_scalar_leukemia',
        kind='covariate',
        gbd_id=cov_id(776),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_rhd': Covariate(
        name='log_transformed_age_standardized_sev_scalar_rhd',
        kind='covariate',
        gbd_id=cov_id(777),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_ihd': Covariate(
        name='log_transformed_age_standardized_sev_scalar_ihd',
        kind='covariate',
        gbd_id=cov_id(778),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_stroke': Covariate(
        name='log_transformed_age_standardized_sev_scalar_stroke',
        kind='covariate',
        gbd_id=cov_id(779),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_isch_stroke': Covariate(
        name='log_transformed_age_standardized_sev_scalar_isch_stroke',
        kind='covariate',
        gbd_id=cov_id(780),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_intrahem_stroke': Covariate(
        name='log_transformed_age_standardized_sev_scalar_intrahem_stroke',
        kind='covariate',
        gbd_id=cov_id(781),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_cmp': Covariate(
        name='log_transformed_age_standardized_sev_scalar_cmp',
        kind='covariate',
        gbd_id=cov_id(782),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_a_fib': Covariate(
        name='log_transformed_age_standardized_sev_scalar_a_fib',
        kind='covariate',
        gbd_id=cov_id(783),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_aort_an': Covariate(
        name='log_transformed_age_standardized_sev_scalar_aort_an',
        kind='covariate',
        gbd_id=cov_id(784),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_pad': Covariate(
        name='log_transformed_age_standardized_sev_scalar_pad',
        kind='covariate',
        gbd_id=cov_id(785),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_endocar': Covariate(
        name='log_transformed_age_standardized_sev_scalar_endocar',
        kind='covariate',
        gbd_id=cov_id(786),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_oth_cardio': Covariate(
        name='log_transformed_age_standardized_sev_scalar_oth_cardio',
        kind='covariate',
        gbd_id=cov_id(787),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_copd': Covariate(
        name='log_transformed_age_standardized_sev_scalar_copd',
        kind='covariate',
        gbd_id=cov_id(788),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_age_standardized_sev_scalar_pneumocon': Covariate(
        name='deprecated_log_transformed_age_standardized_sev_scalar_pneumocon',
        kind='covariate',
        gbd_id=cov_id(789),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_age_standardized_sev_scalar_silicosis': Covariate(
        name='deprecated_log_transformed_age_standardized_sev_scalar_silicosis',
        kind='covariate',
        gbd_id=cov_id(790),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_age_standardized_sev_scalar_asbestosis': Covariate(
        name='deprecated_log_transformed_age_standardized_sev_scalar_asbestosis',
        kind='covariate',
        gbd_id=cov_id(791),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_age_standardized_sev_scalar_coal_w': Covariate(
        name='deprecated_log_transformed_age_standardized_sev_scalar_coal_w',
        kind='covariate',
        gbd_id=cov_id(792),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_age_standardized_sev_scalar_oth_pneum': Covariate(
        name='deprecated_log_transformed_age_standardized_sev_scalar_oth_pneum',
        kind='covariate',
        gbd_id=cov_id(793),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_asthma': Covariate(
        name='log_transformed_age_standardized_sev_scalar_asthma',
        kind='covariate',
        gbd_id=cov_id(794),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_ild': Covariate(
        name='log_transformed_age_standardized_sev_scalar_ild',
        kind='covariate',
        gbd_id=cov_id(795),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_oth_resp': Covariate(
        name='log_transformed_age_standardized_sev_scalar_oth_resp',
        kind='covariate',
        gbd_id=cov_id(796),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_cirr_hepb': Covariate(
        name='log_transformed_age_standardized_sev_scalar_cirr_hepb',
        kind='covariate',
        gbd_id=cov_id(797),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_cirr_hepc': Covariate(
        name='log_transformed_age_standardized_sev_scalar_cirr_hepc',
        kind='covariate',
        gbd_id=cov_id(798),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_age_standardized_sev_scalar_oth_cirr': Covariate(
        name='deprecated_log_transformed_age_standardized_sev_scalar_oth_cirr',
        kind='covariate',
        gbd_id=cov_id(799),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_pancreatit': Covariate(
        name='log_transformed_age_standardized_sev_scalar_pancreatit',
        kind='covariate',
        gbd_id=cov_id(800),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_idiopathic_epilepsy': Covariate(
        name='log_transformed_age_standardized_sev_scalar_idiopathic_epilepsy',
        kind='covariate',
        gbd_id=cov_id(801),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_depression': Covariate(
        name='log_transformed_age_standardized_sev_scalar_depression',
        kind='covariate',
        gbd_id=cov_id(802),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_mdd': Covariate(
        name='log_transformed_age_standardized_sev_scalar_mdd',
        kind='covariate',
        gbd_id=cov_id(803),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_age_standardized_sev_scalar_dysthymia': Covariate(
        name='deprecated_log_transformed_age_standardized_sev_scalar_dysthymia',
        kind='covariate',
        gbd_id=cov_id(804),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_id': Covariate(
        name='log_transformed_age_standardized_sev_scalar_id',
        kind='covariate',
        gbd_id=cov_id(805),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_osteoarth': Covariate(
        name='log_transformed_age_standardized_sev_scalar_osteoarth',
        kind='covariate',
        gbd_id=cov_id(806),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_back_and_upneck': Covariate(
        name='log_transformed_age_standardized_sev_scalar_back_and_upneck',
        kind='covariate',
        gbd_id=cov_id(807),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_back_pain': Covariate(
        name='log_transformed_age_standardized_sev_scalar_back_pain',
        kind='covariate',
        gbd_id=cov_id(808),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_gout': Covariate(
        name='log_transformed_age_standardized_sev_scalar_gout',
        kind='covariate',
        gbd_id=cov_id(809),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_sense': Covariate(
        name='log_transformed_age_standardized_sev_scalar_sense',
        kind='covariate',
        gbd_id=cov_id(810),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_cataract': Covariate(
        name='log_transformed_age_standardized_sev_scalar_cataract',
        kind='covariate',
        gbd_id=cov_id(811),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_hearing': Covariate(
        name='log_transformed_age_standardized_sev_scalar_hearing',
        kind='covariate',
        gbd_id=cov_id(812),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_road_inj': Covariate(
        name='log_transformed_age_standardized_sev_scalar_road_inj',
        kind='covariate',
        gbd_id=cov_id(813),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_pedest': Covariate(
        name='log_transformed_age_standardized_sev_scalar_pedest',
        kind='covariate',
        gbd_id=cov_id(814),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_cyclist': Covariate(
        name='log_transformed_age_standardized_sev_scalar_cyclist',
        kind='covariate',
        gbd_id=cov_id(815),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_mot_cyc': Covariate(
        name='log_transformed_age_standardized_sev_scalar_mot_cyc',
        kind='covariate',
        gbd_id=cov_id(816),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_mot_veh': Covariate(
        name='log_transformed_age_standardized_sev_scalar_mot_veh',
        kind='covariate',
        gbd_id=cov_id(817),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_oth_road': Covariate(
        name='log_transformed_age_standardized_sev_scalar_oth_road',
        kind='covariate',
        gbd_id=cov_id(818),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_oth_trans': Covariate(
        name='log_transformed_age_standardized_sev_scalar_oth_trans',
        kind='covariate',
        gbd_id=cov_id(819),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_falls': Covariate(
        name='log_transformed_age_standardized_sev_scalar_falls',
        kind='covariate',
        gbd_id=cov_id(820),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_drown': Covariate(
        name='log_transformed_age_standardized_sev_scalar_drown',
        kind='covariate',
        gbd_id=cov_id(821),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_fire': Covariate(
        name='log_transformed_age_standardized_sev_scalar_fire',
        kind='covariate',
        gbd_id=cov_id(822),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_poison': Covariate(
        name='log_transformed_age_standardized_sev_scalar_poison',
        kind='covariate',
        gbd_id=cov_id(823),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_mech': Covariate(
        name='log_transformed_age_standardized_sev_scalar_mech',
        kind='covariate',
        gbd_id=cov_id(824),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_mech_gun': Covariate(
        name='log_transformed_age_standardized_sev_scalar_mech_gun',
        kind='covariate',
        gbd_id=cov_id(825),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_mech_suff': Covariate(
        name='log_transformed_age_standardized_sev_scalar_mech_suff',
        kind='covariate',
        gbd_id=cov_id(826),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_oth_mech': Covariate(
        name='log_transformed_age_standardized_sev_scalar_oth_mech',
        kind='covariate',
        gbd_id=cov_id(827),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_animal': Covariate(
        name='log_transformed_age_standardized_sev_scalar_animal',
        kind='covariate',
        gbd_id=cov_id(828),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_venom': Covariate(
        name='log_transformed_age_standardized_sev_scalar_venom',
        kind='covariate',
        gbd_id=cov_id(829),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_non_ven': Covariate(
        name='log_transformed_age_standardized_sev_scalar_non_ven',
        kind='covariate',
        gbd_id=cov_id(830),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_f_body': Covariate(
        name='log_transformed_age_standardized_sev_scalar_f_body',
        kind='covariate',
        gbd_id=cov_id(831),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_f_body_asp': Covariate(
        name='log_transformed_age_standardized_sev_scalar_f_body_asp',
        kind='covariate',
        gbd_id=cov_id(832),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_f_body_eye': Covariate(
        name='log_transformed_age_standardized_sev_scalar_f_body_eye',
        kind='covariate',
        gbd_id=cov_id(833),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_oth_f_body': Covariate(
        name='log_transformed_age_standardized_sev_scalar_oth_f_body',
        kind='covariate',
        gbd_id=cov_id(834),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_oth_unint': Covariate(
        name='log_transformed_age_standardized_sev_scalar_oth_unint',
        kind='covariate',
        gbd_id=cov_id(835),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_self_harm': Covariate(
        name='log_transformed_age_standardized_sev_scalar_self_harm',
        kind='covariate',
        gbd_id=cov_id(836),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_violence': Covariate(
        name='log_transformed_age_standardized_sev_scalar_violence',
        kind='covariate',
        gbd_id=cov_id(837),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_viol_gun': Covariate(
        name='log_transformed_age_standardized_sev_scalar_viol_gun',
        kind='covariate',
        gbd_id=cov_id(838),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_viol_knife': Covariate(
        name='log_transformed_age_standardized_sev_scalar_viol_knife',
        kind='covariate',
        gbd_id=cov_id(839),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_oth_viol': Covariate(
        name='log_transformed_age_standardized_sev_scalar_oth_viol',
        kind='covariate',
        gbd_id=cov_id(840),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_age_standardized_sev_scalar_disaster': Covariate(
        name='deprecated_log_transformed_age_standardized_sev_scalar_disaster',
        kind='covariate',
        gbd_id=cov_id(841),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'h5n1_epidemic_years_binary': Covariate(
        name='h5n1_epidemic_years_binary',
        kind='covariate',
        gbd_id=cov_id(842),
        by_age=False,
        by_sex=False,
        dichotomous=True,
    ),
    'education_age_standardized': Covariate(
        name='education_age_standardized',
        kind='covariate',
        gbd_id=cov_id(845),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'meningitis_belt_proportion': Covariate(
        name='meningitis_belt_proportion',
        kind='covariate',
        gbd_id=cov_id(848),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'gdp_per_capita_base_2010': Covariate(
        name='gdp_per_capita_base_2010',
        kind='covariate',
        gbd_id=cov_id(851),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'urbanicity': Covariate(
        name='urbanicity',
        kind='covariate',
        gbd_id=cov_id(854),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_and_sex_specific_sev_for_unsafe_water': Covariate(
        name='age_and_sex_specific_sev_for_unsafe_water',
        kind='covariate',
        gbd_id=cov_id(863),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_and_sex_specific_sev_for_unsafe_sanitation': Covariate(
        name='age_and_sex_specific_sev_for_unsafe_sanitation',
        kind='covariate',
        gbd_id=cov_id(866),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'malaria_incidence_from_map_estimates_africa': Covariate(
        name='malaria_incidence_from_map_estimates_africa',
        kind='covariate',
        gbd_id=cov_id(869),
        by_age=True,
        by_sex=False,
        dichotomous=False,
    ),
    'dengue_reporting_trends_transformed_into_relative_risks_relative_to_that_countrys_mean_incidence': Covariate(
        name='dengue_reporting_trends_transformed_into_relative_risks_relative_to_that_countrys_mean_incidence',
        kind='covariate',
        gbd_id=cov_id(872),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'echinococcosis_endemicity': Covariate(
        name='echinococcosis_endemicity',
        kind='covariate',
        gbd_id=cov_id(875),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'echinococcosis_presence': Covariate(
        name='echinococcosis_presence',
        kind='covariate',
        gbd_id=cov_id(878),
        by_age=False,
        by_sex=False,
        dichotomous=True,
    ),
    'socio_demographic_index': Covariate(
        name='socio_demographic_index',
        kind='covariate',
        gbd_id=cov_id(881),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'japanese_encelphalitis_endemic_area_binary': Covariate(
        name='japanese_encelphalitis_endemic_area_binary',
        kind='covariate',
        gbd_id=cov_id(884),
        by_age=False,
        by_sex=False,
        dichotomous=True,
    ),
    'calcium_adjusted_g': Covariate(
        name='calcium_adjusted_g',
        kind='covariate',
        gbd_id=cov_id(887),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'calcium_unadjusted_g': Covariate(
        name='calcium_unadjusted_g',
        kind='covariate',
        gbd_id=cov_id(890),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'diet_cholesterol_adjusted_mg': Covariate(
        name='diet_cholesterol_adjusted_mg',
        kind='covariate',
        gbd_id=cov_id(893),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'diet_cholesterol_unadjusted_mg': Covariate(
        name='diet_cholesterol_unadjusted_mg',
        kind='covariate',
        gbd_id=cov_id(896),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'fiber_adjusted_g': Covariate(
        name='fiber_adjusted_g',
        kind='covariate',
        gbd_id=cov_id(899),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'fiber_unadjusted_g': Covariate(
        name='fiber_unadjusted_g',
        kind='covariate',
        gbd_id=cov_id(902),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'omega_3_adjusted_g': Covariate(
        name='omega_3_adjusted_g',
        kind='covariate',
        gbd_id=cov_id(905),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'omega_3_unadjusted_g': Covariate(
        name='omega_3_unadjusted_g',
        kind='covariate',
        gbd_id=cov_id(908),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'fruits_adjusted_g': Covariate(
        name='fruits_adjusted_g',
        kind='covariate',
        gbd_id=cov_id(911),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'fruits_unadjusted_g': Covariate(
        name='fruits_unadjusted_g',
        kind='covariate',
        gbd_id=cov_id(914),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'milk_adjusted_g': Covariate(
        name='milk_adjusted_g',
        kind='covariate',
        gbd_id=cov_id(917),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'milk_unadjusted_g': Covariate(
        name='milk_unadjusted_g',
        kind='covariate',
        gbd_id=cov_id(920),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'nuts_seeds_adjusted_g': Covariate(
        name='nuts_seeds_adjusted_g',
        kind='covariate',
        gbd_id=cov_id(923),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'nuts_seeds_unadjusted_g': Covariate(
        name='nuts_seeds_unadjusted_g',
        kind='covariate',
        gbd_id=cov_id(926),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'pufa_adjusted_percent': Covariate(
        name='pufa_adjusted_percent',
        kind='covariate',
        gbd_id=cov_id(929),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'pulses_legumes_adjusted_g': Covariate(
        name='pulses_legumes_adjusted_g',
        kind='covariate',
        gbd_id=cov_id(932),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'pulses_legumes_unadjusted_g': Covariate(
        name='pulses_legumes_unadjusted_g',
        kind='covariate',
        gbd_id=cov_id(935),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'red_meats_adjusted_g': Covariate(
        name='red_meats_adjusted_g',
        kind='covariate',
        gbd_id=cov_id(938),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'red_meats_unadjusted_g': Covariate(
        name='red_meats_unadjusted_g',
        kind='covariate',
        gbd_id=cov_id(941),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'salt_adjusted_mg': Covariate(
        name='salt_adjusted_mg',
        kind='covariate',
        gbd_id=cov_id(944),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'salt_unadjusted_mg': Covariate(
        name='salt_unadjusted_mg',
        kind='covariate',
        gbd_id=cov_id(947),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'saturated_fats_adjusted_percent': Covariate(
        name='saturated_fats_adjusted_percent',
        kind='covariate',
        gbd_id=cov_id(950),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'stimulants_adjusted_g': Covariate(
        name='stimulants_adjusted_g',
        kind='covariate',
        gbd_id=cov_id(953),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'stimulants_unadjusted_g': Covariate(
        name='stimulants_unadjusted_g',
        kind='covariate',
        gbd_id=cov_id(956),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'sugar_adjusted_g': Covariate(
        name='sugar_adjusted_g',
        kind='covariate',
        gbd_id=cov_id(959),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'sugar_unadjusted_g': Covariate(
        name='sugar_unadjusted_g',
        kind='covariate',
        gbd_id=cov_id(962),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'vegetables_adjusted_g': Covariate(
        name='vegetables_adjusted_g',
        kind='covariate',
        gbd_id=cov_id(965),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'vegetables_unadjusted_g': Covariate(
        name='vegetables_unadjusted_g',
        kind='covariate',
        gbd_id=cov_id(968),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'whole_grains_adjusted_g': Covariate(
        name='whole_grains_adjusted_g',
        kind='covariate',
        gbd_id=cov_id(971),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'whole_grains_unadjusted_g': Covariate(
        name='whole_grains_unadjusted_g',
        kind='covariate',
        gbd_id=cov_id(974),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'energy_unadjusted_kcal': Covariate(
        name='energy_unadjusted_kcal',
        kind='covariate',
        gbd_id=cov_id(977),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'interaction_of_prevalence_weighted_drug_resistance_and_malaria_incidence': Covariate(
        name='interaction_of_prevalence_weighted_drug_resistance_and_malaria_incidence',
        kind='covariate',
        gbd_id=cov_id(980),
        by_age=True,
        by_sex=False,
        dichotomous=False,
    ),
    'migration_rate_per_1000_population': Covariate(
        name='migration_rate_per_1000_population',
        kind='covariate',
        gbd_id=cov_id(983),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'hiv_mortality_females_10_54': Covariate(
        name='hiv_mortality_females_10_54',
        kind='covariate',
        gbd_id=cov_id(986),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'hiv_age_standardized_prevalence': Covariate(
        name='hiv_age_standardized_prevalence',
        kind='covariate',
        gbd_id=cov_id(1016),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_maternal': Covariate(
        name='log_transformed_age_standardized_sev_scalar_maternal',
        kind='covariate',
        gbd_id=cov_id(1019),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_cvd': Covariate(
        name='log_transformed_age_standardized_sev_scalar_cvd',
        kind='covariate',
        gbd_id=cov_id(1022),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_chr_resp': Covariate(
        name='log_transformed_age_standardized_sev_scalar_chr_resp',
        kind='covariate',
        gbd_id=cov_id(1025),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_cirrhosis': Covariate(
        name='log_transformed_age_standardized_sev_scalar_cirrhosis',
        kind='covariate',
        gbd_id=cov_id(1028),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_digestive': Covariate(
        name='log_transformed_age_standardized_sev_scalar_digestive',
        kind='covariate',
        gbd_id=cov_id(1031),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_msk': Covariate(
        name='log_transformed_age_standardized_sev_scalar_msk',
        kind='covariate',
        gbd_id=cov_id(1034),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_trans_inj': Covariate(
        name='log_transformed_age_standardized_sev_scalar_trans_inj',
        kind='covariate',
        gbd_id=cov_id(1037),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_maternal': Covariate(
        name='log_transformed_sev_scalar_maternal',
        kind='covariate',
        gbd_id=cov_id(1040),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_cvd': Covariate(
        name='log_transformed_sev_scalar_cvd',
        kind='covariate',
        gbd_id=cov_id(1043),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_chr_resp': Covariate(
        name='log_transformed_sev_scalar_chr_resp',
        kind='covariate',
        gbd_id=cov_id(1046),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_cirrhosis': Covariate(
        name='log_transformed_sev_scalar_cirrhosis',
        kind='covariate',
        gbd_id=cov_id(1049),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_digestive': Covariate(
        name='log_transformed_sev_scalar_digestive',
        kind='covariate',
        gbd_id=cov_id(1052),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_msk': Covariate(
        name='log_transformed_sev_scalar_msk',
        kind='covariate',
        gbd_id=cov_id(1055),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_trans_inj': Covariate(
        name='log_transformed_sev_scalar_trans_inj',
        kind='covariate',
        gbd_id=cov_id(1058),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'proportion_of_total_population_in_japanese_encephalitis_endemic_area_india': Covariate(
        name='proportion_of_total_population_in_japanese_encephalitis_endemic_area_india',
        kind='covariate',
        gbd_id=cov_id(1061),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'vitamin_a_unadjusted_iu': Covariate(
        name='vitamin_a_unadjusted_iu',
        kind='covariate',
        gbd_id=cov_id(1062),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'vitamin_a_rae_unadjusted_ug': Covariate(
        name='vitamin_a_rae_unadjusted_ug',
        kind='covariate',
        gbd_id=cov_id(1063),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'vitamin_a_retinol_unadjusted_ug': Covariate(
        name='vitamin_a_retinol_unadjusted_ug',
        kind='covariate',
        gbd_id=cov_id(1064),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'dietary_zinc_unadjusted_mg': Covariate(
        name='dietary_zinc_unadjusted_mg',
        kind='covariate',
        gbd_id=cov_id(1065),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'death_and_ncc_prevalence_ratio': Covariate(
        name='death_and_ncc_prevalence_ratio',
        kind='covariate',
        gbd_id=cov_id(1066),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'cysticercosis_deaths_to_epilepsy_prevalence_ratio': Covariate(
        name='cysticercosis_deaths_to_epilepsy_prevalence_ratio',
        kind='covariate',
        gbd_id=cov_id(1067),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'proportion_of_total_population_covered_by_menafrivac_initiative_meningitis_meningococcal_type_a_vaccine': Covariate(
        name='proportion_of_total_population_covered_by_menafrivac_initiative_meningitis_meningococcal_type_a_vaccine',
        kind='covariate',
        gbd_id=cov_id(1068),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'stunting_proportion_less_than_2sd_height_for_age_less_than_5_years': Covariate(
        name='stunting_proportion_less_than_2sd_height_for_age_less_than_5_years',
        kind='covariate',
        gbd_id=cov_id(1069),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'wasting_proportion_less_than_2sd_weight_for_height_less_than_5_years': Covariate(
        name='wasting_proportion_less_than_2sd_weight_for_height_less_than_5_years',
        kind='covariate',
        gbd_id=cov_id(1070),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'malnutrition_childhood_underweight_proportion_less_than_2sd_weight_for_age': Covariate(
        name='malnutrition_childhood_underweight_proportion_less_than_2sd_weight_for_age',
        kind='covariate',
        gbd_id=cov_id(1071),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'malaria_incidence_adjusted_for_antimalarial_coverage_and_drug_effectiveness': Covariate(
        name='malaria_incidence_adjusted_for_antimalarial_coverage_and_drug_effectiveness',
        kind='covariate',
        gbd_id=cov_id(1072),
        by_age=True,
        by_sex=False,
        dichotomous=False,
    ),
    'hepatitis_b_hbsag_seroprevalence': Covariate(
        name='hepatitis_b_hbsag_seroprevalence',
        kind='covariate',
        gbd_id=cov_id(1073),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'hepatitis_c_igg_seroprevalence': Covariate(
        name='hepatitis_c_igg_seroprevalence',
        kind='covariate',
        gbd_id=cov_id(1074),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'rotavirus_coverage_proportion': Covariate(
        name='rotavirus_coverage_proportion',
        kind='covariate',
        gbd_id=cov_id(1075),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'proportion_of_cirrhosis_due_to_alcohol': Covariate(
        name='proportion_of_cirrhosis_due_to_alcohol',
        kind='covariate',
        gbd_id=cov_id(1076),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'proportion_of_cirrhosis_due_to_hepatitis_b': Covariate(
        name='proportion_of_cirrhosis_due_to_hepatitis_b',
        kind='covariate',
        gbd_id=cov_id(1077),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'proportion_of_cirrhosis_due_to_hepatitis_c': Covariate(
        name='proportion_of_cirrhosis_due_to_hepatitis_c',
        kind='covariate',
        gbd_id=cov_id(1078),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'proportion_of_cirrhosis_due_to_other_causes': Covariate(
        name='proportion_of_cirrhosis_due_to_other_causes',
        kind='covariate',
        gbd_id=cov_id(1079),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'proportion_of_liver_cancer_due_to_alcohol_age_standardized': Covariate(
        name='proportion_of_liver_cancer_due_to_alcohol_age_standardized',
        kind='covariate',
        gbd_id=cov_id(1080),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'proportion_of_liver_cancer_due_to_hepatitis_b_age_standardized': Covariate(
        name='proportion_of_liver_cancer_due_to_hepatitis_b_age_standardized',
        kind='covariate',
        gbd_id=cov_id(1081),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'proportion_of_liver_cancer_due_to_hepatitis_c_age_standardized': Covariate(
        name='proportion_of_liver_cancer_due_to_hepatitis_c_age_standardized',
        kind='covariate',
        gbd_id=cov_id(1082),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'proportion_of_liver_cancer_due_to_other_causes_age_standardized': Covariate(
        name='proportion_of_liver_cancer_due_to_other_causes_age_standardized',
        kind='covariate',
        gbd_id=cov_id(1083),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'seroprevalence_of_anti_hav_igg': Covariate(
        name='seroprevalence_of_anti_hav_igg',
        kind='covariate',
        gbd_id=cov_id(1084),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'seroprevalence_of_anti_hev_igg': Covariate(
        name='seroprevalence_of_anti_hev_igg',
        kind='covariate',
        gbd_id=cov_id(1085),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'major_depressive_disorder': Covariate(
        name='major_depressive_disorder',
        kind='covariate',
        gbd_id=cov_id(1086),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'proportion_of_population_involved_in_agricultural_activities': Covariate(
        name='proportion_of_population_involved_in_agricultural_activities',
        kind='covariate',
        gbd_id=cov_id(1087),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'prevalence_of_binge_drinking_male': Covariate(
        name='prevalence_of_binge_drinking_male',
        kind='covariate',
        gbd_id=cov_id(1088),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'health_expenditure_per_capita': Covariate(
        name='health_expenditure_per_capita',
        kind='covariate',
        gbd_id=cov_id(1089),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'risk_of_selfharm_due_to_major_depressive_disorder': Covariate(
        name='risk_of_selfharm_due_to_major_depressive_disorder',
        kind='covariate',
        gbd_id=cov_id(1090),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'trans_fatty_acid_bans': Covariate(
        name='trans_fatty_acid_bans',
        kind='covariate',
        gbd_id=cov_id(1091),
        by_age=False,
        by_sex=False,
        dichotomous=True,
    ),
    'oop_health_expenditure_per_capita': Covariate(
        name='oop_health_expenditure_per_capita',
        kind='covariate',
        gbd_id=cov_id(1092),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'fraction_of_oop_health_expenditure': Covariate(
        name='fraction_of_oop_health_expenditure',
        kind='covariate',
        gbd_id=cov_id(1093),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'lag_distributed_energy': Covariate(
        name='lag_distributed_energy',
        kind='covariate',
        gbd_id=cov_id(1094),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'art_coverage': Covariate(
        name='art_coverage',
        kind='covariate',
        gbd_id=cov_id(1095),
        by_age=True,
        by_sex=False,
        dichotomous=False,
    ),
    'tuberculosis_case_detection': Covariate(
        name='tuberculosis_case_detection',
        kind='covariate',
        gbd_id=cov_id(1096),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'universal_health_coverage': Covariate(
        name='universal_health_coverage',
        kind='covariate',
        gbd_id=cov_id(1097),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'maternal_alcohol_consumption_during_pregnancy_proportion': Covariate(
        name='maternal_alcohol_consumption_during_pregnancy_proportion',
        kind='covariate',
        gbd_id=cov_id(1098),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'healthcare_access_and_quality_index': Covariate(
        name='healthcare_access_and_quality_index',
        kind='covariate',
        gbd_id=cov_id(1099),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_standardized_proportion_adult_underweight': Covariate(
        name='age_standardized_proportion_adult_underweight',
        kind='covariate',
        gbd_id=cov_id(1100),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'reproductive_age_standardized_diabetes_prevalence_10_54_yrs_females': Covariate(
        name='reproductive_age_standardized_diabetes_prevalence_10_54_yrs_females',
        kind='covariate',
        gbd_id=cov_id(1101),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'ors_oral_rehydration': Covariate(
        name='ors_oral_rehydration',
        kind='covariate',
        gbd_id=cov_id(1102),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'antibiotics_for_lri': Covariate(
        name='antibiotics_for_lri',
        kind='covariate',
        gbd_id=cov_id(1103),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'zinc_treatment': Covariate(
        name='zinc_treatment',
        kind='covariate',
        gbd_id=cov_id(1104),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'antibiotics_for_diarrhea': Covariate(
        name='antibiotics_for_diarrhea',
        kind='covariate',
        gbd_id=cov_id(1105),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'live_births_by_sex': Covariate(
        name='live_births_by_sex',
        kind='covariate',
        gbd_id=cov_id(1106),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_melanoma': Covariate(
        name='age_standardized_melanoma',
        kind='covariate',
        gbd_id=cov_id(1107),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'measles_vaccine_coverage_2_doses_proportion': Covariate(
        name='measles_vaccine_coverage_2_doses_proportion',
        kind='covariate',
        gbd_id=cov_id(1108),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'sth_school_based_mda': Covariate(
        name='sth_school_based_mda',
        kind='covariate',
        gbd_id=cov_id(1109),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'schisto_cumulative_treatments': Covariate(
        name='schisto_cumulative_treatments',
        kind='covariate',
        gbd_id=cov_id(1110),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'health_worker_density': Covariate(
        name='health_worker_density',
        kind='covariate',
        gbd_id=cov_id(1111),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'proportion_of_fevers_receiving_effective_treatment': Covariate(
        name='proportion_of_fevers_receiving_effective_treatment',
        kind='covariate',
        gbd_id=cov_id(1112),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'iron_energy_unadjusted_mg': Covariate(
        name='iron_energy_unadjusted_mg',
        kind='covariate',
        gbd_id=cov_id(1113),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'corn_energy_adjusted_g': Covariate(
        name='corn_energy_adjusted_g',
        kind='covariate',
        gbd_id=cov_id(1114),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'corn_energy_unadjusted_g': Covariate(
        name='corn_energy_unadjusted_g',
        kind='covariate',
        gbd_id=cov_id(1115),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'eggs_energy_adjusted_g': Covariate(
        name='eggs_energy_adjusted_g',
        kind='covariate',
        gbd_id=cov_id(1116),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'eggs_energy_unadjusted_g': Covariate(
        name='eggs_energy_unadjusted_g',
        kind='covariate',
        gbd_id=cov_id(1117),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'fish_energy_adjusted_g': Covariate(
        name='fish_energy_adjusted_g',
        kind='covariate',
        gbd_id=cov_id(1118),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'fish_energy_unadjusted_g': Covariate(
        name='fish_energy_unadjusted_g',
        kind='covariate',
        gbd_id=cov_id(1119),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'potatoes_energy_adjusted_g': Covariate(
        name='potatoes_energy_adjusted_g',
        kind='covariate',
        gbd_id=cov_id(1120),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'potatoes_energy_unadjusted_g': Covariate(
        name='potatoes_energy_unadjusted_g',
        kind='covariate',
        gbd_id=cov_id(1121),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'poultry_energy_adjusted_g': Covariate(
        name='poultry_energy_adjusted_g',
        kind='covariate',
        gbd_id=cov_id(1122),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'poultry_energy_unadjusted_g': Covariate(
        name='poultry_energy_unadjusted_g',
        kind='covariate',
        gbd_id=cov_id(1123),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'rice_energy_adjusted_g': Covariate(
        name='rice_energy_adjusted_g',
        kind='covariate',
        gbd_id=cov_id(1124),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'rice_energy_unadjusted_g': Covariate(
        name='rice_energy_unadjusted_g',
        kind='covariate',
        gbd_id=cov_id(1125),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'sweet_energy_potato_adjusted_g': Covariate(
        name='sweet_energy_potato_adjusted_g',
        kind='covariate',
        gbd_id=cov_id(1126),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'sweet_energy_potato_unadjusted_g': Covariate(
        name='sweet_energy_potato_unadjusted_g',
        kind='covariate',
        gbd_id=cov_id(1127),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'malaria_pfpr_map': Covariate(
        name='malaria_pfpr_map',
        kind='covariate',
        gbd_id=cov_id(1129),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'malaria_incidence_map': Covariate(
        name='malaria_incidence_map',
        kind='covariate',
        gbd_id=cov_id(1130),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'antimalarial_effective_treatment_ratio_map': Covariate(
        name='antimalarial_effective_treatment_ratio_map',
        kind='covariate',
        gbd_id=cov_id(1131),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'antimalarial_effective_treatment_map': Covariate(
        name='antimalarial_effective_treatment_map',
        kind='covariate',
        gbd_id=cov_id(1132),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'risk_of_selfharm_due_to_schizophrenia': Covariate(
        name='risk_of_selfharm_due_to_schizophrenia',
        kind='covariate',
        gbd_id=cov_id(1133),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'risk_of_selfharm_due_to_anxiety_disorders': Covariate(
        name='risk_of_selfharm_due_to_anxiety_disorders',
        kind='covariate',
        gbd_id=cov_id(1134),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'risk_of_selfharm_due_to_bipolar_disorder': Covariate(
        name='risk_of_selfharm_due_to_bipolar_disorder',
        kind='covariate',
        gbd_id=cov_id(1135),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'mean_birth_weight': Covariate(
        name='mean_birth_weight',
        kind='covariate',
        gbd_id=cov_id(1136),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'mean_weight_for_height_z_score_whz_0_5_years': Covariate(
        name='mean_weight_for_height_z_score_whz_0_5_years',
        kind='covariate',
        gbd_id=cov_id(1137),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'mean_weight_for_age_z_score_waz_0_5_years': Covariate(
        name='mean_weight_for_age_z_score_waz_0_5_years',
        kind='covariate',
        gbd_id=cov_id(1138),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'mean_height_for_age_z_score_haz_0_5_years': Covariate(
        name='mean_height_for_age_z_score_haz_0_5_years',
        kind='covariate',
        gbd_id=cov_id(1139),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'mean_hemoglobin_concentration_age_standardized': Covariate(
        name='mean_hemoglobin_concentration_age_standardized',
        kind='covariate',
        gbd_id=cov_id(1140),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'birth_prevalence_of_fetal_alcohol_syndrome_per_1000': Covariate(
        name='birth_prevalence_of_fetal_alcohol_syndrome_per_1000',
        kind='covariate',
        gbd_id=cov_id(1141),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_prevalence_of_cocaine_dependence_in_women_of_reproductive_age': Covariate(
        name='age_standardized_prevalence_of_cocaine_dependence_in_women_of_reproductive_age',
        kind='covariate',
        gbd_id=cov_id(1142),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_prevalence_of_amphetamine_dependence_in_women_of_reproductive_age': Covariate(
        name='age_standardized_prevalence_of_amphetamine_dependence_in_women_of_reproductive_age',
        kind='covariate',
        gbd_id=cov_id(1143),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_prevalence_of_opioid_dependence_in_women_of_reproductive_age': Covariate(
        name='age_standardized_prevalence_of_opioid_dependence_in_women_of_reproductive_age',
        kind='covariate',
        gbd_id=cov_id(1144),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_prevalence_of_cannabis_dependence_in_women_of_reproductive_age': Covariate(
        name='age_standardized_prevalence_of_cannabis_dependence_in_women_of_reproductive_age',
        kind='covariate',
        gbd_id=cov_id(1145),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_prevalence_of_total_drug_dependence_in_women_of_reproductive_age': Covariate(
        name='age_standardized_prevalence_of_total_drug_dependence_in_women_of_reproductive_age',
        kind='covariate',
        gbd_id=cov_id(1146),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'rubella_vaccine_coverage_proportion': Covariate(
        name='rubella_vaccine_coverage_proportion',
        kind='covariate',
        gbd_id=cov_id(1147),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'tuberculosis_infection_risk_weighted_prevalence_age_standardized': Covariate(
        name='tuberculosis_infection_risk_weighted_prevalence_age_standardized',
        kind='covariate',
        gbd_id=cov_id(1148),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'presenting_vision_impairment': Covariate(
        name='presenting_vision_impairment',
        kind='covariate',
        gbd_id=cov_id(1149),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'ten_year_lag_distributed_energy_per_capita': Covariate(
        name='ten_year_lag_distributed_energy_per_capita',
        kind='covariate',
        gbd_id=cov_id(1150),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'alcohol_consumption_female_reproductive_age_standardized_grams_per_day': Covariate(
        name='alcohol_consumption_female_reproductive_age_standardized_grams_per_day',
        kind='covariate',
        gbd_id=cov_id(1151),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'alcohol_consumption_female_reproductive_age_standardized_proportion': Covariate(
        name='alcohol_consumption_female_reproductive_age_standardized_proportion',
        kind='covariate',
        gbd_id=cov_id(1152),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'folic_acid_unadjusted_ug': Covariate(
        name='folic_acid_unadjusted_ug',
        kind='covariate',
        gbd_id=cov_id(1153),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'smooth_outphase_of_leaded_gasoline': Covariate(
        name='smooth_outphase_of_leaded_gasoline',
        kind='covariate',
        gbd_id=cov_id(1154),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'no_access_to_handwashing_facility': Covariate(
        name='no_access_to_handwashing_facility',
        kind='covariate',
        gbd_id=cov_id(1155),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'residential_radon': Covariate(
        name='residential_radon',
        kind='covariate',
        gbd_id=cov_id(1156),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'lead_exposure': Covariate(
        name='lead_exposure',
        kind='covariate',
        gbd_id=cov_id(1157),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'discontinued_breastfeeding_sev': Covariate(
        name='discontinued_breastfeeding_sev',
        kind='covariate',
        gbd_id=cov_id(1158),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'zinc_deficiency': Covariate(
        name='zinc_deficiency',
        kind='covariate',
        gbd_id=cov_id(1159),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'diet_low_in_whole_grains': Covariate(
        name='diet_low_in_whole_grains',
        kind='covariate',
        gbd_id=cov_id(1160),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'diet_high_in_processed_meat': Covariate(
        name='diet_high_in_processed_meat',
        kind='covariate',
        gbd_id=cov_id(1161),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'diet_high_in_trans_fatty_acids': Covariate(
        name='diet_high_in_trans_fatty_acids',
        kind='covariate',
        gbd_id=cov_id(1162),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'diet_high_in_sodium': Covariate(
        name='diet_high_in_sodium',
        kind='covariate',
        gbd_id=cov_id(1163),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'low_physical_activity_sev': Covariate(
        name='low_physical_activity_sev',
        kind='covariate',
        gbd_id=cov_id(1164),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'tuberculosis_prevalence_age_standardized': Covariate(
        name='tuberculosis_prevalence_age_standardized',
        kind='covariate',
        gbd_id=cov_id(1165),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'low_bone_mineral_density': Covariate(
        name='low_bone_mineral_density',
        kind='covariate',
        gbd_id=cov_id(1166),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_bone_mineral_density_among_population_age_60_and_up_years': Covariate(
        name='age_standardized_bone_mineral_density_among_population_age_60_and_up_years',
        kind='covariate',
        gbd_id=cov_id(1168),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'malnutrition_shock_log_transformed_mortality_rate': Covariate(
        name='malnutrition_shock_log_transformed_mortality_rate',
        kind='covariate',
        gbd_id=cov_id(1169),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'malnutrition_shock_mortality_rate': Covariate(
        name='malnutrition_shock_mortality_rate',
        kind='covariate',
        gbd_id=cov_id(1170),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'mean_war_mortality_rate_in_the_previous_ten_years': Covariate(
        name='mean_war_mortality_rate_in_the_previous_ten_years',
        kind='covariate',
        gbd_id=cov_id(1171),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'shock_log_transformed_mortality_rate': Covariate(
        name='shock_log_transformed_mortality_rate',
        kind='covariate',
        gbd_id=cov_id(1172),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'shock_mortality_rate': Covariate(
        name='shock_mortality_rate',
        kind='covariate',
        gbd_id=cov_id(1173),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'disaster_log_transformed_mortality_rate': Covariate(
        name='disaster_log_transformed_mortality_rate',
        kind='covariate',
        gbd_id=cov_id(1174),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'disaster_mortality_rate': Covariate(
        name='disaster_mortality_rate',
        kind='covariate',
        gbd_id=cov_id(1175),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'state_actor_violence_log_transformed_mortality_rate': Covariate(
        name='state_actor_violence_log_transformed_mortality_rate',
        kind='covariate',
        gbd_id=cov_id(1176),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'state_actor_violence_mortality_rate': Covariate(
        name='state_actor_violence_mortality_rate',
        kind='covariate',
        gbd_id=cov_id(1177),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'war_log_transformed_mortality_rate': Covariate(
        name='war_log_transformed_mortality_rate',
        kind='covariate',
        gbd_id=cov_id(1178),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'war_mortality_rate': Covariate(
        name='war_mortality_rate',
        kind='covariate',
        gbd_id=cov_id(1179),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_standardized_melanoma_incidence': Covariate(
        name='age_standardized_melanoma_incidence',
        kind='covariate',
        gbd_id=cov_id(1180),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'alcohol_abstainer_proportion_age_standardized': Covariate(
        name='alcohol_abstainer_proportion_age_standardized',
        kind='covariate',
        gbd_id=cov_id(1181),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_for_both_sexes_combined_tb': Covariate(
        name='log_transformed_age_standardized_sev_scalar_for_both_sexes_combined_tb',
        kind='covariate',
        gbd_id=cov_id(1182),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'secondhand_smoke': Covariate(
        name='secondhand_smoke',
        kind='covariate',
        gbd_id=cov_id(1183),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'saturated_fatty_acid_consumption__percent_of_total_dietary_energy': Covariate(
        name='saturated_fatty_acid_consumption__percent_of_total_dietary_energy',
        kind='covariate',
        gbd_id=cov_id(1184),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'asbestos_consumption_metric_tons_per_year_per_capita': Covariate(
        name='asbestos_consumption_metric_tons_per_year_per_capita',
        kind='covariate',
        gbd_id=cov_id(1185),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'visceral_leishmaniasis_incidence': Covariate(
        name='visceral_leishmaniasis_incidence',
        kind='covariate',
        gbd_id=cov_id(1186),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'homicide_rate_sex_specific': Covariate(
        name='homicide_rate_sex_specific',
        kind='covariate',
        gbd_id=cov_id(1187),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'op_visits_per_cap': Covariate(
        name='op_visits_per_cap',
        kind='covariate',
        gbd_id=cov_id(1188),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'ip_admissons_per_cap': Covariate(
        name='ip_admissons_per_cap',
        kind='covariate',
        gbd_id=cov_id(1189),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'non_partner_lifetime_prevalence_of_sexual_violence_female_only': Covariate(
        name='non_partner_lifetime_prevalence_of_sexual_violence_female_only',
        kind='covariate',
        gbd_id=cov_id(1190),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'all_age_underweight': Covariate(
        name='all_age_underweight',
        kind='covariate',
        gbd_id=cov_id(1191),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'zinc_treatment_for_diarrhea': Covariate(
        name='zinc_treatment_for_diarrhea',
        kind='covariate',
        gbd_id=cov_id(1193),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'fortification_standard': Covariate(
        name='fortification_standard',
        kind='covariate',
        gbd_id=cov_id(1194),
        by_age=False,
        by_sex=False,
        dichotomous=True,
    ),
    'fortification_standard_including_folic_acid': Covariate(
        name='fortification_standard_including_folic_acid',
        kind='covariate',
        gbd_id=cov_id(1195),
        by_age=False,
        by_sex=False,
        dichotomous=True,
    ),
    'adult_hiv_crude_death_rate': Covariate(
        name='adult_hiv_crude_death_rate',
        kind='covariate',
        gbd_id=cov_id(1196),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'demand_for_contraception_satisfied_with_modern_methods': Covariate(
        name='demand_for_contraception_satisfied_with_modern_methods',
        kind='covariate',
        gbd_id=cov_id(1197),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'demand_for_contraception_satisfied_with_modern_methods_by_age': Covariate(
        name='demand_for_contraception_satisfied_with_modern_methods_by_age',
        kind='covariate',
        gbd_id=cov_id(1198),
        by_age=True,
        by_sex=False,
        dichotomous=False,
    ),
    'long_term_population_weighted_mean_temperature': Covariate(
        name='long_term_population_weighted_mean_temperature',
        kind='covariate',
        gbd_id=cov_id(1199),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'polio_3_dose_coverage_proportion': Covariate(
        name='polio_3_dose_coverage_proportion',
        kind='covariate',
        gbd_id=cov_id(1200),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'hepatitis_b_3_dose_coverage_proportion': Covariate(
        name='hepatitis_b_3_dose_coverage_proportion',
        kind='covariate',
        gbd_id=cov_id(1201),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'proportion_of_the_population_from_east_africa_india_central_asia': Covariate(
        name='proportion_of_the_population_from_east_africa_india_central_asia',
        kind='covariate',
        gbd_id=cov_id(1202),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'proportion_of_the_population_from_west_africa': Covariate(
        name='proportion_of_the_population_from_west_africa',
        kind='covariate',
        gbd_id=cov_id(1203),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'proportion_of_the_population_from_euro_america': Covariate(
        name='proportion_of_the_population_from_euro_america',
        kind='covariate',
        gbd_id=cov_id(1204),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'proportion_of_the_population_from_east_asia': Covariate(
        name='proportion_of_the_population_from_east_asia',
        kind='covariate',
        gbd_id=cov_id(1205),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'proportion_of_the_population_from_indo_oceania': Covariate(
        name='proportion_of_the_population_from_indo_oceania',
        kind='covariate',
        gbd_id=cov_id(1206),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'composite_fortification_standard_and_folic_acid_inclusion': Covariate(
        name='composite_fortification_standard_and_folic_acid_inclusion',
        kind='covariate',
        gbd_id=cov_id(1207),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'intravenous_drug_use_proportion_by_age': Covariate(
        name='intravenous_drug_use_proportion_by_age',
        kind='covariate',
        gbd_id=cov_id(1208),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'intravenous_drug_use_age_standardized_proportion': Covariate(
        name='intravenous_drug_use_age_standardized_proportion',
        kind='covariate',
        gbd_id=cov_id(1209),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'hepatitis_a_infection_incidence': Covariate(
        name='hepatitis_a_infection_incidence',
        kind='covariate',
        gbd_id=cov_id(1210),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'alcohol_consumption_age_standardized_in_grams_per_day': Covariate(
        name='alcohol_consumption_age_standardized_in_grams_per_day',
        kind='covariate',
        gbd_id=cov_id(1211),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'alcohol_drinker_proportion_age_standardized': Covariate(
        name='alcohol_drinker_proportion_age_standardized',
        kind='covariate',
        gbd_id=cov_id(1212),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'hepatitis_b_infection_incidence': Covariate(
        name='hepatitis_b_infection_incidence',
        kind='covariate',
        gbd_id=cov_id(1213),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'hepatitis_c_infection_incidence': Covariate(
        name='hepatitis_c_infection_incidence',
        kind='covariate',
        gbd_id=cov_id(1214),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'hepatitis_e_infection_incidence': Covariate(
        name='hepatitis_e_infection_incidence',
        kind='covariate',
        gbd_id=cov_id(1215),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'proportion_of_liver_cancer_due_to_nash_age_standardized': Covariate(
        name='proportion_of_liver_cancer_due_to_nash_age_standardized',
        kind='covariate',
        gbd_id=cov_id(1216),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'proportion_of_cirrhosis_due_to_nash': Covariate(
        name='proportion_of_cirrhosis_due_to_nash',
        kind='covariate',
        gbd_id=cov_id(1217),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'muslim_religion_proportion_of_population': Covariate(
        name='muslim_religion_proportion_of_population',
        kind='covariate',
        gbd_id=cov_id(1218),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'echino_endemicity_level_1': Covariate(
        name='echino_endemicity_level_1',
        kind='covariate',
        gbd_id=cov_id(1219),
        by_age=False,
        by_sex=False,
        dichotomous=True,
    ),
    'echino_endemicity_level_2': Covariate(
        name='echino_endemicity_level_2',
        kind='covariate',
        gbd_id=cov_id(1220),
        by_age=False,
        by_sex=False,
        dichotomous=True,
    ),
    'echino_endemicity_level_3': Covariate(
        name='echino_endemicity_level_3',
        kind='covariate',
        gbd_id=cov_id(1221),
        by_age=False,
        by_sex=False,
        dichotomous=True,
    ),
    'tb_strain_prevalence_weighted_transmission_rr': Covariate(
        name='tb_strain_prevalence_weighted_transmission_rr',
        kind='covariate',
        gbd_id=cov_id(1222),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'tb_strain_prevalence_weighted_treatment_failure_rr': Covariate(
        name='tb_strain_prevalence_weighted_treatment_failure_rr',
        kind='covariate',
        gbd_id=cov_id(1223),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'tb_strain_prevalence_weighted_treatment_delay_rr': Covariate(
        name='tb_strain_prevalence_weighted_treatment_delay_rr',
        kind='covariate',
        gbd_id=cov_id(1224),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'preterm_birth_prevalence_less_than_37_weeks_of_gestation': Covariate(
        name='preterm_birth_prevalence_less_than_37_weeks_of_gestation',
        kind='covariate',
        gbd_id=cov_id(1225),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'extremely_preterm_birth_prevalence_less_than_28_weeks_of_gestation': Covariate(
        name='extremely_preterm_birth_prevalence_less_than_28_weeks_of_gestation',
        kind='covariate',
        gbd_id=cov_id(1226),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'short_gestation_sev_all_ages_by_sex': Covariate(
        name='short_gestation_sev_all_ages_by_sex',
        kind='covariate',
        gbd_id=cov_id(1227),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'age_and_sex_specific_sev_for_child_underweight': Covariate(
        name='age_and_sex_specific_sev_for_child_underweight',
        kind='covariate',
        gbd_id=cov_id(1229),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_sev_for_child_underweight': Covariate(
        name='age_standardized_sev_for_child_underweight',
        kind='covariate',
        gbd_id=cov_id(1230),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_and_sex_specific_sev_for_child_stunting': Covariate(
        name='age_and_sex_specific_sev_for_child_stunting',
        kind='covariate',
        gbd_id=cov_id(1231),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_sev_for_child_stunting': Covariate(
        name='age_standardized_sev_for_child_stunting',
        kind='covariate',
        gbd_id=cov_id(1232),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_and_sex_specific_sev_for_child_wasting': Covariate(
        name='age_and_sex_specific_sev_for_child_wasting',
        kind='covariate',
        gbd_id=cov_id(1233),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_sev_for_child_wasting': Covariate(
        name='age_standardized_sev_for_child_wasting',
        kind='covariate',
        gbd_id=cov_id(1234),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'low_birth_weight_sev_all_ages_by_sex': Covariate(
        name='low_birth_weight_sev_all_ages_by_sex',
        kind='covariate',
        gbd_id=cov_id(1235),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'low_birth_weight_and_short_gestation_sev_all_ages_by_sex': Covariate(
        name='low_birth_weight_and_short_gestation_sev_all_ages_by_sex',
        kind='covariate',
        gbd_id=cov_id(1236),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'preeclampsia_incidence_ratio_all_ages': Covariate(
        name='preeclampsia_incidence_ratio_all_ages',
        kind='covariate',
        gbd_id=cov_id(1237),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'abo_blood_type_mismatch_at_birth': Covariate(
        name='abo_blood_type_mismatch_at_birth',
        kind='covariate',
        gbd_id=cov_id(1238),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'rhesus_blood_type_mismatch_at_birth': Covariate(
        name='rhesus_blood_type_mismatch_at_birth',
        kind='covariate',
        gbd_id=cov_id(1239),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'adult_hiv_death_rate_both_sexes': Covariate(
        name='adult_hiv_death_rate_both_sexes',
        kind='covariate',
        gbd_id=cov_id(1240),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'fortification_standard_including_iron': Covariate(
        name='fortification_standard_including_iron',
        kind='covariate',
        gbd_id=cov_id(1241),
        by_age=False,
        by_sex=False,
        dichotomous=True,
    ),
    'composite_fortification_standard_and_iron_inclusion': Covariate(
        name='composite_fortification_standard_and_iron_inclusion',
        kind='covariate',
        gbd_id=cov_id(1242),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'pelvic_inflammatory_disease_age_standardized_prevalence': Covariate(
        name='pelvic_inflammatory_disease_age_standardized_prevalence',
        kind='covariate',
        gbd_id=cov_id(1243),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'pelvic_inflammatory_disease_all_age_prevalence': Covariate(
        name='pelvic_inflammatory_disease_all_age_prevalence',
        kind='covariate',
        gbd_id=cov_id(1244),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'nafld_nash_prevalence': Covariate(
        name='nafld_nash_prevalence',
        kind='covariate',
        gbd_id=cov_id(1245),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'hepatitis_b_3_dose_coverage_proportion_lagged_5_years': Covariate(
        name='hepatitis_b_3_dose_coverage_proportion_lagged_5_years',
        kind='covariate',
        gbd_id=cov_id(1246),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'hepatitis_b_3_dose_coverage_proportion_lagged_ten_years': Covariate(
        name='hepatitis_b_3_dose_coverage_proportion_lagged_ten_years',
        kind='covariate',
        gbd_id=cov_id(1247),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'interaction_between_sdi_and_2_and_up4_wheeled_vehicles_per_capita': Covariate(
        name='interaction_between_sdi_and_2_and_up4_wheeled_vehicles_per_capita',
        kind='covariate',
        gbd_id=cov_id(1248),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_standardized_death_rate_of_diabetes_0_15_years_per_100_000': Covariate(
        name='age_standardized_death_rate_of_diabetes_0_15_years_per_100_000',
        kind='covariate',
        gbd_id=cov_id(1249),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'age_and_sex_specific_sev_for_alcohol_use': Covariate(
        name='age_and_sex_specific_sev_for_alcohol_use',
        kind='covariate',
        gbd_id=cov_id(1250),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_sev_for_alcohol_use': Covariate(
        name='age_standardized_sev_for_alcohol_use',
        kind='covariate',
        gbd_id=cov_id(1251),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'underweight_women_of_reproductive_age': Covariate(
        name='underweight_women_of_reproductive_age',
        kind='covariate',
        gbd_id=cov_id(1252),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'underweight_women_age_specific': Covariate(
        name='underweight_women_age_specific',
        kind='covariate',
        gbd_id=cov_id(1253),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'underweight_men_age_specific': Covariate(
        name='underweight_men_age_specific',
        kind='covariate',
        gbd_id=cov_id(1254),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'opioids_per_million_population_per_day': Covariate(
        name='opioids_per_million_population_per_day',
        kind='covariate',
        gbd_id=cov_id(1255),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'prevalence_of_mtbc_lineage_1_strains_proportion': Covariate(
        name='prevalence_of_mtbc_lineage_1_strains_proportion',
        kind='covariate',
        gbd_id=cov_id(1256),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'prevalence_of_mtbc_lineage_2_strains_proportion': Covariate(
        name='prevalence_of_mtbc_lineage_2_strains_proportion',
        kind='covariate',
        gbd_id=cov_id(1257),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'prevalence_of_mtbc_lineage_3_strains_proportion': Covariate(
        name='prevalence_of_mtbc_lineage_3_strains_proportion',
        kind='covariate',
        gbd_id=cov_id(1258),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'prevalence_of_mtbc_lineage_4_strains_proportion': Covariate(
        name='prevalence_of_mtbc_lineage_4_strains_proportion',
        kind='covariate',
        gbd_id=cov_id(1259),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'prevalence_of_maf_lineage_5_and_6_proportion': Covariate(
        name='prevalence_of_maf_lineage_5_and_6_proportion',
        kind='covariate',
        gbd_id=cov_id(1260),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_group_i': Covariate(
        name='log_transformed_sev_scalar_group_i',
        kind='covariate',
        gbd_id=cov_id(1831),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_drug_sus_tb': Covariate(
        name='log_transformed_sev_scalar_drug_sus_tb',
        kind='covariate',
        gbd_id=cov_id(1832),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_mdr_tb': Covariate(
        name='log_transformed_sev_scalar_mdr_tb',
        kind='covariate',
        gbd_id=cov_id(1833),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_xdr_tb': Covariate(
        name='log_transformed_sev_scalar_xdr_tb',
        kind='covariate',
        gbd_id=cov_id(1834),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_hiv': Covariate(
        name='log_transformed_sev_scalar_hiv',
        kind='covariate',
        gbd_id=cov_id(1835),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_drug_sus_hiv_tb': Covariate(
        name='log_transformed_sev_scalar_drug_sus_hiv_tb',
        kind='covariate',
        gbd_id=cov_id(1836),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_mdr_hiv_tb': Covariate(
        name='log_transformed_sev_scalar_mdr_hiv_tb',
        kind='covariate',
        gbd_id=cov_id(1837),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_xdr_hiv_tb': Covariate(
        name='log_transformed_sev_scalar_xdr_hiv_tb',
        kind='covariate',
        gbd_id=cov_id(1838),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_mng_pne': Covariate(
        name='log_transformed_sev_scalar_mng_pne',
        kind='covariate',
        gbd_id=cov_id(1839),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_mng_hib': Covariate(
        name='log_transformed_sev_scalar_mng_hib',
        kind='covariate',
        gbd_id=cov_id(1840),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_mng_men': Covariate(
        name='log_transformed_sev_scalar_mng_men',
        kind='covariate',
        gbd_id=cov_id(1841),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_oth_mng': Covariate(
        name='log_transformed_sev_scalar_oth_mng',
        kind='covariate',
        gbd_id=cov_id(1842),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_encepha': Covariate(
        name='log_transformed_sev_scalar_encepha',
        kind='covariate',
        gbd_id=cov_id(1843),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_diptheria': Covariate(
        name='deprecated_log_transformed_sev_scalar_diptheria',
        kind='covariate',
        gbd_id=cov_id(1844),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_neonatal_preterm': Covariate(
        name='deprecated_log_transformed_sev_scalar_neonatal_preterm',
        kind='covariate',
        gbd_id=cov_id(1845),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_nn_enceph': Covariate(
        name='log_transformed_sev_scalar_nn_enceph',
        kind='covariate',
        gbd_id=cov_id(1846),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_nn_sepsis': Covariate(
        name='log_transformed_sev_scalar_nn_sepsis',
        kind='covariate',
        gbd_id=cov_id(1847),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_nn_hemol': Covariate(
        name='log_transformed_sev_scalar_nn_hemol',
        kind='covariate',
        gbd_id=cov_id(1848),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_oth_nn': Covariate(
        name='log_transformed_sev_scalar_oth_nn',
        kind='covariate',
        gbd_id=cov_id(1849),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_nutrition_pem': Covariate(
        name='deprecated_log_transformed_sev_scalar_nutrition_pem',
        kind='covariate',
        gbd_id=cov_id(1850),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_nutrition_vitamina': Covariate(
        name='deprecated_log_transformed_sev_scalar_nutrition_vitamina',
        kind='covariate',
        gbd_id=cov_id(1851),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_nutrition_iron': Covariate(
        name='deprecated_log_transformed_sev_scalar_nutrition_iron',
        kind='covariate',
        gbd_id=cov_id(1852),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_sti': Covariate(
        name='deprecated_log_transformed_sev_scalar_sti',
        kind='covariate',
        gbd_id=cov_id(1853),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_std_syphilis': Covariate(
        name='deprecated_log_transformed_sev_scalar_std_syphilis',
        kind='covariate',
        gbd_id=cov_id(1854),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_std_chlamydia': Covariate(
        name='deprecated_log_transformed_sev_scalar_std_chlamydia',
        kind='covariate',
        gbd_id=cov_id(1855),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_std_gonnorhea': Covariate(
        name='deprecated_log_transformed_sev_scalar_std_gonnorhea',
        kind='covariate',
        gbd_id=cov_id(1856),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_std_tricho': Covariate(
        name='deprecated_log_transformed_sev_scalar_std_tricho',
        kind='covariate',
        gbd_id=cov_id(1857),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_std_herpes': Covariate(
        name='deprecated_log_transformed_sev_scalar_std_herpes',
        kind='covariate',
        gbd_id=cov_id(1858),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_std_other': Covariate(
        name='deprecated_log_transformed_sev_scalar_std_other',
        kind='covariate',
        gbd_id=cov_id(1859),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_ncd': Covariate(
        name='log_transformed_sev_scalar_ncd',
        kind='covariate',
        gbd_id=cov_id(1860),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_neo_liver_alcohol': Covariate(
        name='deprecated_log_transformed_sev_scalar_neo_liver_alcohol',
        kind='covariate',
        gbd_id=cov_id(1861),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_neo_cervical': Covariate(
        name='deprecated_log_transformed_sev_scalar_neo_cervical',
        kind='covariate',
        gbd_id=cov_id(1862),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_lymphoma': Covariate(
        name='log_transformed_sev_scalar_lymphoma',
        kind='covariate',
        gbd_id=cov_id(1863),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_myeloma': Covariate(
        name='log_transformed_sev_scalar_myeloma',
        kind='covariate',
        gbd_id=cov_id(1864),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_all': Covariate(
        name='log_transformed_sev_scalar_all',
        kind='covariate',
        gbd_id=cov_id(1865),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_cll': Covariate(
        name='log_transformed_sev_scalar_cll',
        kind='covariate',
        gbd_id=cov_id(1866),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_aml': Covariate(
        name='log_transformed_sev_scalar_aml',
        kind='covariate',
        gbd_id=cov_id(1867),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_cml': Covariate(
        name='log_transformed_sev_scalar_cml',
        kind='covariate',
        gbd_id=cov_id(1868),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_oth_leukemia': Covariate(
        name='log_transformed_sev_scalar_oth_leukemia',
        kind='covariate',
        gbd_id=cov_id(1869),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_cvd_htn': Covariate(
        name='deprecated_log_transformed_sev_scalar_cvd_htn',
        kind='covariate',
        gbd_id=cov_id(1870),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_cvd_cmp_alcoholic': Covariate(
        name='deprecated_log_transformed_sev_scalar_cvd_cmp_alcoholic',
        kind='covariate',
        gbd_id=cov_id(1871),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_oth_cmp': Covariate(
        name='log_transformed_sev_scalar_oth_cmp',
        kind='covariate',
        gbd_id=cov_id(1872),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_cirrhosis_alcohol': Covariate(
        name='deprecated_log_transformed_sev_scalar_cirrhosis_alcohol',
        kind='covariate',
        gbd_id=cov_id(1873),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_pud': Covariate(
        name='log_transformed_sev_scalar_pud',
        kind='covariate',
        gbd_id=cov_id(1874),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_gall_bile': Covariate(
        name='log_transformed_sev_scalar_gall_bile',
        kind='covariate',
        gbd_id=cov_id(1875),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_alzheimers': Covariate(
        name='log_transformed_sev_scalar_alzheimers',
        kind='covariate',
        gbd_id=cov_id(1876),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_parkinsons': Covariate(
        name='deprecated_log_transformed_sev_scalar_parkinsons',
        kind='covariate',
        gbd_id=cov_id(1877),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_ms': Covariate(
        name='log_transformed_sev_scalar_ms',
        kind='covariate',
        gbd_id=cov_id(1878),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_mental_alcohol': Covariate(
        name='deprecated_log_transformed_sev_scalar_mental_alcohol',
        kind='covariate',
        gbd_id=cov_id(1879),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_drugs': Covariate(
        name='deprecated_log_transformed_sev_scalar_drugs',
        kind='covariate',
        gbd_id=cov_id(1880),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_mental_drug_opioids': Covariate(
        name='deprecated_log_transformed_sev_scalar_mental_drug_opioids',
        kind='covariate',
        gbd_id=cov_id(1881),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_mental_drug_cocaine': Covariate(
        name='deprecated_log_transformed_sev_scalar_mental_drug_cocaine',
        kind='covariate',
        gbd_id=cov_id(1882),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_mental_drug_amphet': Covariate(
        name='deprecated_log_transformed_sev_scalar_mental_drug_amphet',
        kind='covariate',
        gbd_id=cov_id(1883),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_mental_drug_cannabis': Covariate(
        name='deprecated_log_transformed_sev_scalar_mental_drug_cannabis',
        kind='covariate',
        gbd_id=cov_id(1884),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_mental_drug_other': Covariate(
        name='deprecated_log_transformed_sev_scalar_mental_drug_other',
        kind='covariate',
        gbd_id=cov_id(1885),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_diabetes': Covariate(
        name='deprecated_log_transformed_sev_scalar_diabetes',
        kind='covariate',
        gbd_id=cov_id(1886),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_ckd': Covariate(
        name='deprecated_log_transformed_sev_scalar_ckd',
        kind='covariate',
        gbd_id=cov_id(1887),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_ckd_diabetes': Covariate(
        name='deprecated_log_transformed_sev_scalar_ckd_diabetes',
        kind='covariate',
        gbd_id=cov_id(1888),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_ckd_htn': Covariate(
        name='deprecated_log_transformed_sev_scalar_ckd_htn',
        kind='covariate',
        gbd_id=cov_id(1889),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_ckd_glomerulo': Covariate(
        name='deprecated_log_transformed_sev_scalar_ckd_glomerulo',
        kind='covariate',
        gbd_id=cov_id(1890),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_ckd_other': Covariate(
        name='deprecated_log_transformed_sev_scalar_ckd_other',
        kind='covariate',
        gbd_id=cov_id(1891),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_rheu_arth': Covariate(
        name='log_transformed_sev_scalar_rheu_arth',
        kind='covariate',
        gbd_id=cov_id(1892),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_glaucoma': Covariate(
        name='log_transformed_sev_scalar_glaucoma',
        kind='covariate',
        gbd_id=cov_id(1893),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_macular': Covariate(
        name='log_transformed_sev_scalar_macular',
        kind='covariate',
        gbd_id=cov_id(1894),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_injuries': Covariate(
        name='log_transformed_sev_scalar_injuries',
        kind='covariate',
        gbd_id=cov_id(1895),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_self_fire': Covariate(
        name='log_transformed_sev_scalar_self_fire',
        kind='covariate',
        gbd_id=cov_id(1896),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_self_other': Covariate(
        name='log_transformed_sev_scalar_self_other',
        kind='covariate',
        gbd_id=cov_id(1897),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_sex_viol': Covariate(
        name='log_transformed_sev_scalar_sex_viol',
        kind='covariate',
        gbd_id=cov_id(1898),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_group_i': Covariate(
        name='log_transformed_age_standardized_sev_scalar_group_i',
        kind='covariate',
        gbd_id=cov_id(1899),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_drug_sus_tb': Covariate(
        name='log_transformed_age_standardized_sev_scalar_drug_sus_tb',
        kind='covariate',
        gbd_id=cov_id(1900),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_mdr_tb': Covariate(
        name='log_transformed_age_standardized_sev_scalar_mdr_tb',
        kind='covariate',
        gbd_id=cov_id(1901),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_xdr_tb': Covariate(
        name='log_transformed_age_standardized_sev_scalar_xdr_tb',
        kind='covariate',
        gbd_id=cov_id(1902),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_hiv': Covariate(
        name='log_transformed_age_standardized_sev_scalar_hiv',
        kind='covariate',
        gbd_id=cov_id(1903),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_drug_sus_hiv_tb': Covariate(
        name='log_transformed_age_standardized_sev_scalar_drug_sus_hiv_tb',
        kind='covariate',
        gbd_id=cov_id(1904),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_mdr_hiv_tb': Covariate(
        name='log_transformed_age_standardized_sev_scalar_mdr_hiv_tb',
        kind='covariate',
        gbd_id=cov_id(1905),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_xdr_hiv_tb': Covariate(
        name='log_transformed_age_standardized_sev_scalar_xdr_hiv_tb',
        kind='covariate',
        gbd_id=cov_id(1906),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_meningitis': Covariate(
        name='log_transformed_age_standardized_sev_scalar_meningitis',
        kind='covariate',
        gbd_id=cov_id(1907),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_mng_pne': Covariate(
        name='log_transformed_age_standardized_sev_scalar_mng_pne',
        kind='covariate',
        gbd_id=cov_id(1908),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_mng_hib': Covariate(
        name='log_transformed_age_standardized_sev_scalar_mng_hib',
        kind='covariate',
        gbd_id=cov_id(1909),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_mng_men': Covariate(
        name='log_transformed_age_standardized_sev_scalar_mng_men',
        kind='covariate',
        gbd_id=cov_id(1910),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_oth_mng': Covariate(
        name='log_transformed_age_standardized_sev_scalar_oth_mng',
        kind='covariate',
        gbd_id=cov_id(1911),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_encepha': Covariate(
        name='log_transformed_age_standardized_sev_scalar_encepha',
        kind='covariate',
        gbd_id=cov_id(1912),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_age_standardized_sev_scalar_diptheria': Covariate(
        name='deprecated_log_transformed_age_standardized_sev_scalar_diptheria',
        kind='covariate',
        gbd_id=cov_id(1913),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_age_standardized_sev_scalar_whooping': Covariate(
        name='deprecated_log_transformed_age_standardized_sev_scalar_whooping',
        kind='covariate',
        gbd_id=cov_id(1914),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_age_standardized_sev_scalar_tetanus': Covariate(
        name='deprecated_log_transformed_age_standardized_sev_scalar_tetanus',
        kind='covariate',
        gbd_id=cov_id(1915),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_age_standardized_sev_scalar_neonatal_preterm': Covariate(
        name='deprecated_log_transformed_age_standardized_sev_scalar_neonatal_preterm',
        kind='covariate',
        gbd_id=cov_id(1916),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_nn_enceph': Covariate(
        name='log_transformed_age_standardized_sev_scalar_nn_enceph',
        kind='covariate',
        gbd_id=cov_id(1917),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_nn_sepsis': Covariate(
        name='log_transformed_age_standardized_sev_scalar_nn_sepsis',
        kind='covariate',
        gbd_id=cov_id(1918),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_nn_hemol': Covariate(
        name='log_transformed_age_standardized_sev_scalar_nn_hemol',
        kind='covariate',
        gbd_id=cov_id(1919),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_oth_nn': Covariate(
        name='log_transformed_age_standardized_sev_scalar_oth_nn',
        kind='covariate',
        gbd_id=cov_id(1920),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_age_standardized_sev_scalar_nutrition_pem': Covariate(
        name='deprecated_log_transformed_age_standardized_sev_scalar_nutrition_pem',
        kind='covariate',
        gbd_id=cov_id(1921),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_age_standardized_sev_scalar_nutrition_vitamina': Covariate(
        name='deprecated_log_transformed_age_standardized_sev_scalar_nutrition_vitamina',
        kind='covariate',
        gbd_id=cov_id(1922),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_age_standardized_sev_scalar_nutrition_iron': Covariate(
        name='deprecated_log_transformed_age_standardized_sev_scalar_nutrition_iron',
        kind='covariate',
        gbd_id=cov_id(1923),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_age_standardized_sev_scalar_sti': Covariate(
        name='deprecated_log_transformed_age_standardized_sev_scalar_sti',
        kind='covariate',
        gbd_id=cov_id(1924),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_age_standardized_sev_scalar_std_syphilis': Covariate(
        name='deprecated_log_transformed_age_standardized_sev_scalar_std_syphilis',
        kind='covariate',
        gbd_id=cov_id(1925),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_age_standardized_sev_scalar_std_chlamydia': Covariate(
        name='deprecated_log_transformed_age_standardized_sev_scalar_std_chlamydia',
        kind='covariate',
        gbd_id=cov_id(1926),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_age_standardized_sev_scalar_std_gonnorhea': Covariate(
        name='deprecated_log_transformed_age_standardized_sev_scalar_std_gonnorhea',
        kind='covariate',
        gbd_id=cov_id(1927),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_age_standardized_sev_scalar_std_tricho': Covariate(
        name='deprecated_log_transformed_age_standardized_sev_scalar_std_tricho',
        kind='covariate',
        gbd_id=cov_id(1928),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_age_standardized_sev_scalar_std_herpes': Covariate(
        name='deprecated_log_transformed_age_standardized_sev_scalar_std_herpes',
        kind='covariate',
        gbd_id=cov_id(1929),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_age_standardized_sev_scalar_std_other': Covariate(
        name='deprecated_log_transformed_age_standardized_sev_scalar_std_other',
        kind='covariate',
        gbd_id=cov_id(1930),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_age_standardized_sev_scalar_ncd': Covariate(
        name='deprecated_log_transformed_age_standardized_sev_scalar_ncd',
        kind='covariate',
        gbd_id=cov_id(1931),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_age_standardized_sev_scalar_neo_liver_alcohol': Covariate(
        name='deprecated_log_transformed_age_standardized_sev_scalar_neo_liver_alcohol',
        kind='covariate',
        gbd_id=cov_id(1932),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_age_standardized_sev_scalar_neo_cervical': Covariate(
        name='deprecated_log_transformed_age_standardized_sev_scalar_neo_cervical',
        kind='covariate',
        gbd_id=cov_id(1933),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_lymphoma': Covariate(
        name='log_transformed_age_standardized_sev_scalar_lymphoma',
        kind='covariate',
        gbd_id=cov_id(1934),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_myeloma': Covariate(
        name='log_transformed_age_standardized_sev_scalar_myeloma',
        kind='covariate',
        gbd_id=cov_id(1935),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_all': Covariate(
        name='log_transformed_age_standardized_sev_scalar_all',
        kind='covariate',
        gbd_id=cov_id(1936),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_cll': Covariate(
        name='log_transformed_age_standardized_sev_scalar_cll',
        kind='covariate',
        gbd_id=cov_id(1937),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_aml': Covariate(
        name='log_transformed_age_standardized_sev_scalar_aml',
        kind='covariate',
        gbd_id=cov_id(1938),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_cml': Covariate(
        name='log_transformed_age_standardized_sev_scalar_cml',
        kind='covariate',
        gbd_id=cov_id(1939),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_oth_leukemia': Covariate(
        name='log_transformed_age_standardized_sev_scalar_oth_leukemia',
        kind='covariate',
        gbd_id=cov_id(1940),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_age_standardized_sev_scalar_cvd_htn': Covariate(
        name='deprecated_log_transformed_age_standardized_sev_scalar_cvd_htn',
        kind='covariate',
        gbd_id=cov_id(1941),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_age_standardized_sev_scalar_cvd_cmp_alcoholic': Covariate(
        name='deprecated_log_transformed_age_standardized_sev_scalar_cvd_cmp_alcoholic',
        kind='covariate',
        gbd_id=cov_id(1942),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_oth_cmp': Covariate(
        name='log_transformed_age_standardized_sev_scalar_oth_cmp',
        kind='covariate',
        gbd_id=cov_id(1943),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_age_standardized_sev_scalar_cirrhosis_alcohol': Covariate(
        name='deprecated_log_transformed_age_standardized_sev_scalar_cirrhosis_alcohol',
        kind='covariate',
        gbd_id=cov_id(1944),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_pud': Covariate(
        name='log_transformed_age_standardized_sev_scalar_pud',
        kind='covariate',
        gbd_id=cov_id(1945),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_gall_bile': Covariate(
        name='log_transformed_age_standardized_sev_scalar_gall_bile',
        kind='covariate',
        gbd_id=cov_id(1946),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_alzheimers': Covariate(
        name='log_transformed_age_standardized_sev_scalar_alzheimers',
        kind='covariate',
        gbd_id=cov_id(1947),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_age_standardized_sev_scalar_parkinsons': Covariate(
        name='deprecated_log_transformed_age_standardized_sev_scalar_parkinsons',
        kind='covariate',
        gbd_id=cov_id(1948),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_ms': Covariate(
        name='log_transformed_age_standardized_sev_scalar_ms',
        kind='covariate',
        gbd_id=cov_id(1949),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_age_standardized_sev_scalar_mental_alcohol': Covariate(
        name='deprecated_log_transformed_age_standardized_sev_scalar_mental_alcohol',
        kind='covariate',
        gbd_id=cov_id(1950),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_age_standardized_sev_scalar_drugs': Covariate(
        name='deprecated_log_transformed_age_standardized_sev_scalar_drugs',
        kind='covariate',
        gbd_id=cov_id(1951),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_age_standardized_sev_scalar_mental_drug_opioids': Covariate(
        name='deprecated_log_transformed_age_standardized_sev_scalar_mental_drug_opioids',
        kind='covariate',
        gbd_id=cov_id(1952),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_age_standardized_sev_scalar_mental_drug_cocaine': Covariate(
        name='deprecated_log_transformed_age_standardized_sev_scalar_mental_drug_cocaine',
        kind='covariate',
        gbd_id=cov_id(1953),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_age_standardized_sev_scalar_mental_drug_amphet': Covariate(
        name='deprecated_log_transformed_age_standardized_sev_scalar_mental_drug_amphet',
        kind='covariate',
        gbd_id=cov_id(1954),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_age_standardized_sev_scalar_mental_drug_cannabis': Covariate(
        name='deprecated_log_transformed_age_standardized_sev_scalar_mental_drug_cannabis',
        kind='covariate',
        gbd_id=cov_id(1955),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_age_standardized_sev_scalar_mental_drug_other': Covariate(
        name='deprecated_log_transformed_age_standardized_sev_scalar_mental_drug_other',
        kind='covariate',
        gbd_id=cov_id(1956),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_age_standardized_sev_scalar_diabetes': Covariate(
        name='deprecated_log_transformed_age_standardized_sev_scalar_diabetes',
        kind='covariate',
        gbd_id=cov_id(1957),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_age_standardized_sev_scalar_ckd': Covariate(
        name='deprecated_log_transformed_age_standardized_sev_scalar_ckd',
        kind='covariate',
        gbd_id=cov_id(1958),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_age_standardized_sev_scalar_ckd_diabetes': Covariate(
        name='deprecated_log_transformed_age_standardized_sev_scalar_ckd_diabetes',
        kind='covariate',
        gbd_id=cov_id(1959),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_age_standardized_sev_scalar_ckd_htn': Covariate(
        name='deprecated_log_transformed_age_standardized_sev_scalar_ckd_htn',
        kind='covariate',
        gbd_id=cov_id(1960),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_age_standardized_sev_scalar_ckd_glomerulo': Covariate(
        name='deprecated_log_transformed_age_standardized_sev_scalar_ckd_glomerulo',
        kind='covariate',
        gbd_id=cov_id(1961),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_age_standardized_sev_scalar_ckd_other': Covariate(
        name='deprecated_log_transformed_age_standardized_sev_scalar_ckd_other',
        kind='covariate',
        gbd_id=cov_id(1962),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_rheu_arth': Covariate(
        name='log_transformed_age_standardized_sev_scalar_rheu_arth',
        kind='covariate',
        gbd_id=cov_id(1963),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_glaucoma': Covariate(
        name='log_transformed_age_standardized_sev_scalar_glaucoma',
        kind='covariate',
        gbd_id=cov_id(1964),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_macular': Covariate(
        name='log_transformed_age_standardized_sev_scalar_macular',
        kind='covariate',
        gbd_id=cov_id(1965),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_sids': Covariate(
        name='log_transformed_age_standardized_sev_scalar_sids',
        kind='covariate',
        gbd_id=cov_id(1966),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_injuries': Covariate(
        name='log_transformed_age_standardized_sev_scalar_injuries',
        kind='covariate',
        gbd_id=cov_id(1967),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_self_fire': Covariate(
        name='log_transformed_age_standardized_sev_scalar_self_fire',
        kind='covariate',
        gbd_id=cov_id(1968),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_self_other': Covariate(
        name='log_transformed_age_standardized_sev_scalar_self_other',
        kind='covariate',
        gbd_id=cov_id(1969),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_sex_viol': Covariate(
        name='log_transformed_age_standardized_sev_scalar_sex_viol',
        kind='covariate',
        gbd_id=cov_id(1970),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'opioids_per_million_population_per_day_5_year_lag': Covariate(
        name='opioids_per_million_population_per_day_5_year_lag',
        kind='covariate',
        gbd_id=cov_id(1971),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'opioids_per_million_population_per_day_ten_year_lag': Covariate(
        name='opioids_per_million_population_per_day_ten_year_lag',
        kind='covariate',
        gbd_id=cov_id(1972),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'occupation_professionals': Covariate(
        name='occupation_professionals',
        kind='covariate',
        gbd_id=cov_id(1973),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'health_industry_workers': Covariate(
        name='health_industry_workers',
        kind='covariate',
        gbd_id=cov_id(1974),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'education_years_per_capita_aggregated_by_age_15_and_up_and_sex': Covariate(
        name='education_years_per_capita_aggregated_by_age_15_and_up_and_sex',
        kind='covariate',
        gbd_id=cov_id(1975),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'underweight_age_and_sex_specific': Covariate(
        name='underweight_age_and_sex_specific',
        kind='covariate',
        gbd_id=cov_id(1976),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'total_physical_activity_met_min_week_age_specific': Covariate(
        name='total_physical_activity_met_min_week_age_specific',
        kind='covariate',
        gbd_id=cov_id(1977),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'total_physical_activity_met_min_week_age_standardized': Covariate(
        name='total_physical_activity_met_min_week_age_standardized',
        kind='covariate',
        gbd_id=cov_id(1978),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'full_vaccine_coverage_indicator_proportion': Covariate(
        name='full_vaccine_coverage_indicator_proportion',
        kind='covariate',
        gbd_id=cov_id(1979),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'bacille_calmette_guerin_bcg_vaccine_coverage_proportion': Covariate(
        name='bacille_calmette_guerin_bcg_vaccine_coverage_proportion',
        kind='covariate',
        gbd_id=cov_id(1980),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'hepatitis_b_vaccine_coverage_proportion_aged_through_time': Covariate(
        name='hepatitis_b_vaccine_coverage_proportion_aged_through_time',
        kind='covariate',
        gbd_id=cov_id(1981),
        by_age=True,
        by_sex=False,
        dichotomous=False,
    ),
    'adolescent_birth_rates_10_19_years_of_age': Covariate(
        name='adolescent_birth_rates_10_19_years_of_age',
        kind='covariate',
        gbd_id=cov_id(1982),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'percent_well_certified': Covariate(
        name='percent_well_certified',
        kind='covariate',
        gbd_id=cov_id(1983),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'log_total_health_expenditure_per_capita': Covariate(
        name='log_total_health_expenditure_per_capita',
        kind='covariate',
        gbd_id=cov_id(1984),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'count_of_population_censuses': Covariate(
        name='count_of_population_censuses',
        kind='covariate',
        gbd_id=cov_id(1985),
        by_age=False,
        by_sex=False,
        dichotomous=True,
    ),
    'birth_registry_completeness': Covariate(
        name='birth_registry_completeness',
        kind='covariate',
        gbd_id=cov_id(1986),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'pigs_raised_in_extensive_agricultural_systems_per_capita': Covariate(
        name='pigs_raised_in_extensive_agricultural_systems_per_capita',
        kind='covariate',
        gbd_id=cov_id(1987),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'pigs_raised_in_semi_extensive_agricultural_systems_per_capita': Covariate(
        name='pigs_raised_in_semi_extensive_agricultural_systems_per_capita',
        kind='covariate',
        gbd_id=cov_id(1988),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'pigs_raised_in_intensive_industrial_agricultural_systems_per_capita': Covariate(
        name='pigs_raised_in_intensive_industrial_agricultural_systems_per_capita',
        kind='covariate',
        gbd_id=cov_id(1989),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'implicit_versus_explicitly_defined_nash': Covariate(
        name='implicit_versus_explicitly_defined_nash',
        kind='covariate',
        gbd_id=cov_id(1991),
        by_age=False,
        by_sex=True,
        dichotomous=True,
    ),
    'mean_hemoglobin_age_sex_specific': Covariate(
        name='mean_hemoglobin_age_sex_specific',
        kind='covariate',
        gbd_id=cov_id(1992),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'physicians_per_capita': Covariate(
        name='physicians_per_capita',
        kind='covariate',
        gbd_id=cov_id(1993),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'nurses_and_midwives_per_capita': Covariate(
        name='nurses_and_midwives_per_capita',
        kind='covariate',
        gbd_id=cov_id(1994),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'pharmacists_per_capita': Covariate(
        name='pharmacists_per_capita',
        kind='covariate',
        gbd_id=cov_id(1995),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'hiv_mortality_rate': Covariate(
        name='hiv_mortality_rate',
        kind='covariate',
        gbd_id=cov_id(1996),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'untreated_hiv': Covariate(
        name='untreated_hiv',
        kind='covariate',
        gbd_id=cov_id(1997),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'medical_schools': Covariate(
        name='medical_schools',
        kind='covariate',
        gbd_id=cov_id(1998),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'dentists_per_capita': Covariate(
        name='dentists_per_capita',
        kind='covariate',
        gbd_id=cov_id(1999),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'full_vaccine_coverage_indicator_proportion_sage_method_dtp3_pcv3_mcv2': Covariate(
        name='full_vaccine_coverage_indicator_proportion_sage_method_dtp3_pcv3_mcv2',
        kind='covariate',
        gbd_id=cov_id(2000),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'net_reproduction_rate': Covariate(
        name='net_reproduction_rate',
        kind='covariate',
        gbd_id=cov_id(2001),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'log_transformed_coal_production_per_capita': Covariate(
        name='log_transformed_coal_production_per_capita',
        kind='covariate',
        gbd_id=cov_id(2002),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'systolic_blood_pressure_mmhg_us_r_e': Covariate(
        name='systolic_blood_pressure_mmhg_us_r_e',
        kind='covariate',
        gbd_id=cov_id(2003),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'low_density_lipoprotein_mmol_l_us_r_e': Covariate(
        name='low_density_lipoprotein_mmol_l_us_r_e',
        kind='covariate',
        gbd_id=cov_id(2004),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'mean_bmi_kg_m2_us_r_e': Covariate(
        name='mean_bmi_kg_m2_us_r_e',
        kind='covariate',
        gbd_id=cov_id(2005),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'education_years_per_capita_us_r_e': Covariate(
        name='education_years_per_capita_us_r_e',
        kind='covariate',
        gbd_id=cov_id(2006),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'ldi_income_per_capita_us_r_e': Covariate(
        name='ldi_income_per_capita_us_r_e',
        kind='covariate',
        gbd_id=cov_id(2007),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'fasting_plasma_glucose_us_r_e': Covariate(
        name='fasting_plasma_glucose_us_r_e',
        kind='covariate',
        gbd_id=cov_id(2008),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'total_physical_activity_met_min_week_age_specific_us_r_e': Covariate(
        name='total_physical_activity_met_min_week_age_specific_us_r_e',
        kind='covariate',
        gbd_id=cov_id(2009),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'total_physical_activity_met_min_week_age_standardized_us_r_e': Covariate(
        name='total_physical_activity_met_min_week_age_standardized_us_r_e',
        kind='covariate',
        gbd_id=cov_id(2010),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'alcohol_liters_per_capita_us_r_e': Covariate(
        name='alcohol_liters_per_capita_us_r_e',
        kind='covariate',
        gbd_id=cov_id(2011),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'smoking_prevalence_us_r_e': Covariate(
        name='smoking_prevalence_us_r_e',
        kind='covariate',
        gbd_id=cov_id(2012),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'outdoor_air_pollution_pm_2_5_us_r_e': Covariate(
        name='outdoor_air_pollution_pm_2_5_us_r_e',
        kind='covariate',
        gbd_id=cov_id(2013),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'fruits_unadjusted_g_us_r_e': Covariate(
        name='fruits_unadjusted_g_us_r_e',
        kind='covariate',
        gbd_id=cov_id(2014),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'vegetables_unadjusted_g_us_r_e': Covariate(
        name='vegetables_unadjusted_g_us_r_e',
        kind='covariate',
        gbd_id=cov_id(2015),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'proportion_of_the_population_with_at_least_6_years_of_education': Covariate(
        name='proportion_of_the_population_with_at_least_6_years_of_education',
        kind='covariate',
        gbd_id=cov_id(2016),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'proportion_of_the_population_with_at_least_12_years_of_education': Covariate(
        name='proportion_of_the_population_with_at_least_12_years_of_education',
        kind='covariate',
        gbd_id=cov_id(2017),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'proportion_of_the_population_with_at_least_15_years_of_education': Covariate(
        name='proportion_of_the_population_with_at_least_15_years_of_education',
        kind='covariate',
        gbd_id=cov_id(2018),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'education_absolute_inequality_aaid': Covariate(
        name='education_absolute_inequality_aaid',
        kind='covariate',
        gbd_id=cov_id(2019),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'education_relative_inequality_gini': Covariate(
        name='education_relative_inequality_gini',
        kind='covariate',
        gbd_id=cov_id(2020),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'proportion_of_the_population_with_at_least_6_years_of_education_age_standardized': Covariate(
        name='proportion_of_the_population_with_at_least_6_years_of_education_age_standardized',
        kind='covariate',
        gbd_id=cov_id(2021),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'proportion_of_the_population_with_at_least_12_years_of_education_age_standardized': Covariate(
        name='proportion_of_the_population_with_at_least_12_years_of_education_age_standardized',
        kind='covariate',
        gbd_id=cov_id(2022),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'proportion_of_the_population_with_at_least_15_years_of_education_age_standardized': Covariate(
        name='proportion_of_the_population_with_at_least_15_years_of_education_age_standardized',
        kind='covariate',
        gbd_id=cov_id(2023),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'education_absolute_inequality_aaid_age_standardized': Covariate(
        name='education_absolute_inequality_aaid_age_standardized',
        kind='covariate',
        gbd_id=cov_id(2024),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'education_relative_inequality_gini_age_standardized': Covariate(
        name='education_relative_inequality_gini_age_standardized',
        kind='covariate',
        gbd_id=cov_id(2025),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'proportion_of_the_population_with_at_least_6_years_of_education_maternal': Covariate(
        name='proportion_of_the_population_with_at_least_6_years_of_education_maternal',
        kind='covariate',
        gbd_id=cov_id(2026),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'proportion_of_the_population_with_at_least_12_years_of_education_maternal': Covariate(
        name='proportion_of_the_population_with_at_least_12_years_of_education_maternal',
        kind='covariate',
        gbd_id=cov_id(2027),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'proportion_of_the_population_with_at_least_15_years_of_education_maternal': Covariate(
        name='proportion_of_the_population_with_at_least_15_years_of_education_maternal',
        kind='covariate',
        gbd_id=cov_id(2028),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'education_absolute_inequality_aaid_maternal': Covariate(
        name='education_absolute_inequality_aaid_maternal',
        kind='covariate',
        gbd_id=cov_id(2029),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'education_relative_inequality_gini_maternal': Covariate(
        name='education_relative_inequality_gini_maternal',
        kind='covariate',
        gbd_id=cov_id(2030),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'mmr_due_to_maternal_hemorrhage': Covariate(
        name='mmr_due_to_maternal_hemorrhage',
        kind='covariate',
        gbd_id=cov_id(2031),
        by_age=True,
        by_sex=False,
        dichotomous=False,
    ),
    'mmr_due_to_maternal_hypertensive_disorders': Covariate(
        name='mmr_due_to_maternal_hypertensive_disorders',
        kind='covariate',
        gbd_id=cov_id(2032),
        by_age=True,
        by_sex=False,
        dichotomous=False,
    ),
    'mmr_due_to_abortion_and_miscarriage': Covariate(
        name='mmr_due_to_abortion_and_miscarriage',
        kind='covariate',
        gbd_id=cov_id(2033),
        by_age=True,
        by_sex=False,
        dichotomous=False,
    ),
    'mmr_due_to_sepsis_and_other_maternal_infections': Covariate(
        name='mmr_due_to_sepsis_and_other_maternal_infections',
        kind='covariate',
        gbd_id=cov_id(2034),
        by_age=True,
        by_sex=False,
        dichotomous=False,
    ),
    'mmr_due_to_obstructed_labor': Covariate(
        name='mmr_due_to_obstructed_labor',
        kind='covariate',
        gbd_id=cov_id(2035),
        by_age=True,
        by_sex=False,
        dichotomous=False,
    ),
    'mmr_due_to_ectopic_pregnancy': Covariate(
        name='mmr_due_to_ectopic_pregnancy',
        kind='covariate',
        gbd_id=cov_id(2036),
        by_age=True,
        by_sex=False,
        dichotomous=False,
    ),
    'mean_hemoglobin': Covariate(
        name='mean_hemoglobin',
        kind='covariate',
        gbd_id=cov_id(2037),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_sev_for_unsafe_water': Covariate(
        name='age_standardized_sev_for_unsafe_water',
        kind='covariate',
        gbd_id=cov_id(2038),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_standardized_sev_for_unsafe_sanitation': Covariate(
        name='age_standardized_sev_for_unsafe_sanitation',
        kind='covariate',
        gbd_id=cov_id(2039),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_and_sex_specific_sev_for_handwashing': Covariate(
        name='age_and_sex_specific_sev_for_handwashing',
        kind='covariate',
        gbd_id=cov_id(2040),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_sev_for_handwashing': Covariate(
        name='age_standardized_sev_for_handwashing',
        kind='covariate',
        gbd_id=cov_id(2041),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_and_sex_specific_sev_for_ambient_particulate_matter': Covariate(
        name='age_and_sex_specific_sev_for_ambient_particulate_matter',
        kind='covariate',
        gbd_id=cov_id(2042),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_sev_for_ambient_particulate_matter': Covariate(
        name='age_standardized_sev_for_ambient_particulate_matter',
        kind='covariate',
        gbd_id=cov_id(2043),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_and_sex_specific_sev_for_household_air_pollution': Covariate(
        name='age_and_sex_specific_sev_for_household_air_pollution',
        kind='covariate',
        gbd_id=cov_id(2044),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_sev_for_household_air_pollution': Covariate(
        name='age_standardized_sev_for_household_air_pollution',
        kind='covariate',
        gbd_id=cov_id(2045),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_and_sex_specific_sev_for_ozone': Covariate(
        name='age_and_sex_specific_sev_for_ozone',
        kind='covariate',
        gbd_id=cov_id(2046),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_sev_for_ozone': Covariate(
        name='age_standardized_sev_for_ozone',
        kind='covariate',
        gbd_id=cov_id(2047),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_and_sex_specific_sev_for_radon': Covariate(
        name='age_and_sex_specific_sev_for_radon',
        kind='covariate',
        gbd_id=cov_id(2048),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_sev_for_radon': Covariate(
        name='age_standardized_sev_for_radon',
        kind='covariate',
        gbd_id=cov_id(2049),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_and_sex_specific_sev_for_lead': Covariate(
        name='age_and_sex_specific_sev_for_lead',
        kind='covariate',
        gbd_id=cov_id(2050),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_sev_for_lead': Covariate(
        name='age_standardized_sev_for_lead',
        kind='covariate',
        gbd_id=cov_id(2051),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_and_sex_specific_sev_for_occupational_asbestos': Covariate(
        name='age_and_sex_specific_sev_for_occupational_asbestos',
        kind='covariate',
        gbd_id=cov_id(2052),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_sev_for_occupational_asbestos': Covariate(
        name='age_standardized_sev_for_occupational_asbestos',
        kind='covariate',
        gbd_id=cov_id(2053),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_and_sex_specific_sev_for_occupational_arsenic': Covariate(
        name='age_and_sex_specific_sev_for_occupational_arsenic',
        kind='covariate',
        gbd_id=cov_id(2054),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_sev_for_occupational_arsenic': Covariate(
        name='age_standardized_sev_for_occupational_arsenic',
        kind='covariate',
        gbd_id=cov_id(2055),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_and_sex_specific_sev_for_occupational_benzene': Covariate(
        name='age_and_sex_specific_sev_for_occupational_benzene',
        kind='covariate',
        gbd_id=cov_id(2056),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_sev_for_occupational_benzene': Covariate(
        name='age_standardized_sev_for_occupational_benzene',
        kind='covariate',
        gbd_id=cov_id(2057),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_and_sex_specific_sev_for_occupational_beryllium': Covariate(
        name='age_and_sex_specific_sev_for_occupational_beryllium',
        kind='covariate',
        gbd_id=cov_id(2058),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_sev_for_occupational_beryllium': Covariate(
        name='age_standardized_sev_for_occupational_beryllium',
        kind='covariate',
        gbd_id=cov_id(2059),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_and_sex_specific_sev_for_occupational_cadmium': Covariate(
        name='age_and_sex_specific_sev_for_occupational_cadmium',
        kind='covariate',
        gbd_id=cov_id(2060),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_sev_for_occupational_cadmium': Covariate(
        name='age_standardized_sev_for_occupational_cadmium',
        kind='covariate',
        gbd_id=cov_id(2061),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_and_sex_specific_sev_for_occupational_chromium': Covariate(
        name='age_and_sex_specific_sev_for_occupational_chromium',
        kind='covariate',
        gbd_id=cov_id(2062),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_sev_for_occupational_chromium': Covariate(
        name='age_standardized_sev_for_occupational_chromium',
        kind='covariate',
        gbd_id=cov_id(2063),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_and_sex_specific_sev_for_occupational_diesel': Covariate(
        name='age_and_sex_specific_sev_for_occupational_diesel',
        kind='covariate',
        gbd_id=cov_id(2064),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_sev_for_occupational_diesel': Covariate(
        name='age_standardized_sev_for_occupational_diesel',
        kind='covariate',
        gbd_id=cov_id(2065),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_and_sex_specific_sev_for_occupational_formaldehyde': Covariate(
        name='age_and_sex_specific_sev_for_occupational_formaldehyde',
        kind='covariate',
        gbd_id=cov_id(2066),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_sev_for_occupational_formaldehyde': Covariate(
        name='age_standardized_sev_for_occupational_formaldehyde',
        kind='covariate',
        gbd_id=cov_id(2067),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_and_sex_specific_sev_for_occupational_nickel': Covariate(
        name='age_and_sex_specific_sev_for_occupational_nickel',
        kind='covariate',
        gbd_id=cov_id(2068),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_sev_for_occupational_nickel': Covariate(
        name='age_standardized_sev_for_occupational_nickel',
        kind='covariate',
        gbd_id=cov_id(2069),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_and_sex_specific_sev_for_occupational_pah': Covariate(
        name='age_and_sex_specific_sev_for_occupational_pah',
        kind='covariate',
        gbd_id=cov_id(2070),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_sev_for_occupational_pah': Covariate(
        name='age_standardized_sev_for_occupational_pah',
        kind='covariate',
        gbd_id=cov_id(2071),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_and_sex_specific_sev_for_occupational_silica': Covariate(
        name='age_and_sex_specific_sev_for_occupational_silica',
        kind='covariate',
        gbd_id=cov_id(2072),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_sev_for_occupational_silica': Covariate(
        name='age_standardized_sev_for_occupational_silica',
        kind='covariate',
        gbd_id=cov_id(2073),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_and_sex_specific_sev_for_occupational_sulfuric_acid': Covariate(
        name='age_and_sex_specific_sev_for_occupational_sulfuric_acid',
        kind='covariate',
        gbd_id=cov_id(2074),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_sev_for_occupational_sulfuric_acid': Covariate(
        name='age_standardized_sev_for_occupational_sulfuric_acid',
        kind='covariate',
        gbd_id=cov_id(2075),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_and_sex_specific_sev_for_occupational_trichloroethylene': Covariate(
        name='age_and_sex_specific_sev_for_occupational_trichloroethylene',
        kind='covariate',
        gbd_id=cov_id(2076),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_sev_for_occupational_trichloroethylene': Covariate(
        name='age_standardized_sev_for_occupational_trichloroethylene',
        kind='covariate',
        gbd_id=cov_id(2077),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_and_sex_specific_sev_for_occupational_asthmagens': Covariate(
        name='age_and_sex_specific_sev_for_occupational_asthmagens',
        kind='covariate',
        gbd_id=cov_id(2078),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_sev_for_occupational_asthmagens': Covariate(
        name='age_standardized_sev_for_occupational_asthmagens',
        kind='covariate',
        gbd_id=cov_id(2079),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_and_sex_specific_sev_for_occupational_particulates': Covariate(
        name='age_and_sex_specific_sev_for_occupational_particulates',
        kind='covariate',
        gbd_id=cov_id(2080),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_sev_for_occupational_particulates': Covariate(
        name='age_standardized_sev_for_occupational_particulates',
        kind='covariate',
        gbd_id=cov_id(2081),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_and_sex_specific_sev_for_occupational_noise': Covariate(
        name='age_and_sex_specific_sev_for_occupational_noise',
        kind='covariate',
        gbd_id=cov_id(2082),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_sev_for_occupational_noise': Covariate(
        name='age_standardized_sev_for_occupational_noise',
        kind='covariate',
        gbd_id=cov_id(2083),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_and_sex_specific_sev_for_occupational_injury': Covariate(
        name='age_and_sex_specific_sev_for_occupational_injury',
        kind='covariate',
        gbd_id=cov_id(2084),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_sev_for_occupational_injury': Covariate(
        name='age_standardized_sev_for_occupational_injury',
        kind='covariate',
        gbd_id=cov_id(2085),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_and_sex_specific_sev_for_occupational_ergonomic': Covariate(
        name='age_and_sex_specific_sev_for_occupational_ergonomic',
        kind='covariate',
        gbd_id=cov_id(2086),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_sev_for_occupational_ergonomic': Covariate(
        name='age_standardized_sev_for_occupational_ergonomic',
        kind='covariate',
        gbd_id=cov_id(2087),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_and_sex_specific_sev_for_non_exclusive_breastfeeding': Covariate(
        name='age_and_sex_specific_sev_for_non_exclusive_breastfeeding',
        kind='covariate',
        gbd_id=cov_id(2088),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_sev_for_non_exclusive_breastfeeding': Covariate(
        name='age_standardized_sev_for_non_exclusive_breastfeeding',
        kind='covariate',
        gbd_id=cov_id(2089),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_and_sex_specific_sev_for_discontinued_breastfeeding': Covariate(
        name='age_and_sex_specific_sev_for_discontinued_breastfeeding',
        kind='covariate',
        gbd_id=cov_id(2090),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_sev_for_discontinued_breastfeeding': Covariate(
        name='age_standardized_sev_for_discontinued_breastfeeding',
        kind='covariate',
        gbd_id=cov_id(2091),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_and_sex_specific_sev_for_short_gestation': Covariate(
        name='age_and_sex_specific_sev_for_short_gestation',
        kind='covariate',
        gbd_id=cov_id(2092),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_sev_for_short_gestation': Covariate(
        name='age_standardized_sev_for_short_gestation',
        kind='covariate',
        gbd_id=cov_id(2093),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_and_sex_specific_sev_for_low_birth_weight': Covariate(
        name='age_and_sex_specific_sev_for_low_birth_weight',
        kind='covariate',
        gbd_id=cov_id(2094),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_sev_for_low_birth_weight': Covariate(
        name='age_standardized_sev_for_low_birth_weight',
        kind='covariate',
        gbd_id=cov_id(2095),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_and_sex_specific_sev_for_iron_deficiency': Covariate(
        name='age_and_sex_specific_sev_for_iron_deficiency',
        kind='covariate',
        gbd_id=cov_id(2096),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_sev_for_iron_deficiency': Covariate(
        name='age_standardized_sev_for_iron_deficiency',
        kind='covariate',
        gbd_id=cov_id(2097),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_and_sex_specific_sev_for_vitamin_a_deficiency': Covariate(
        name='age_and_sex_specific_sev_for_vitamin_a_deficiency',
        kind='covariate',
        gbd_id=cov_id(2098),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_sev_for_vitamin_a_deficiency': Covariate(
        name='age_standardized_sev_for_vitamin_a_deficiency',
        kind='covariate',
        gbd_id=cov_id(2099),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_and_sex_specific_sev_for_zinc_deficiency': Covariate(
        name='age_and_sex_specific_sev_for_zinc_deficiency',
        kind='covariate',
        gbd_id=cov_id(2100),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_sev_for_zinc_deficiency': Covariate(
        name='age_standardized_sev_for_zinc_deficiency',
        kind='covariate',
        gbd_id=cov_id(2101),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_and_sex_specific_sev_for_smoking': Covariate(
        name='age_and_sex_specific_sev_for_smoking',
        kind='covariate',
        gbd_id=cov_id(2102),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_sev_for_smoking': Covariate(
        name='age_standardized_sev_for_smoking',
        kind='covariate',
        gbd_id=cov_id(2103),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_and_sex_specific_sev_for_chewing_tobacco': Covariate(
        name='age_and_sex_specific_sev_for_chewing_tobacco',
        kind='covariate',
        gbd_id=cov_id(2104),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_sev_for_chewing_tobacco': Covariate(
        name='age_standardized_sev_for_chewing_tobacco',
        kind='covariate',
        gbd_id=cov_id(2105),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_and_sex_specific_sev_for_secondhand_smoke': Covariate(
        name='age_and_sex_specific_sev_for_secondhand_smoke',
        kind='covariate',
        gbd_id=cov_id(2106),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_sev_for_secondhand_smoke': Covariate(
        name='age_standardized_sev_for_secondhand_smoke',
        kind='covariate',
        gbd_id=cov_id(2107),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_and_sex_specific_sev_for_drug_use': Covariate(
        name='age_and_sex_specific_sev_for_drug_use',
        kind='covariate',
        gbd_id=cov_id(2108),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_sev_for_drug_use': Covariate(
        name='age_standardized_sev_for_drug_use',
        kind='covariate',
        gbd_id=cov_id(2109),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_and_sex_specific_sev_for_low_fruit': Covariate(
        name='age_and_sex_specific_sev_for_low_fruit',
        kind='covariate',
        gbd_id=cov_id(2110),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_sev_for_low_fruit': Covariate(
        name='age_standardized_sev_for_low_fruit',
        kind='covariate',
        gbd_id=cov_id(2111),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_and_sex_specific_sev_for_low_vegetables': Covariate(
        name='age_and_sex_specific_sev_for_low_vegetables',
        kind='covariate',
        gbd_id=cov_id(2112),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_sev_for_low_vegetables': Covariate(
        name='age_standardized_sev_for_low_vegetables',
        kind='covariate',
        gbd_id=cov_id(2113),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_and_sex_specific_sev_for_low_legumes': Covariate(
        name='age_and_sex_specific_sev_for_low_legumes',
        kind='covariate',
        gbd_id=cov_id(2114),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_sev_for_low_legumes': Covariate(
        name='age_standardized_sev_for_low_legumes',
        kind='covariate',
        gbd_id=cov_id(2115),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_and_sex_specific_sev_for_low_whole_grains': Covariate(
        name='age_and_sex_specific_sev_for_low_whole_grains',
        kind='covariate',
        gbd_id=cov_id(2116),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_sev_for_low_whole_grains': Covariate(
        name='age_standardized_sev_for_low_whole_grains',
        kind='covariate',
        gbd_id=cov_id(2117),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_and_sex_specific_sev_for_low_nuts_and_seeds': Covariate(
        name='age_and_sex_specific_sev_for_low_nuts_and_seeds',
        kind='covariate',
        gbd_id=cov_id(2118),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_sev_for_low_nuts_and_seeds': Covariate(
        name='age_standardized_sev_for_low_nuts_and_seeds',
        kind='covariate',
        gbd_id=cov_id(2119),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_and_sex_specific_sev_for_low_milk': Covariate(
        name='age_and_sex_specific_sev_for_low_milk',
        kind='covariate',
        gbd_id=cov_id(2120),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_sev_for_low_milk': Covariate(
        name='age_standardized_sev_for_low_milk',
        kind='covariate',
        gbd_id=cov_id(2121),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_and_sex_specific_sev_for_high_red_meat': Covariate(
        name='age_and_sex_specific_sev_for_high_red_meat',
        kind='covariate',
        gbd_id=cov_id(2122),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_sev_for_high_red_meat': Covariate(
        name='age_standardized_sev_for_high_red_meat',
        kind='covariate',
        gbd_id=cov_id(2123),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_and_sex_specific_sev_for_high_processed_meat': Covariate(
        name='age_and_sex_specific_sev_for_high_processed_meat',
        kind='covariate',
        gbd_id=cov_id(2124),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_sev_for_high_processed_meat': Covariate(
        name='age_standardized_sev_for_high_processed_meat',
        kind='covariate',
        gbd_id=cov_id(2125),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_and_sex_specific_sev_for_high_sweetened_beverages': Covariate(
        name='age_and_sex_specific_sev_for_high_sweetened_beverages',
        kind='covariate',
        gbd_id=cov_id(2126),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_sev_for_high_sweetened_beverages': Covariate(
        name='age_standardized_sev_for_high_sweetened_beverages',
        kind='covariate',
        gbd_id=cov_id(2127),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_and_sex_specific_sev_for_low_fiber': Covariate(
        name='age_and_sex_specific_sev_for_low_fiber',
        kind='covariate',
        gbd_id=cov_id(2128),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_sev_for_low_fiber': Covariate(
        name='age_standardized_sev_for_low_fiber',
        kind='covariate',
        gbd_id=cov_id(2129),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_and_sex_specific_sev_for_low_calcium': Covariate(
        name='age_and_sex_specific_sev_for_low_calcium',
        kind='covariate',
        gbd_id=cov_id(2130),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_sev_for_low_calcium': Covariate(
        name='age_standardized_sev_for_low_calcium',
        kind='covariate',
        gbd_id=cov_id(2131),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_and_sex_specific_sev_for_low_omega_3': Covariate(
        name='age_and_sex_specific_sev_for_low_omega_3',
        kind='covariate',
        gbd_id=cov_id(2132),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_sev_for_low_omega_3': Covariate(
        name='age_standardized_sev_for_low_omega_3',
        kind='covariate',
        gbd_id=cov_id(2133),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_and_sex_specific_sev_for_low_pufa': Covariate(
        name='age_and_sex_specific_sev_for_low_pufa',
        kind='covariate',
        gbd_id=cov_id(2134),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_sev_for_low_pufa': Covariate(
        name='age_standardized_sev_for_low_pufa',
        kind='covariate',
        gbd_id=cov_id(2135),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_and_sex_specific_sev_for_high_trans_fat': Covariate(
        name='age_and_sex_specific_sev_for_high_trans_fat',
        kind='covariate',
        gbd_id=cov_id(2136),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_sev_for_high_trans_fat': Covariate(
        name='age_standardized_sev_for_high_trans_fat',
        kind='covariate',
        gbd_id=cov_id(2137),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_and_sex_specific_sev_for_high_sodium': Covariate(
        name='age_and_sex_specific_sev_for_high_sodium',
        kind='covariate',
        gbd_id=cov_id(2138),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_sev_for_high_sodium': Covariate(
        name='age_standardized_sev_for_high_sodium',
        kind='covariate',
        gbd_id=cov_id(2139),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_and_sex_specific_sev_for_intimate_partner_violence': Covariate(
        name='age_and_sex_specific_sev_for_intimate_partner_violence',
        kind='covariate',
        gbd_id=cov_id(2140),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_sev_for_intimate_partner_violence': Covariate(
        name='age_standardized_sev_for_intimate_partner_violence',
        kind='covariate',
        gbd_id=cov_id(2141),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_and_sex_specific_sev_for_childhood_sexual_abuse': Covariate(
        name='age_and_sex_specific_sev_for_childhood_sexual_abuse',
        kind='covariate',
        gbd_id=cov_id(2142),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_sev_for_childhood_sexual_abuse': Covariate(
        name='age_standardized_sev_for_childhood_sexual_abuse',
        kind='covariate',
        gbd_id=cov_id(2143),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_and_sex_specific_sev_for_bullying': Covariate(
        name='age_and_sex_specific_sev_for_bullying',
        kind='covariate',
        gbd_id=cov_id(2144),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_sev_for_bullying': Covariate(
        name='age_standardized_sev_for_bullying',
        kind='covariate',
        gbd_id=cov_id(2145),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_and_sex_specific_sev_for_unsafe_sex': Covariate(
        name='age_and_sex_specific_sev_for_unsafe_sex',
        kind='covariate',
        gbd_id=cov_id(2146),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_sev_for_unsafe_sex': Covariate(
        name='age_standardized_sev_for_unsafe_sex',
        kind='covariate',
        gbd_id=cov_id(2147),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_and_sex_specific_sev_for_low_physical_activity': Covariate(
        name='age_and_sex_specific_sev_for_low_physical_activity',
        kind='covariate',
        gbd_id=cov_id(2148),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_sev_for_low_physical_activity': Covariate(
        name='age_standardized_sev_for_low_physical_activity',
        kind='covariate',
        gbd_id=cov_id(2149),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_and_sex_specific_sev_for_high_fasting_plasma_glucose': Covariate(
        name='age_and_sex_specific_sev_for_high_fasting_plasma_glucose',
        kind='covariate',
        gbd_id=cov_id(2150),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_sev_for_high_fasting_plasma_glucose': Covariate(
        name='age_standardized_sev_for_high_fasting_plasma_glucose',
        kind='covariate',
        gbd_id=cov_id(2151),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_and_sex_specific_sev_for_high_ldl': Covariate(
        name='age_and_sex_specific_sev_for_high_ldl',
        kind='covariate',
        gbd_id=cov_id(2152),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_sev_for_high_ldl': Covariate(
        name='age_standardized_sev_for_high_ldl',
        kind='covariate',
        gbd_id=cov_id(2153),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_and_sex_specific_sev_for_high_blood_pressure': Covariate(
        name='age_and_sex_specific_sev_for_high_blood_pressure',
        kind='covariate',
        gbd_id=cov_id(2154),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_sev_for_high_blood_pressure': Covariate(
        name='age_standardized_sev_for_high_blood_pressure',
        kind='covariate',
        gbd_id=cov_id(2155),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_and_sex_specific_sev_for_high_body_mass_index': Covariate(
        name='age_and_sex_specific_sev_for_high_body_mass_index',
        kind='covariate',
        gbd_id=cov_id(2156),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_sev_for_high_body_mass_index': Covariate(
        name='age_standardized_sev_for_high_body_mass_index',
        kind='covariate',
        gbd_id=cov_id(2157),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_and_sex_specific_sev_for_low_bone_mineral_density': Covariate(
        name='age_and_sex_specific_sev_for_low_bone_mineral_density',
        kind='covariate',
        gbd_id=cov_id(2158),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_sev_for_low_bone_mineral_density': Covariate(
        name='age_standardized_sev_for_low_bone_mineral_density',
        kind='covariate',
        gbd_id=cov_id(2159),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_and_sex_specific_sev_for_impaired_kidney_function': Covariate(
        name='age_and_sex_specific_sev_for_impaired_kidney_function',
        kind='covariate',
        gbd_id=cov_id(2160),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_sev_for_impaired_kidney_function': Covariate(
        name='age_standardized_sev_for_impaired_kidney_function',
        kind='covariate',
        gbd_id=cov_id(2161),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'deprecated_log_transformed_age_standardized_sev_scalar_communicable_maternal_neonatal_and_nutritional_diseases_deprecated': Covariate(
        name='deprecated_log_transformed_age_standardized_sev_scalar_communicable_maternal_neonatal_and_nutritional_diseases_deprecated',
        kind='covariate',
        gbd_id=cov_id(2163),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_communicable_maternal_neonatal_and_nutritional_diseases_deprecated': Covariate(
        name='deprecated_log_transformed_sev_scalar_communicable_maternal_neonatal_and_nutritional_diseases_deprecated',
        kind='covariate',
        gbd_id=cov_id(2164),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_age_standardized_sev_scalar_hiv_aids_extensively_drug_resistant_tuberculosis': Covariate(
        name='deprecated_log_transformed_age_standardized_sev_scalar_hiv_aids_extensively_drug_resistant_tuberculosis',
        kind='covariate',
        gbd_id=cov_id(2168),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_hiv_aids_extensively_drug_resistant_tuberculosis': Covariate(
        name='deprecated_log_transformed_sev_scalar_hiv_aids_extensively_drug_resistant_tuberculosis',
        kind='covariate',
        gbd_id=cov_id(2169),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_age_standardized_sev_scalar_sexually_transmitted_infections_excluding_hiv': Covariate(
        name='deprecated_log_transformed_age_standardized_sev_scalar_sexually_transmitted_infections_excluding_hiv',
        kind='covariate',
        gbd_id=cov_id(2170),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_sexually_transmitted_infections_excluding_hiv': Covariate(
        name='deprecated_log_transformed_sev_scalar_sexually_transmitted_infections_excluding_hiv',
        kind='covariate',
        gbd_id=cov_id(2171),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_age_standardized_sev_scalar_extensively_drug_resistant_tuberculosis': Covariate(
        name='deprecated_log_transformed_age_standardized_sev_scalar_extensively_drug_resistant_tuberculosis',
        kind='covariate',
        gbd_id=cov_id(2172),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_extensively_drug_resistant_tuberculosis': Covariate(
        name='deprecated_log_transformed_sev_scalar_extensively_drug_resistant_tuberculosis',
        kind='covariate',
        gbd_id=cov_id(2173),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_obst_labor': Covariate(
        name='log_transformed_age_standardized_sev_scalar_obst_labor',
        kind='covariate',
        gbd_id=cov_id(2179),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_obst_labor': Covariate(
        name='log_transformed_sev_scalar_obst_labor',
        kind='covariate',
        gbd_id=cov_id(2180),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_ectopic_preg': Covariate(
        name='log_transformed_age_standardized_sev_scalar_ectopic_preg',
        kind='covariate',
        gbd_id=cov_id(2181),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_ectopic_preg': Covariate(
        name='log_transformed_sev_scalar_ectopic_preg',
        kind='covariate',
        gbd_id=cov_id(2182),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_neonatal': Covariate(
        name='log_transformed_age_standardized_sev_scalar_neonatal',
        kind='covariate',
        gbd_id=cov_id(2187),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_neonatal': Covariate(
        name='log_transformed_sev_scalar_neonatal',
        kind='covariate',
        gbd_id=cov_id(2188),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_liver_c_nash': Covariate(
        name='log_transformed_age_standardized_sev_scalar_liver_c_nash',
        kind='covariate',
        gbd_id=cov_id(2190),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_liver_c_nash': Covariate(
        name='log_transformed_sev_scalar_liver_c_nash',
        kind='covariate',
        gbd_id=cov_id(2191),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_sub_hem': Covariate(
        name='log_transformed_age_standardized_sev_scalar_sub_hem',
        kind='covariate',
        gbd_id=cov_id(2192),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_sub_hem': Covariate(
        name='log_transformed_sev_scalar_sub_hem',
        kind='covariate',
        gbd_id=cov_id(2193),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_valvular': Covariate(
        name='log_transformed_age_standardized_sev_scalar_valvular',
        kind='covariate',
        gbd_id=cov_id(2194),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_valvular': Covariate(
        name='log_transformed_sev_scalar_valvular',
        kind='covariate',
        gbd_id=cov_id(2195),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_cavd': Covariate(
        name='log_transformed_age_standardized_sev_scalar_cavd',
        kind='covariate',
        gbd_id=cov_id(2196),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_cavd': Covariate(
        name='log_transformed_sev_scalar_cavd',
        kind='covariate',
        gbd_id=cov_id(2197),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_upper_digest': Covariate(
        name='log_transformed_age_standardized_sev_scalar_upper_digest',
        kind='covariate',
        gbd_id=cov_id(2198),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_upper_digest': Covariate(
        name='log_transformed_sev_scalar_upper_digest',
        kind='covariate',
        gbd_id=cov_id(2199),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_age_standardized_sev_scalar_parkinsons_disease': Covariate(
        name='deprecated_log_transformed_age_standardized_sev_scalar_parkinsons_disease',
        kind='covariate',
        gbd_id=cov_id(2200),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_parkinsons_disease': Covariate(
        name='deprecated_log_transformed_sev_scalar_parkinsons_disease',
        kind='covariate',
        gbd_id=cov_id(2201),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_age_standardized_sev_scalar_drug_use_disorders': Covariate(
        name='deprecated_log_transformed_age_standardized_sev_scalar_drug_use_disorders',
        kind='covariate',
        gbd_id=cov_id(2203),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_drug_use_disorders': Covariate(
        name='deprecated_log_transformed_sev_scalar_drug_use_disorders',
        kind='covariate',
        gbd_id=cov_id(2204),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_blindness': Covariate(
        name='log_transformed_age_standardized_sev_scalar_blindness',
        kind='covariate',
        gbd_id=cov_id(2207),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_blindness': Covariate(
        name='log_transformed_sev_scalar_blindness',
        kind='covariate',
        gbd_id=cov_id(2208),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_age_standardized_sev_scalar_injuries': Covariate(
        name='deprecated_log_transformed_age_standardized_sev_scalar_injuries',
        kind='covariate',
        gbd_id=cov_id(2209),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_injuries': Covariate(
        name='deprecated_log_transformed_sev_scalar_injuries',
        kind='covariate',
        gbd_id=cov_id(2210),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_inj_pois_co': Covariate(
        name='log_transformed_age_standardized_sev_scalar_inj_pois_co',
        kind='covariate',
        gbd_id=cov_id(2211),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_inj_pois_co': Covariate(
        name='log_transformed_sev_scalar_inj_pois_co',
        kind='covariate',
        gbd_id=cov_id(2212),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_inj_pois_oth': Covariate(
        name='log_transformed_age_standardized_sev_scalar_inj_pois_oth',
        kind='covariate',
        gbd_id=cov_id(2213),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_inj_pois_oth': Covariate(
        name='log_transformed_sev_scalar_inj_pois_oth',
        kind='covariate',
        gbd_id=cov_id(2214),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_heat__and_up_cold': Covariate(
        name='log_transformed_age_standardized_sev_scalar_heat__and_up_cold',
        kind='covariate',
        gbd_id=cov_id(2215),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_heat__and_up_cold': Covariate(
        name='log_transformed_sev_scalar_heat__and_up_cold',
        kind='covariate',
        gbd_id=cov_id(2216),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_age_standardized_sev_scalar_sexual_violence': Covariate(
        name='deprecated_log_transformed_age_standardized_sev_scalar_sexual_violence',
        kind='covariate',
        gbd_id=cov_id(2217),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'deprecated_log_transformed_sev_scalar_sexual_violence': Covariate(
        name='deprecated_log_transformed_sev_scalar_sexual_violence',
        kind='covariate',
        gbd_id=cov_id(2218),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_mat_htn': Covariate(
        name='log_transformed_age_standardized_sev_scalar_mat_htn',
        kind='covariate',
        gbd_id=cov_id(2235),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_mat_indir': Covariate(
        name='log_transformed_age_standardized_sev_scalar_mat_indir',
        kind='covariate',
        gbd_id=cov_id(2239),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_mat_late': Covariate(
        name='log_transformed_age_standardized_sev_scalar_mat_late',
        kind='covariate',
        gbd_id=cov_id(2240),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_oth_mat': Covariate(
        name='log_transformed_age_standardized_sev_scalar_oth_mat',
        kind='covariate',
        gbd_id=cov_id(2241),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_ncd': Covariate(
        name='log_transformed_age_standardized_sev_scalar_ncd',
        kind='covariate',
        gbd_id=cov_id(2242),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_anxiety': Covariate(
        name='log_transformed_age_standardized_sev_scalar_anxiety',
        kind='covariate',
        gbd_id=cov_id(2244),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_disaster': Covariate(
        name='log_transformed_age_standardized_sev_scalar_disaster',
        kind='covariate',
        gbd_id=cov_id(2247),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_mat_hiv': Covariate(
        name='log_transformed_age_standardized_sev_scalar_mat_hiv',
        kind='covariate',
        gbd_id=cov_id(2248),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_mat_abort': Covariate(
        name='log_transformed_age_standardized_sev_scalar_mat_abort',
        kind='covariate',
        gbd_id=cov_id(2249),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_mat_abort': Covariate(
        name='log_transformed_sev_scalar_mat_abort',
        kind='covariate',
        gbd_id=cov_id(2250),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'proportion_of_the_population_with_0_years_of_education': Covariate(
        name='proportion_of_the_population_with_0_years_of_education',
        kind='covariate',
        gbd_id=cov_id(2264),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'proportion_of_the_population_with_0_years_of_education_maternal': Covariate(
        name='proportion_of_the_population_with_0_years_of_education_maternal',
        kind='covariate',
        gbd_id=cov_id(2265),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'proportion_of_the_population_with_0_years_of_education_age_standardized': Covariate(
        name='proportion_of_the_population_with_0_years_of_education_age_standardized',
        kind='covariate',
        gbd_id=cov_id(2266),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'stillbirth_to_live_birth_ratio': Covariate(
        name='stillbirth_to_live_birth_ratio',
        kind='covariate',
        gbd_id=cov_id(2267),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'proportion_pnn_pop_aged_1_5_mo': Covariate(
        name='proportion_pnn_pop_aged_1_5_mo',
        kind='covariate',
        gbd_id=cov_id(2268),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'proportion_1_4_pop_aged_1_year': Covariate(
        name='proportion_1_4_pop_aged_1_year',
        kind='covariate',
        gbd_id=cov_id(2269),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'gallup_negative_experience_index': Covariate(
        name='gallup_negative_experience_index',
        kind='covariate',
        gbd_id=cov_id(2270),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'hemoglobin_c_sickle_type_c_trait': Covariate(
        name='hemoglobin_c_sickle_type_c_trait',
        kind='covariate',
        gbd_id=cov_id(2271),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'hemoglobin_s_sickle_type_s_trait': Covariate(
        name='hemoglobin_s_sickle_type_s_trait',
        kind='covariate',
        gbd_id=cov_id(2272),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'non_steroidal_anti_inflammatory_drug_nsaid_use': Covariate(
        name='non_steroidal_anti_inflammatory_drug_nsaid_use',
        kind='covariate',
        gbd_id=cov_id(2273),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'proton_pump_inhibitor_ppi_use': Covariate(
        name='proton_pump_inhibitor_ppi_use',
        kind='covariate',
        gbd_id=cov_id(2274),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'direct_antivirals_das_for_hcv': Covariate(
        name='direct_antivirals_das_for_hcv',
        kind='covariate',
        gbd_id=cov_id(2275),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'proportion_of_the_population_working_in_mining_with_20_year_lag': Covariate(
        name='proportion_of_the_population_working_in_mining_with_20_year_lag',
        kind='covariate',
        gbd_id=cov_id(2276),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'gold_production_kg_per_capita_smoothed_with_20_year_lag': Covariate(
        name='gold_production_kg_per_capita_smoothed_with_20_year_lag',
        kind='covariate',
        gbd_id=cov_id(2277),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'diabetes_fasting_plasma_glucose_mmol_l_by_age': Covariate(
        name='diabetes_fasting_plasma_glucose_mmol_l_by_age',
        kind='covariate',
        gbd_id=cov_id(2279),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'hepatitis_b_seroprevalence_hbsag_lagged_over_time': Covariate(
        name='hepatitis_b_seroprevalence_hbsag_lagged_over_time',
        kind='covariate',
        gbd_id=cov_id(2280),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'hepatitis_c_seroprevalence_anti_hcv_lagged_over_time': Covariate(
        name='hepatitis_c_seroprevalence_anti_hcv_lagged_over_time',
        kind='covariate',
        gbd_id=cov_id(2281),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'hepatitis_a_seroprevalence_anti_hav_age_standardized': Covariate(
        name='hepatitis_a_seroprevalence_anti_hav_age_standardized',
        kind='covariate',
        gbd_id=cov_id(2282),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'hepatitis_b_seroprevalence_hbsag_age_standardized': Covariate(
        name='hepatitis_b_seroprevalence_hbsag_age_standardized',
        kind='covariate',
        gbd_id=cov_id(2283),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'hepatitis_c_seroprevalence_anti_hcv_age_standardized': Covariate(
        name='hepatitis_c_seroprevalence_anti_hcv_age_standardized',
        kind='covariate',
        gbd_id=cov_id(2284),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'hepatitis_e_seroprevalence_anti_hev_age_standardized': Covariate(
        name='hepatitis_e_seroprevalence_anti_hev_age_standardized',
        kind='covariate',
        gbd_id=cov_id(2285),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'hpv1_coverage_proportion': Covariate(
        name='hpv1_coverage_proportion',
        kind='covariate',
        gbd_id=cov_id(2286),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'bac_law_general_population_quartile': Covariate(
        name='bac_law_general_population_quartile',
        kind='covariate',
        gbd_id=cov_id(2287),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'bac_law_youth_drivers_quartile': Covariate(
        name='bac_law_youth_drivers_quartile',
        kind='covariate',
        gbd_id=cov_id(2288),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'bac_law_professional_drivers_quartile': Covariate(
        name='bac_law_professional_drivers_quartile',
        kind='covariate',
        gbd_id=cov_id(2289),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'speed_limit_law_urban_quartile': Covariate(
        name='speed_limit_law_urban_quartile',
        kind='covariate',
        gbd_id=cov_id(2290),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'speed_limit_law_rural_quartile': Covariate(
        name='speed_limit_law_rural_quartile',
        kind='covariate',
        gbd_id=cov_id(2291),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'speed_limit_law_highways_quartile': Covariate(
        name='speed_limit_law_highways_quartile',
        kind='covariate',
        gbd_id=cov_id(2292),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'seat_belt_frequency__percent': Covariate(
        name='seat_belt_frequency__percent',
        kind='covariate',
        gbd_id=cov_id(2293),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'menafrivac_campaign_ever_never': Covariate(
        name='menafrivac_campaign_ever_never',
        kind='covariate',
        gbd_id=cov_id(2294),
        by_age=False,
        by_sex=False,
        dichotomous=True,
    ),
    'time_since_last_mass_menafrivac_campaign': Covariate(
        name='time_since_last_mass_menafrivac_campaign',
        kind='covariate',
        gbd_id=cov_id(2295),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'time_since_any_menafrivac_campaign': Covariate(
        name='time_since_any_menafrivac_campaign',
        kind='covariate',
        gbd_id=cov_id(2296),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'liters_of_alcohol_consumed_per_capita': Covariate(
        name='liters_of_alcohol_consumed_per_capita',
        kind='covariate',
        gbd_id=cov_id(2297),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'live_births_by_childs_sex_and_maternal_age': Covariate(
        name='live_births_by_childs_sex_and_maternal_age',
        kind='covariate',
        gbd_id=cov_id(2298),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'twelve__month_non_partner_sexual_violence': Covariate(
        name='twelve__month_non_partner_sexual_violence',
        kind='covariate',
        gbd_id=cov_id(2299),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'population_15_to_30_males_proportion': Covariate(
        name='population_15_to_30_males_proportion',
        kind='covariate',
        gbd_id=cov_id(2300),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'max_trachoma_population_at_risk': Covariate(
        name='max_trachoma_population_at_risk',
        kind='covariate',
        gbd_id=cov_id(2302),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'schistosomiasis_prevalence_for_gbd_2019_cod_testing': Covariate(
        name='schistosomiasis_prevalence_for_gbd_2019_cod_testing',
        kind='covariate',
        gbd_id=cov_id(2303),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'schistosomiasis_prevalence_results': Covariate(
        name='schistosomiasis_prevalence_results',
        kind='covariate',
        gbd_id=cov_id(2304),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'who_sth_mda_coverage': Covariate(
        name='who_sth_mda_coverage',
        kind='covariate',
        gbd_id=cov_id(2305),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'cystic_echinococcosis_endemicity_level': Covariate(
        name='cystic_echinococcosis_endemicity_level',
        kind='covariate',
        gbd_id=cov_id(2306),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'bcg_lagged_five_year_coverage_proportion': Covariate(
        name='bcg_lagged_five_year_coverage_proportion',
        kind='covariate',
        gbd_id=cov_id(2307),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'dtp3_lagged_five_year_coverage_proportion': Covariate(
        name='dtp3_lagged_five_year_coverage_proportion',
        kind='covariate',
        gbd_id=cov_id(2308),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'mcv1_lagged_five_year_coverage_proportion': Covariate(
        name='mcv1_lagged_five_year_coverage_proportion',
        kind='covariate',
        gbd_id=cov_id(2309),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'mcv2_lagged_five_year_coverage_proportion': Covariate(
        name='mcv2_lagged_five_year_coverage_proportion',
        kind='covariate',
        gbd_id=cov_id(2310),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'polio3_lagged_five_year_coverage_proportion': Covariate(
        name='polio3_lagged_five_year_coverage_proportion',
        kind='covariate',
        gbd_id=cov_id(2311),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'rcv1_lagged_five_year_coverage_proportion': Covariate(
        name='rcv1_lagged_five_year_coverage_proportion',
        kind='covariate',
        gbd_id=cov_id(2312),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'hib3_lagged_five_year_coverage_proportion': Covariate(
        name='hib3_lagged_five_year_coverage_proportion',
        kind='covariate',
        gbd_id=cov_id(2313),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'pcv3_lagged_five_year_coverage_proportion': Covariate(
        name='pcv3_lagged_five_year_coverage_proportion',
        kind='covariate',
        gbd_id=cov_id(2314),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'rotac_lagged_five_year_coverage_proportion': Covariate(
        name='rotac_lagged_five_year_coverage_proportion',
        kind='covariate',
        gbd_id=cov_id(2315),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'hepb3_lagged_five_year_coverage_proportion': Covariate(
        name='hepb3_lagged_five_year_coverage_proportion',
        kind='covariate',
        gbd_id=cov_id(2316),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'vitamin_a_supplementation_age_specific': Covariate(
        name='vitamin_a_supplementation_age_specific',
        kind='covariate',
        gbd_id=cov_id(2317),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'proportion_of_population_vulnerable_to_venomous_snakebites': Covariate(
        name='proportion_of_population_vulnerable_to_venomous_snakebites',
        kind='covariate',
        gbd_id=cov_id(2318),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'inj_time': Covariate(
        name='inj_time',
        kind='covariate',
        gbd_id=cov_id(2319),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'mean_number_of_venomous_snake_species': Covariate(
        name='mean_number_of_venomous_snake_species',
        kind='covariate',
        gbd_id=cov_id(2321),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'tfr_u20_us_r_e': Covariate(
        name='tfr_u20_us_r_e',
        kind='covariate',
        gbd_id=cov_id(2323),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'dengue_all_age_csmr': Covariate(
        name='dengue_all_age_csmr',
        kind='covariate',
        gbd_id=cov_id(2324),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'education_years_per_capita_aggregated_by_age_15_and_up_and_sex_us_r_e': Covariate(
        name='education_years_per_capita_aggregated_by_age_15_and_up_and_sex_us_r_e',
        kind='covariate',
        gbd_id=cov_id(2325),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_and_sex_specific_sev_for_high_temperature': Covariate(
        name='age_and_sex_specific_sev_for_high_temperature',
        kind='covariate',
        gbd_id=cov_id(2326),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_and_sex_specific_sev_for_low_temperature': Covariate(
        name='age_and_sex_specific_sev_for_low_temperature',
        kind='covariate',
        gbd_id=cov_id(2327),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'age_standardized_sev_for_high_temperature': Covariate(
        name='age_standardized_sev_for_high_temperature',
        kind='covariate',
        gbd_id=cov_id(2328),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_standardized_sev_for_low_temperature': Covariate(
        name='age_standardized_sev_for_low_temperature',
        kind='covariate',
        gbd_id=cov_id(2329),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'hpv2_coverage_proportion': Covariate(
        name='hpv2_coverage_proportion',
        kind='covariate',
        gbd_id=cov_id(2330),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'inpatient_utilization_envelope': Covariate(
        name='inpatient_utilization_envelope',
        kind='covariate',
        gbd_id=cov_id(2331),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'opioid_substitution_therapy_ost_treatment_coverage': Covariate(
        name='opioid_substitution_therapy_ost_treatment_coverage',
        kind='covariate',
        gbd_id=cov_id(2332),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'government_spending_on_health': Covariate(
        name='government_spending_on_health',
        kind='covariate',
        gbd_id=cov_id(2333),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'liters_of_alcohol_consumed_per_capita_by_age_and_sex': Covariate(
        name='liters_of_alcohol_consumed_per_capita_by_age_and_sex',
        kind='covariate',
        gbd_id=cov_id(2334),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'total_government_spending': Covariate(
        name='total_government_spending',
        kind='covariate',
        gbd_id=cov_id(2335),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'chronic_hepatitis_c_age_standardized': Covariate(
        name='chronic_hepatitis_c_age_standardized',
        kind='covariate',
        gbd_id=cov_id(2336),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'high_risk_menafrivac_coverage_proportion': Covariate(
        name='high_risk_menafrivac_coverage_proportion',
        kind='covariate',
        gbd_id=cov_id(2338),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'vaccine_adjusted_hbsag_serporevalence_age_standardized': Covariate(
        name='vaccine_adjusted_hbsag_serporevalence_age_standardized',
        kind='covariate',
        gbd_id=cov_id(2339),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'solar_radiation_downwards': Covariate(
        name='solar_radiation_downwards',
        kind='covariate',
        gbd_id=cov_id(2341),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'hib3_transformed_population_level_coverage_including_indirect_effects_proportion': Covariate(
        name='hib3_transformed_population_level_coverage_including_indirect_effects_proportion',
        kind='covariate',
        gbd_id=cov_id(2342),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_standardized_daily_smoking_prevalence_both_sexes': Covariate(
        name='age_standardized_daily_smoking_prevalence_both_sexes',
        kind='covariate',
        gbd_id=cov_id(2343),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_oth_cirr': Covariate(
        name='log_transformed_sev_scalar_oth_cirr',
        kind='covariate',
        gbd_id=cov_id(2345),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_oth_cirr': Covariate(
        name='log_transformed_age_standardized_sev_scalar_oth_cirr',
        kind='covariate',
        gbd_id=cov_id(2346),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_burkitt': Covariate(
        name='log_transformed_sev_scalar_burkitt',
        kind='covariate',
        gbd_id=cov_id(2347),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_burkitt': Covariate(
        name='log_transformed_age_standardized_sev_scalar_burkitt',
        kind='covariate',
        gbd_id=cov_id(2348),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_oth_lymphoma': Covariate(
        name='log_transformed_sev_scalar_oth_lymphoma',
        kind='covariate',
        gbd_id=cov_id(2349),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_oth_lymphoma': Covariate(
        name='log_transformed_age_standardized_sev_scalar_oth_lymphoma',
        kind='covariate',
        gbd_id=cov_id(2350),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_osteoarth_hip': Covariate(
        name='log_transformed_sev_scalar_osteoarth_hip',
        kind='covariate',
        gbd_id=cov_id(2351),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_osteoarth_hip': Covariate(
        name='log_transformed_age_standardized_sev_scalar_osteoarth_hip',
        kind='covariate',
        gbd_id=cov_id(2352),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_sev_scalar_osteoarth_knee': Covariate(
        name='log_transformed_sev_scalar_osteoarth_knee',
        kind='covariate',
        gbd_id=cov_id(2353),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'log_transformed_age_standardized_sev_scalar_osteoarth_knee': Covariate(
        name='log_transformed_age_standardized_sev_scalar_osteoarth_knee',
        kind='covariate',
        gbd_id=cov_id(2354),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'ascariasis_prevalence': Covariate(
        name='ascariasis_prevalence',
        kind='covariate',
        gbd_id=cov_id(2355),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'custom_age_standardized_and_sex_specific_sev_for_alcohol_use': Covariate(
        name='custom_age_standardized_and_sex_specific_sev_for_alcohol_use',
        kind='covariate',
        gbd_id=cov_id(2356),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    '_overweight_women_of_reproductive_age': Covariate(
        name='_overweight_women_of_reproductive_age',
        kind='covariate',
        gbd_id=cov_id(2357),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'sheep_density': Covariate(
        name='sheep_density',
        kind='covariate',
        gbd_id=cov_id(2358),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'leprosy_mb_cure_rate': Covariate(
        name='leprosy_mb_cure_rate',
        kind='covariate',
        gbd_id=cov_id(2360),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'proportion_of_mb_pb_cases_in_leprosy_population': Covariate(
        name='proportion_of_mb_pb_cases_in_leprosy_population',
        kind='covariate',
        gbd_id=cov_id(2361),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'burkitt_lymphoma_dummy_variable_deprecated': Covariate(
        name='burkitt_lymphoma_dummy_variable_deprecated',
        kind='covariate',
        gbd_id=cov_id(2362),
        by_age=False,
        by_sex=False,
        dichotomous=True,
    ),
    'total_fertility_rate_under_25': Covariate(
        name='total_fertility_rate_under_25',
        kind='covariate',
        gbd_id=cov_id(2363),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'household_vehicles_4_wheels_proportion': Covariate(
        name='household_vehicles_4_wheels_proportion',
        kind='covariate',
        gbd_id=cov_id(2364),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'household_vehicles_2_wheels_proportion': Covariate(
        name='household_vehicles_2_wheels_proportion',
        kind='covariate',
        gbd_id=cov_id(2365),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'household_vehicles_pedal_proportion': Covariate(
        name='household_vehicles_pedal_proportion',
        kind='covariate',
        gbd_id=cov_id(2366),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'coverage_of_child_postnatal_care_visit': Covariate(
        name='coverage_of_child_postnatal_care_visit',
        kind='covariate',
        gbd_id=cov_id(2380),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'caesarean_section': Covariate(
        name='caesarean_section',
        kind='covariate',
        gbd_id=cov_id(2381),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'full_maternal_care': Covariate(
        name='full_maternal_care',
        kind='covariate',
        gbd_id=cov_id(2382),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'age_standardized_schistosomiasis_prevalence': Covariate(
        name='age_standardized_schistosomiasis_prevalence',
        kind='covariate',
        gbd_id=cov_id(2383),
        by_age=False,
        by_sex=True,
        dichotomous=False,
    ),
    'proportion_in_correctional_facility': Covariate(
        name='proportion_in_correctional_facility',
        kind='covariate',
        gbd_id=cov_id(2384),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'proportion_in_correctional_facility_by_race_ethnicity': Covariate(
        name='proportion_in_correctional_facility_by_race_ethnicity',
        kind='covariate',
        gbd_id=cov_id(2385),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'alcohol_availability_per_capita': Covariate(
        name='alcohol_availability_per_capita',
        kind='covariate',
        gbd_id=cov_id(2386),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'alcohol_availability_per_capita_smoothed': Covariate(
        name='alcohol_availability_per_capita_smoothed',
        kind='covariate',
        gbd_id=cov_id(2387),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'alcohol_places_per_capita': Covariate(
        name='alcohol_places_per_capita',
        kind='covariate',
        gbd_id=cov_id(2388),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'alcohol_stores_per_capita': Covariate(
        name='alcohol_stores_per_capita',
        kind='covariate',
        gbd_id=cov_id(2389),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'tobacco_stores_per_capita': Covariate(
        name='tobacco_stores_per_capita',
        kind='covariate',
        gbd_id=cov_id(2390),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'tobacco_stores_per_capita_smoothed': Covariate(
        name='tobacco_stores_per_capita_smoothed',
        kind='covariate',
        gbd_id=cov_id(2391),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'proportion_with_ba_and_up': Covariate(
        name='proportion_with_ba_and_up',
        kind='covariate',
        gbd_id=cov_id(2392),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'proportion_with_ba_and_up_by_race_ethnicity': Covariate(
        name='proportion_with_ba_and_up_by_race_ethnicity',
        kind='covariate',
        gbd_id=cov_id(2393),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'proportion_with_hs_and_up': Covariate(
        name='proportion_with_hs_and_up',
        kind='covariate',
        gbd_id=cov_id(2394),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'proportion_with_hs_and_up_by_race_ethnicity': Covariate(
        name='proportion_with_hs_and_up_by_race_ethnicity',
        kind='covariate',
        gbd_id=cov_id(2395),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'proportion_foreign_born': Covariate(
        name='proportion_foreign_born',
        kind='covariate',
        gbd_id=cov_id(2396),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'proportion_foreign_born_by_education': Covariate(
        name='proportion_foreign_born_by_education',
        kind='covariate',
        gbd_id=cov_id(2397),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'proportion_foreign_born_by_race_ethnicity': Covariate(
        name='proportion_foreign_born_by_race_ethnicity',
        kind='covariate',
        gbd_id=cov_id(2398),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'proportion_hispanic': Covariate(
        name='proportion_hispanic',
        kind='covariate',
        gbd_id=cov_id(2399),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'income_per_capita': Covariate(
        name='income_per_capita',
        kind='covariate',
        gbd_id=cov_id(2400),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'income_per_capita_by_race_ethnicity': Covariate(
        name='income_per_capita_by_race_ethnicity',
        kind='covariate',
        gbd_id=cov_id(2401),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'mds_per_capita': Covariate(
        name='mds_per_capita',
        kind='covariate',
        gbd_id=cov_id(2402),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'mds_per_capita_state': Covariate(
        name='mds_per_capita_state',
        kind='covariate',
        gbd_id=cov_id(2403),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'median_household_income': Covariate(
        name='median_household_income',
        kind='covariate',
        gbd_id=cov_id(2404),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'median_property_value': Covariate(
        name='median_property_value',
        kind='covariate',
        gbd_id=cov_id(2405),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'log_of_population_density': Covariate(
        name='log_of_population_density',
        kind='covariate',
        gbd_id=cov_id(2406),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'population_density': Covariate(
        name='population_density',
        kind='covariate',
        gbd_id=cov_id(2407),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'proportion_in_college': Covariate(
        name='proportion_in_college',
        kind='covariate',
        gbd_id=cov_id(2408),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'proportion_in_poverty': Covariate(
        name='proportion_in_poverty',
        kind='covariate',
        gbd_id=cov_id(2409),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'proportion_in_poverty_by_education': Covariate(
        name='proportion_in_poverty_by_education',
        kind='covariate',
        gbd_id=cov_id(2410),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'proportion_in_poverty_by_race_ethnicity': Covariate(
        name='proportion_in_poverty_by_race_ethnicity',
        kind='covariate',
        gbd_id=cov_id(2411),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'proportion_land_in_reservations': Covariate(
        name='proportion_land_in_reservations',
        kind='covariate',
        gbd_id=cov_id(2412),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'proportion_land_in_federal_reservations': Covariate(
        name='proportion_land_in_federal_reservations',
        kind='covariate',
        gbd_id=cov_id(2413),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'proportion_land_in_state_reservations': Covariate(
        name='proportion_land_in_state_reservations',
        kind='covariate',
        gbd_id=cov_id(2414),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'proportion_black': Covariate(
        name='proportion_black',
        kind='covariate',
        gbd_id=cov_id(2415),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'proportion_other_race': Covariate(
        name='proportion_other_race',
        kind='covariate',
        gbd_id=cov_id(2416),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'proportion_white': Covariate(
        name='proportion_white',
        kind='covariate',
        gbd_id=cov_id(2417),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'proportion_non_hispanic_aian': Covariate(
        name='proportion_non_hispanic_aian',
        kind='covariate',
        gbd_id=cov_id(2418),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'proportion_non_hispanic_api': Covariate(
        name='proportion_non_hispanic_api',
        kind='covariate',
        gbd_id=cov_id(2419),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'proportion_non_hispanic_black': Covariate(
        name='proportion_non_hispanic_black',
        kind='covariate',
        gbd_id=cov_id(2420),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'proportion_non_hispanic_white': Covariate(
        name='proportion_non_hispanic_white',
        kind='covariate',
        gbd_id=cov_id(2421),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'proportion_rural': Covariate(
        name='proportion_rural',
        kind='covariate',
        gbd_id=cov_id(2422),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'proportion_unemployed': Covariate(
        name='proportion_unemployed',
        kind='covariate',
        gbd_id=cov_id(2423),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'proportion_unemployed_by_education': Covariate(
        name='proportion_unemployed_by_education',
        kind='covariate',
        gbd_id=cov_id(2424),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'proportion_with_health_insurance_by_education': Covariate(
        name='proportion_with_health_insurance_by_education',
        kind='covariate',
        gbd_id=cov_id(2425),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'population_by_age_and_sex': Covariate(
        name='population_by_age_and_sex',
        kind='covariate',
        gbd_id=cov_id(2426),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'population_by_education': Covariate(
        name='population_by_education',
        kind='covariate',
        gbd_id=cov_id(2427),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'population_by_race_ethnicity_1977_omb_standard': Covariate(
        name='population_by_race_ethnicity_1977_omb_standard',
        kind='covariate',
        gbd_id=cov_id(2428),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'population_by_race_ethnicity_1997_omb_standard': Covariate(
        name='population_by_race_ethnicity_1997_omb_standard',
        kind='covariate',
        gbd_id=cov_id(2429),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
    'bacille_calmette_guerin_bcg_vaccine_coverage_covid_inclusive_proportion': Covariate(
        name='bacille_calmette_guerin_bcg_vaccine_coverage_covid_inclusive_proportion',
        kind='covariate',
        gbd_id=cov_id(2430),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'dtp3_coverage_covid_inclusive_proportion': Covariate(
        name='dtp3_coverage_covid_inclusive_proportion',
        kind='covariate',
        gbd_id=cov_id(2431),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'measles_vaccine_coverage_covid_inclusive_proportion': Covariate(
        name='measles_vaccine_coverage_covid_inclusive_proportion',
        kind='covariate',
        gbd_id=cov_id(2432),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'measles_vaccine_coverage_2_doses_covid_inclusive_proportion': Covariate(
        name='measles_vaccine_coverage_2_doses_covid_inclusive_proportion',
        kind='covariate',
        gbd_id=cov_id(2433),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'polio_3_dose_coverage_covid_inclusive_proportion': Covariate(
        name='polio_3_dose_coverage_covid_inclusive_proportion',
        kind='covariate',
        gbd_id=cov_id(2434),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'rubella_vaccine_coverage_covid_inclusive_proportion': Covariate(
        name='rubella_vaccine_coverage_covid_inclusive_proportion',
        kind='covariate',
        gbd_id=cov_id(2435),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'hib3_vaccine_coverage_covid_inclusive_proportion': Covariate(
        name='hib3_vaccine_coverage_covid_inclusive_proportion',
        kind='covariate',
        gbd_id=cov_id(2436),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'pcv3_coverage_covid_inclusive_proportion': Covariate(
        name='pcv3_coverage_covid_inclusive_proportion',
        kind='covariate',
        gbd_id=cov_id(2437),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'rotavirus_coverage_covid_inclusive_proportion': Covariate(
        name='rotavirus_coverage_covid_inclusive_proportion',
        kind='covariate',
        gbd_id=cov_id(2438),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'hepatitis_b_3_dose_coverage_covid_inclusive_proportion': Covariate(
        name='hepatitis_b_3_dose_coverage_covid_inclusive_proportion',
        kind='covariate',
        gbd_id=cov_id(2439),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'bcg_lagged_five_year_coverage_covid_inclusive_proportion': Covariate(
        name='bcg_lagged_five_year_coverage_covid_inclusive_proportion',
        kind='covariate',
        gbd_id=cov_id(2440),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'dtp3_lagged_five_year_coverage_covid_inclusive_proportion': Covariate(
        name='dtp3_lagged_five_year_coverage_covid_inclusive_proportion',
        kind='covariate',
        gbd_id=cov_id(2441),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'mcv1_lagged_five_year_coverage_covid_inclusive_proportion': Covariate(
        name='mcv1_lagged_five_year_coverage_covid_inclusive_proportion',
        kind='covariate',
        gbd_id=cov_id(2442),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'mcv2_lagged_five_year_coverage_covid_inclusive_proportion': Covariate(
        name='mcv2_lagged_five_year_coverage_covid_inclusive_proportion',
        kind='covariate',
        gbd_id=cov_id(2443),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'rcv1_lagged_five_year_coverage_covid_inclusive_proportion': Covariate(
        name='rcv1_lagged_five_year_coverage_covid_inclusive_proportion',
        kind='covariate',
        gbd_id=cov_id(2445),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'hib3_lagged_five_year_coverage_covid_inclusive_proportion': Covariate(
        name='hib3_lagged_five_year_coverage_covid_inclusive_proportion',
        kind='covariate',
        gbd_id=cov_id(2446),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'pcv3_lagged_five_year_coverage_covid_inclusive_proportion': Covariate(
        name='pcv3_lagged_five_year_coverage_covid_inclusive_proportion',
        kind='covariate',
        gbd_id=cov_id(2447),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'rotac_lagged_five_year_coverage_covid_inclusive_proportion': Covariate(
        name='rotac_lagged_five_year_coverage_covid_inclusive_proportion',
        kind='covariate',
        gbd_id=cov_id(2448),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'hepb3_lagged_five_year_coverage_covid_inclusive_proportion': Covariate(
        name='hepb3_lagged_five_year_coverage_covid_inclusive_proportion',
        kind='covariate',
        gbd_id=cov_id(2449),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'hepatitis_b_3_dose_coverage_proportion_lagged_5_years_covid_inclusive': Covariate(
        name='hepatitis_b_3_dose_coverage_proportion_lagged_5_years_covid_inclusive',
        kind='covariate',
        gbd_id=cov_id(2450),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'hepatitis_b_3_dose_coverage_proportion_lagged_ten_years_covid_inclusive': Covariate(
        name='hepatitis_b_3_dose_coverage_proportion_lagged_ten_years_covid_inclusive',
        kind='covariate',
        gbd_id=cov_id(2451),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'hepatitis_b_vaccine_coverage_proportion_aged_through_time_covid_inclusive': Covariate(
        name='hepatitis_b_vaccine_coverage_proportion_aged_through_time_covid_inclusive',
        kind='covariate',
        gbd_id=cov_id(2452),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'polio3_lagged_five_year_coverage_covid_inclusive_proportion': Covariate(
        name='polio3_lagged_five_year_coverage_covid_inclusive_proportion',
        kind='covariate',
        gbd_id=cov_id(2454),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'sugar_sweetened_beverages_g_us_r_e': Covariate(
        name='sugar_sweetened_beverages_g_us_r_e',
        kind='covariate',
        gbd_id=cov_id(2455),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'processed_meat_g_us_r_e': Covariate(
        name='processed_meat_g_us_r_e',
        kind='covariate',
        gbd_id=cov_id(2456),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'coverage_of_postnatal_care_visit': Covariate(
        name='coverage_of_postnatal_care_visit',
        kind='covariate',
        gbd_id=cov_id(2503),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'socio_demographic_index_us_r_e': Covariate(
        name='socio_demographic_index_us_r_e',
        kind='covariate',
        gbd_id=cov_id(2504),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'college_enrollment_by_race_ethnicity': Covariate(
        name='college_enrollment_by_race_ethnicity',
        kind='covariate',
        gbd_id=cov_id(2505),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'proportion_in_each_primary_race_multiracial': Covariate(
        name='proportion_in_each_primary_race_multiracial',
        kind='covariate',
        gbd_id=cov_id(2506),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'race_ethnicity_by_educational_attainment': Covariate(
        name='race_ethnicity_by_educational_attainment',
        kind='covariate',
        gbd_id=cov_id(2507),
        by_age=False,
        by_sex=False,
        dichotomous=False,
    ),
    'population_by_fips_and_race_ethnicity_1977_omb_standard': Covariate(
        name='population_by_fips_and_race_ethnicity_1977_omb_standard',
        kind='covariate',
        gbd_id=cov_id(2508),
        by_age=True,
        by_sex=True,
        dichotomous=False,
    ),
})
